/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2022-11-28 15:23:13Z
 *****************************************************************************/

#include "rssmx.h"
#include "rssmx_internal.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rssmx_RsCoreRepCapTableCount = 7;

RsCoreRepCap rssmx_RsCoreRepCapTable[7] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "ExternalTrigger",
      "EXT1,EXT2",
      "1,2"
    }, {
      "Sense",
      "S1,S2,S3,S4",
      "1,2,3,4"
    }, {
      "LF",
      "LF1,LF2",
      "1,2"
    }, {
      "Path",
      "Path1,Path2",
      "1,2"
    }, {
      "Trace",
      "TR1,TR2,TR3,TR4",
      "1,2,3,4"
    }, {
      "Gate",
      "Gate1,Gate2",
      "1,2"
    }, {
      "Marker",
      "M1,M2,M3,M4,M5,M6,M7,M8,M9,M10",
      "1,2,3,4,5,6,7,8,9,10"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry RsSmx_rngFrequencySweepSpacingEntries[2] =
  {
    { RSSMX_VAL_FREQ_SWEEP_SPACING_LINEAR, "LIN" },
    { RSSMX_VAL_FREQ_SWEEP_SPACING_LOGARITHMIC, "LOG" }
  };
RsCoreRangeTableDiscrete RsSmx_rngFrequencySweepSpacing = { 2, RsSmx_rngFrequencySweepSpacingEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngReferenceOscillatorSourceEntries[2] =
  {
    { RSSMX_VAL_ROSC_SOURCE_INTERNAL, "INT" },
    { RSSMX_VAL_ROSC_SOURCE_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngReferenceOscillatorSource = { 2, RsSmx_rngReferenceOscillatorSourceEntries };

RsCoreRangeTableRanged RsSmx_rngAMDepth = { 0.0, 100.0, "PCT" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngReferenceOscillatorExternalFrequencyEntries[4] =
  {
    { RSSMX_VAL_SMU_ROSC_EXTERNAL_FREQUENCY_VAR, "VAR" },
    { RSSMX_VAL_SMU_ROSC_EXTERNAL_FREQUENCY_10MHZ, "10MHZ" },
    { RSSMX_VAL_SMU_ROSC_EXTERNAL_FREQUENCY_100MHZ, "100MHZ" },
    { RSSMX_VAL_SMU_ROSC_EXTERNAL_FREQUENCY_1GHZ, "1GHZ" }
  };
RsCoreRangeTableDiscrete RsSmx_rngReferenceOscillatorExternalFrequency = { 4, RsSmx_rngReferenceOscillatorExternalFrequencyEntries };

RsCoreRangeTableRanged RsSmx_rngFrequencySweepStepLog = { 0.01, 100.0, "PCT" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerUnitEntries[3] =
  {
    { RSSMX_VAL_SENSE_POWER_UNIT_DBM, "DBM" },
    { RSSMX_VAL_SENSE_POWER_UNIT_DBUV, "DBUV" },
    { RSSMX_VAL_SENSE_POWER_UNIT_WATT, "WATT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerUnit = { 3, RsSmx_rngPowerUnitEntries };

RsCoreRangeTableRanged RsSmx_rngPowerOffset = { -100.0, 100.0, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerSourceEntries[3] =
  {
    { RSSMX_VAL_SENSE_POWER_SOURCE_A, "A" },
    { RSSMX_VAL_SENSE_POWER_SOURCE_USER, "USER" },
    { RSSMX_VAL_SENSE_POWER_SOURCE_RF, "RF" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerSource = { 3, RsSmx_rngPowerSourceEntries };

RsCoreRangeTableRanged RsSmx_rngPowerFilterLength = { 1, 65536, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerFilterModeEntries[3] =
  {
    { RSSMX_VAL_SENSE_POWER_FILTER_TYPE_AUTO, "AUTO" },
    { RSSMX_VAL_SENSE_POWER_FILTER_TYPE_USER, "USER" },
    { RSSMX_VAL_SENSE_POWER_FILTER_TYPE_NSR, "NSR" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerFilterMode = { 3, RsSmx_rngPowerFilterModeEntries };

RsCoreRangeTableRanged RsSmx_rngPowerFilterNSRatio = { 0.001, 1.0000, "" };

RsCoreRangeTableRanged RsSmx_rngPowerFilterNSRatioTimeout = { 1.0, 999.99, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSlopeEntries[2] =
  {
    { RSSMX_VAL_SLOPE_NEGATIVE, "NEG" },
    { RSSMX_VAL_SLOPE_POSITIVE, "POS" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSlope = { 2, RsSmx_rngSlopeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngKeyboardLayoutEntries[20] =
  {
    { RSSMX_VAL_SYSTEM_KEYBOARD_US, "ENGUS" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_DE, "GERM" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_ENGUK, "ENGUK" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_CHIN, "CHIN" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_DAN, "DAN" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_DUTC, "DUTC" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_FINN, "FINN" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_FREN, "FREN" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_FREB, "FREB" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_FREC, "FREC" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_ITAL, "ITAL" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_JAP, "JAP" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_KOR, "KOR" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_NORW, "NORW" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_PORT, "PORT" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_RUSS, "RUSS" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_SPAN, "SPAN" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_SWED, "SWED" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_DUTB, "DUTB" },
    { RSSMX_VAL_SYSTEM_KEYBOARD_ENG, "ENGL" }
  };
RsCoreRangeTableDiscrete RsSmx_rngKeyboardLayout = { 20, RsSmx_rngKeyboardLayoutEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngUnitAngleEntries[2] =
  {
    { RSSMX_VAL_UNIT_ANGLE_DEG, "DEG" },
    { RSSMX_VAL_UNIT_ANGLE_RAD, "RAD" }
  };
RsCoreRangeTableDiscrete RsSmx_rngUnitAngle = { 2, RsSmx_rngUnitAngleEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngUnitPowerEntries[3] =
  {
    { RSSMX_VAL_UNIT_POWER_V, "V" },
    { RSSMX_VAL_UNIT_POWER_DBM, "DBM" },
    { RSSMX_VAL_UNIT_POWER_DBUV, "DBUV" }
  };
RsCoreRangeTableDiscrete RsSmx_rngUnitPower = { 3, RsSmx_rngUnitPowerEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSystemIPAddressModeEntries[3] =
  {
    { RSSMX_VAL_SYSTEM_COMMUNICATE_IP_MODE_STATIC, "STAT" },
    { RSSMX_VAL_SYSTEM_COMMUNICATE_IP_MODE_P2P, "P2P" },
    { RSSMX_VAL_SYSTEM_COMMUNICATE_IP_MODE_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSystemIPAddressMode = { 3, RsSmx_rngSystemIPAddressModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngHardCopyLanguageEntries[4] =
  {
    { RSSMX_VAL_HCOPY_LANG_BMP, "BMP" },
    { RSSMX_VAL_HCOPY_LANG_JPG, "JPG" },
    { RSSMX_VAL_HCOPY_LANG_XPM, "XPM" },
    { RSSMX_VAL_HCOPY_LANG_PNG, "PNG" }
  };
RsCoreRangeTableDiscrete RsSmx_rngHardCopyLanguage = { 4, RsSmx_rngHardCopyLanguageEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngTriggerSourceForAllSweepsEntries[4] =
  {
    { RSSMX_VAL_TRIG_SOURCE_SWEEP_AUTO, "AUTO" },
    { RSSMX_VAL_TRIG_SOURCE_SWEEP_SINGLE, "SING" },
    { RSSMX_VAL_TRIG_SOURCE_SWEEP_EXTERNAL, "EXT" },
    { RSSMX_VAL_TRIG_SOURCE_SWEEP_EAUT, "EAUT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngTriggerSourceForAllSweeps = { 4, RsSmx_rngTriggerSourceForAllSweepsEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFFrequencyonRecallEntries[2] =
  {
    { RSSMX_VAL_FREQUENCY_RCL_INCLUDE, "INCL" },
    { RSSMX_VAL_FREQUENCY_RCL_EXCLUDE, "EXCL" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFFrequencyonRecall = { 2, RsSmx_rngRFFrequencyonRecallEntries };

RsCoreRangeTableRanged RsSmx_rngRFFrequencyOffset = { -50.0e9, 50.0e9, "" };

RsCoreRangeTableRanged RsSmx_rngRFDeltaPhase = { -36000, 36000, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngROSCSynchronizationBandwidthEntries[2] =
  {
    { RSSMX_VAL_ROSC_SBAN_WIDE, "WIDE" },
    { RSSMX_VAL_ROSC_SBAN_NARROW, "NARR" }
  };
RsCoreRangeTableDiscrete RsSmx_rngROSCSynchronizationBandwidth = { 2, RsSmx_rngROSCSynchronizationBandwidthEntries };

RsCoreRangeTableRanged RsSmx_rngROSCAdjustmentFrequency = { -2048, 2047, "" };

RsCoreRangeTableRanged RsSmx_rngRFLevelOffset = { -100.0, 100.0, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFAttenuatorModeEntries[2] =
  {
    { RSSMX_VAL_OUTPUT_AMODE_AUTO, "AUTO" },
    { RSSMX_VAL_OUTPUT_AMODE_FIXED, "FIX" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFAttenuatorMode = { 2, RsSmx_rngRFAttenuatorModeEntries };

RsCoreRangeTableRanged RsSmx_rngRFLevelVariationStep = { 0.0, 200.0, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerOnStateEntries[2] =
  {
    { RSSMX_VAL_OUTPUT_STATE_PON_OFF, "OFF" },
    { RSSMX_VAL_OUTPUT_STATE_PON_UNCH, "UNCH" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerOnState = { 2, RsSmx_rngPowerOnStateEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngALCEnabledEntries[7] =
  {
    { RSSMX_VAL_POWER_ALC_STATE_OFF, "0" },
    { RSSMX_VAL_POWER_ALC_STATE_ON, "1" },
    { RSSMX_VAL_POWER_ALC_STATE_AUTO, "AUTO" },
    { RSSMX_VAL_POWER_ALC_STATE_OFF_TABLE, "OFFT" },
    { RSSMX_VAL_POWER_ALC_STATE_ON_TABLE, "ONT" },
    { RSSMX_VAL_POWER_ALC_STATE_PRESET, "PRES" },
    { RSSMX_VAL_POWER_ALC_STATE_EALC, "EALC" }
  };
RsCoreRangeTableDiscrete RsSmx_rngALCEnabled = { 7, RsSmx_rngALCEnabledEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSweepModeEntries[3] =
  {
    { RSSMX_VAL_SWEEP_MODE_AUTO, "AUTO" },
    { RSSMX_VAL_SWEEP_MODE_MANUAL, "MAN" },
    { RSSMX_VAL_SWEEP_MODE_STEP, "STEP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSweepMode = { 3, RsSmx_rngSweepModeEntries };

RsCoreRangeTableRanged RsSmx_rngFrequencySweepDwellTime = { 10.0e-3, 100.0, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngFrequencySweepShapeEntries[2] =
  {
    { RSSMX_VAL_SWEEP_SHAPE_SAW, "SAWT" },
    { RSSMX_VAL_SWEEP_SHAPE_TRI, "TRI" }
  };
RsCoreRangeTableDiscrete RsSmx_rngFrequencySweepShape = { 2, RsSmx_rngFrequencySweepShapeEntries };

RsCoreRangeTableRanged RsSmx_rngLevelStep = { 0.01, 139.00, "" };

RsCoreRangeTableRanged RsSmx_rngLFSweepStepLog = { 0.01, 50.0, "PCT" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngAMExternalCouplingEntries[2] =
  {
    { RSSMX_VAL_AM_EXTERNAL_COUPLING_AC, "AC" },
    { RSSMX_VAL_AM_EXTERNAL_COUPLING_DC, "DC" }
  };
RsCoreRangeTableDiscrete RsSmx_rngAMExternalCoupling = { 2, RsSmx_rngAMExternalCouplingEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPULMPolarityEntries[2] =
  {
    { RSSMX_VAL_PULM_POLARITY_NORMAL, "NORM" },
    { RSSMX_VAL_PULM_POLARITY_INVERTED, "INV" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPULMPolarity = { 2, RsSmx_rngPULMPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPULMSourceEntries[2] =
  {
    { RSSMX_VAL_PULM_SOURCE_INTERNAL, "INT" },
    { RSSMX_VAL_PULM_SOURCE_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPULMSource = { 2, RsSmx_rngPULMSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPULMTriggerModeEntries[4] =
  {
    { RSSMX_VAL_PULM_TRIGGER_MODE_AUTO, "AUTO" },
    { RSSMX_VAL_PULM_TRIGGER_MODE_EXTERNAL, "EXT" },
    { RSSMX_VAL_PULM_TRIGGER_MODE_EGATE, "EGAT" },
    { RSSMX_VAL_PULM_TRIGGER_MODE_ESINGLE, "ESIN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPULMTriggerMode = { 4, RsSmx_rngPULMTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngFMModeEntries[2] =
  {
    { RSSMX_VAL_FM_MODE_HBAN, "HBAN" },
    { RSSMX_VAL_FM_MODE_LNOIS, "LNO" }
  };
RsCoreRangeTableDiscrete RsSmx_rngFMMode = { 2, RsSmx_rngFMModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPMModeEntries[3] =
  {
    { RSSMX_VAL_PM_MODE_HBAN, "HBAN" },
    { RSSMX_VAL_PM_MODE_LNOIS, "LNO" },
    { RSSMX_VAL_PM_MODE_HDEV, "HDEV" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPMMode = { 3, RsSmx_rngPMModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngCorrectionListModeEntries[2] =
  {
    { RSSMX_VAL_DEXC_MODE_IMPORT, "IMP" },
    { RSSMX_VAL_DEXC_MODE_EXPORT, "EXP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngCorrectionListMode = { 2, RsSmx_rngCorrectionListModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngCorrectionASCIIExtensionEntries[2] =
  {
    { RSSMX_VAL_DEXC_ASCII_SOURCE_FILE_EXT_TXT, "TXT" },
    { RSSMX_VAL_DEXC_ASCII_SOURCE_FILE_EXT_CSV, "CSV" }
  };
RsCoreRangeTableDiscrete RsSmx_rngCorrectionASCIIExtension = { 2, RsSmx_rngCorrectionASCIIExtensionEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngASCIISeparatorEntries[4] =
  {
    { RSSMX_VAL_COLUMN_SEP_TAB, "TAB" },
    { RSSMX_VAL_COLUMN_SEP_SEM, "SEM" },
    { RSSMX_VAL_COLUMN_SEP_COMMA, "COMM" },
    { RSSMX_VAL_COLUMN_SEP_SPACE, "SPAC" }
  };
RsCoreRangeTableDiscrete RsSmx_rngASCIISeparator = { 4, RsSmx_rngASCIISeparatorEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngASCIIDecimalSeparatorEntries[2] =
  {
    { RSSMX_VAL_DECIMAL_SEP_DOT, "DOT" },
    { RSSMX_VAL_DECIMAL_SEP_COMMA, "COMM" }
  };
RsCoreRangeTableDiscrete RsSmx_rngASCIIDecimalSeparator = { 2, RsSmx_rngASCIIDecimalSeparatorEntries };

RsCoreRangeTableRanged RsSmx_rngListDwellTime = { 7.0e-4, 100.0, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngListTriggerSourceEntries[3] =
  {
    { RSSMX_VAL_LIST_TRIGGER_SOURCE_AUTO, "AUTO" },
    { RSSMX_VAL_LIST_TRIGGER_SOURCE_SINGLE, "SING" },
    { RSSMX_VAL_LIST_TRIGGER_SOURCE_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngListTriggerSource = { 3, RsSmx_rngListTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFLevelVariationActiveEntries[2] =
  {
    { RSSMX_VAL_RF_VARIATION_ACTIVE_DECIMAL, "DEC" },
    { RSSMX_VAL_RF_VARIATION_ACTIVE_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFLevelVariationActive = { 2, RsSmx_rngRFLevelVariationActiveEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngExternalInputImpedanceEntries[3] =
  {
    { RSSMX_VAL_EXT_INPUT_IMP_G50, "G50" },
    { RSSMX_VAL_EXT_INPUT_IMP_G600, "G600" },
    { RSSMX_VAL_EXT_INPUT_IMP_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsSmx_rngExternalInputImpedance = { 3, RsSmx_rngExternalInputImpedanceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPULMTransitionTypeEntries[2] =
  {
    { RSSMX_VAL_PULM_TRANSITION_TYPE_SMOOTHED, "SMO" },
    { RSSMX_VAL_PULM_TRANSITION_TYPE_FAST, "FAST" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPULMTransitionType = { 2, RsSmx_rngPULMTransitionTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPULMModeEntries[3] =
  {
    { RSSMX_VAL_PULSE_MODE_SINGLE, "SING" },
    { RSSMX_VAL_PULSE_MODE_DOUBLE, "DOUB" },
    { RSSMX_VAL_PULSE_MODE_TRAIN, "PTR" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPULMMode = { 3, RsSmx_rngPULMModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngALCDetectorSensitivityEntries[2] =
  {
    { RSSMX_VAL_ALC_DETECTOR_AUTO, "AUTO" },
    { RSSMX_VAL_ALC_DETECTOR_FIXED, "FIX" }
  };
RsCoreRangeTableDiscrete RsSmx_rngALCDetectorSensitivity = { 2, RsSmx_rngALCDetectorSensitivityEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFAttRFOFFModeEntries[2] =
  {
    { RSSMX_VAL_RF_OFF_MODE_UNCH, "UNCH" },
    { RSSMX_VAL_RF_OFF_MODE_FULL, "FATT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFAttRFOFFMode = { 2, RsSmx_rngRFAttRFOFFModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngLFGenShapeModeEntries[4] =
  {
    { RSSMX_VAL_LFG_SHAPE_SINE, "SINE" },
    { RSSMX_VAL_LFG_SHAPE_PULSE, "SQU" },
    { RSSMX_VAL_LFG_SHAPE_TRIANGLE, "TRI" },
    { RSSMX_VAL_LFG_SHAPE_TRAP, "TRAP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngLFGenShapeMode = { 4, RsSmx_rngLFGenShapeModeEntries };

RsCoreRangeTableRanged RsSmx_rngLFGenPulsePeriod = { 1.0e-6, 100.00000000, "s" };

RsCoreRangeTableRanged RsSmx_rngLFGeneratorPulseWidth = { 1.00e-6, 1.00000e-3, "" };

RsCoreRangeTableRanged RsSmx_rngLFGenPulseDutyCycle = { 0.000001, 100.000, "%" };

RsCoreRangeTableRanged RsSmx_rngLFGenTrapHigh = { 0.2e-6, 2.5, "s" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPGENOutputPolarityEntries[2] =
  {
    { RSSMX_VAL_PGEN_OUTPUT_POLARITY_NORMAL, "NORM" },
    { RSSMX_VAL_PGEN_OUTPUT_POLARITY_INVERTED, "INV" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPGENOutputPolarity = { 2, RsSmx_rngPGENOutputPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFLevelModeEntries[3] =
  {
    { RSSMX_VAL_RF_LEVEL_MODE_NORMAL, "NORM" },
    { RSSMX_VAL_RF_LEVEL_MODE_LOWNOISE, "LOWN" },
    { RSSMX_VAL_RF_LEVEL_MODE_LOWDIST, "LOWD" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFLevelMode = { 3, RsSmx_rngRFLevelModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFLevelSettingCharacteristicsEntries[5] =
  {
    { RSSMX_VAL_RF_LEVEL_SETTING_AUTO, "AUTO" },
    { RSSMX_VAL_RF_LEVEL_SETTING_UNINT, "UNIN" },
    { RSSMX_VAL_RF_LEVEL_SETTING_STRICTLY, "MON" },
    { RSSMX_VAL_RF_LEVEL_SETTING_VSWR, "CVSW" },
    { RSSMX_VAL_RF_LEVEL_SETTING_HDUN, "HDUN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFLevelSettingCharacteristics = { 5, RsSmx_rngRFLevelSettingCharacteristicsEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngLFOutputSourceEntries[7] =
  {
    { RSSMX_VAL_LFOUT_SOURCE_LF1, "LF1" },
    { RSSMX_VAL_LFOUT_SOURCE_LF2, "LF2" },
    { RSSMX_VAL_LFOUT_SOURCE_NOISE, "NOIS" },
    { RSSMX_VAL_LFOUT_SOURCE_EXT1, "EXT1" },
    { RSSMX_VAL_LFOUT_SOURCE_EXT2, "EXT2" },
    { RSSMX_VAL_LFOUT_SOURCE_AM, "AM" },
    { RSSMX_VAL_LFOUT_SOURCE_FMPM, "FMPM" }
  };
RsCoreRangeTableDiscrete RsSmx_rngLFOutputSource = { 7, RsSmx_rngLFOutputSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFNoiseDistributionEntries[2] =
  {
    { RSSMX_VAL_RF_NOISE_DISTRIBUTION_GAUSS, "GAUS" },
    { RSSMX_VAL_RF_NOISE_DISTRIBUTION_EQUAL, "EQU" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFNoiseDistribution = { 2, RsSmx_rngRFNoiseDistributionEntries };

RsCoreRangeTableRanged RsSmx_rngRFNoiseBandwidth = { 100e3, 10.0e6, "Hz" };

RsCoreRangeTableRanged RsSmx_rngLFOutputVoltage = { 0, 4, "V" };

RsCoreRangeTableRanged RsSmx_rngLFOutputDCOffset = { -3600.0e-3, 3600.0e-3, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngAMSourceEntries[5] =
  {
    { RSSMX_VAL_AM_SOURCE_LF1, "LF1" },
    { RSSMX_VAL_AM_SOURCE_LF2, "LF2" },
    { RSSMX_VAL_AM_SOURCE_NOISE, "NOIS" },
    { RSSMX_VAL_AM_SOURCE_EXT1, "EXT1" },
    { RSSMX_VAL_AM_SOURCE_EXT2, "EXT2" }
  };
RsCoreRangeTableDiscrete RsSmx_rngAMSource = { 5, RsSmx_rngAMSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngFMSourceEntries[5] =
  {
    { RSSMX_VAL_FM_SOURCE_LF1, "LF1" },
    { RSSMX_VAL_FM_SOURCE_LF2, "LF2" },
    { RSSMX_VAL_FM_SOURCE_NOISE, "NOIS" },
    { RSSMX_VAL_FM_SOURCE_EXT1, "EXT1" },
    { RSSMX_VAL_FM_SOURCE_EXT2, "EXT2" }
  };
RsCoreRangeTableDiscrete RsSmx_rngFMSource = { 5, RsSmx_rngFMSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPMSourceEntries[5] =
  {
    { RSSMX_VAL_PM_SOURCE_LF1, "LF1" },
    { RSSMX_VAL_PM_SOURCE_LF2, "LF2" },
    { RSSMX_VAL_PM_SOURCE_NOISE, "NOIS" },
    { RSSMX_VAL_PM_SOURCE_EXT1, "EXT1" },
    { RSSMX_VAL_PM_SOURCE_EXT2, "EXT2" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPMSource = { 5, RsSmx_rngPMSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRefOscOutputFreqModeEntries[4] =
  {
    { RSSMX_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_OFF, "OFF" },
    { RSSMX_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_DER10M, "DER10M" },
    { RSSMX_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_DER100M, "DER100M" },
    { RSSMX_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_LOOPTHROUGH, "LOOP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRefOscOutputFreqMode = { 4, RsSmx_rngRefOscOutputFreqModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPULMImpedanceEntries[2] =
  {
    { RSSMX_VAL_PULM_IMPEDANCE_G50, "G50" },
    { RSSMX_VAL_PULM_IMPEDANCE_G10K, "G10K" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPULMImpedance = { 2, RsSmx_rngPULMImpedanceEntries };

static ViReal64 RsSmx_rngSystemSerialBaudEntries[7] = { 2400, 4800, 9600, 19200, 38400, 57600, 115200 };
RsCoreRangeTableCoerced RsSmx_rngSystemSerialBaud = { 7, RsSmx_rngSystemSerialBaudEntries, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSystemSerialParityEntries[3] =
  {
    { RSSMX_VAL_SERIAL_PARITY_NONE, "NONE" },
    { RSSMX_VAL_SERIAL_PARITY_ODD, "ODD" },
    { RSSMX_VAL_SERIAL_PARITY_EVEN, "EVEN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSystemSerialParity = { 3, RsSmx_rngSystemSerialParityEntries };

static ViReal64 RsSmx_rngSystemSerialStopBitsEntries[2] = { 1, 2 };
RsCoreRangeTableCoerced RsSmx_rngSystemSerialStopBits = { 2, RsSmx_rngSystemSerialStopBitsEntries, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerDisplayPermanentEntries[2] =
  {
    { RSSMX_VAL_SENSE_POWER_DISPLAY_AVERAGE, "AVER" },
    { RSSMX_VAL_SENSE_POWER_DISPLAY_PEAK, "PEAK" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerDisplayPermanent = { 2, RsSmx_rngPowerDisplayPermanentEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngListRunModeEntries[2] =
  {
    { RSSMX_VAL_LIST_RUN_LEARNED, "LEAR" },
    { RSSMX_VAL_LIST_RUN_LIVE, "LIVE" }
  };
RsCoreRangeTableDiscrete RsSmx_rngListRunMode = { 2, RsSmx_rngListRunModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngListDwellTimeModeEntries[2] =
  {
    { RSSMX_VAL_DWELL_MODE_GLOBAL, "GLOB" },
    { RSSMX_VAL_DWELL_MODE_LIST, "LIST" }
  };
RsCoreRangeTableDiscrete RsSmx_rngListDwellTimeMode = { 2, RsSmx_rngListDwellTimeModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngExternalInputCouplingModeEntries[2] =
  {
    { RSSMX_VAL_COUPLING_AC, "AC" },
    { RSSMX_VAL_COUPLING_DC, "DC" }
  };
RsCoreRangeTableDiscrete RsSmx_rngExternalInputCouplingMode = { 2, RsSmx_rngExternalInputCouplingModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngHardCopyRegionEntries[2] =
  {
    { RSSMX_VAL_HCOPY_SNAPSHOT_ALL, "ALL" },
    { RSSMX_VAL_HCOPY_SNAPSHOT_DIALOG, "DIAL" }
  };
RsCoreRangeTableDiscrete RsSmx_rngHardCopyRegion = { 2, RsSmx_rngHardCopyRegionEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFFrequencyModeEntries[4] =
  {
    { RSSMX_VAL_RF_FREQUENCY_CW, "CW" },
    { RSSMX_VAL_RF_FREQUENCY_SWEEP, "SWE" },
    { RSSMX_VAL_RF_FREQUENCY_LIST, "LIST" },
    { RSSMX_VAL_RF_FREQUENCY_COMBINED, "COMB" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFFrequencyMode = { 4, RsSmx_rngRFFrequencyModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSweepTriggerSourceEntries[4] =
  {
    { RSSMX_VAL_SWEEP_TRIGGER_SOURCE_AUTO, "AUTO" },
    { RSSMX_VAL_SWEEP_TRIGGER_SOURCE_SINGLE, "SING" },
    { RSSMX_VAL_SWEEP_TRIGGER_SOURCE_EXTERNAL, "EXT" },
    { RSSMX_VAL_SWEEP_TRIGGER_SOURCE_EXTERNAL_AUTO, "EAUT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSweepTriggerSource = { 4, RsSmx_rngSweepTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngModeEntries[2] =
  {
    { RSSMX_VAL_MODE_CW, "CW" },
    { RSSMX_VAL_MODE_SWEEP, "SWE" }
  };
RsCoreRangeTableDiscrete RsSmx_rngMode = { 2, RsSmx_rngModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFPowerModeEntries[2] =
  {
    { RSSMX_VAL_RF_POWER_CW, "CW" },
    { RSSMX_VAL_RF_POWER_SWEEP, "SWE" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFPowerMode = { 2, RsSmx_rngRFPowerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngOutputImpedanceEntries[3] =
  {
    { RSSMX_VAL_IMPEDANCE_G50, "G50" },
    { RSSMX_VAL_IMPEDANCE_G1K, "G1K" },
    { RSSMX_VAL_IMPEDANCE_G10K, "G10K" }
  };
RsCoreRangeTableDiscrete RsSmx_rngOutputImpedance = { 3, RsSmx_rngOutputImpedanceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngLFOutputSourcePathEntries[2] =
  {
    { RSSMX_PATH_A, "A" },
    { RSSMX_PATH_B, "B" }
  };
RsCoreRangeTableDiscrete RsSmx_rngLFOutputSourcePath = { 2, RsSmx_rngLFOutputSourcePathEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerSensorMappingEntries[5] =
  {
    { RSSMX_VAL_POWER_SENSOR_MAPPING_UNMAPPED, "UNM" },
    { RSSMX_VAL_POWER_SENSOR_MAPPING_SENSOR1, "SENS1" },
    { RSSMX_VAL_POWER_SENSOR_MAPPING_SENSOR2, "SENS2" },
    { RSSMX_VAL_POWER_SENSOR_MAPPING_SENSOR3, "SENS3" },
    { RSSMX_VAL_POWER_SENSOR_MAPPING_SENSOR4, "SENS4" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerSensorMapping = { 5, RsSmx_rngPowerSensorMappingEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngCalibrationLevelBandwidthEntries[3] =
  {
    { RSSMX_VAL_CAL_BWIDTH_LOW, "LOW" },
    { RSSMX_VAL_CAL_BWIDTH_HIGH, "HIGH" },
    { RSSMX_VAL_CAL_BWIDTH_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsSmx_rngCalibrationLevelBandwidth = { 3, RsSmx_rngCalibrationLevelBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngCalibrationLevelCalibrationDataEntries[2] =
  {
    { RSSMX_VAL_LEVEL_CAL_FACTORY, "FACT" },
    { RSSMX_VAL_LEVEL_CAL_CUSTOMER, "CUST" }
  };
RsCoreRangeTableDiscrete RsSmx_rngCalibrationLevelCalibrationData = { 2, RsSmx_rngCalibrationLevelCalibrationDataEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFFrequencyMainPLLBandwidthEntries[2] =
  {
    { RSSMX_VAL_PLL_NORMAL, "NORM" },
    { RSSMX_VAL_PLL_NARROW, "NARR" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFFrequencyMainPLLBandwidth = { 2, RsSmx_rngRFFrequencyMainPLLBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFLevelHarmonicFilterEntries[2] =
  {
    { RSSMX_VAL_HARMONIC_FILTER_AUTO, "AUTO" },
    { RSSMX_VAL_HARMONIC_FILTER_ON, "ON" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFLevelHarmonicFilter = { 2, RsSmx_rngRFLevelHarmonicFilterEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngClockSynthesisOutputTypeEntries[4] =
  {
    { RSSMX_VAL_CSYN_OTYPE_SES, "SES" },
    { RSSMX_VAL_CSYN_OTYPE_DSIN, "DSIN" },
    { RSSMX_VAL_CSYN_OTYPE_DSQ, "DSQ" },
    { RSSMX_VAL_CSYN_OTYPE_CMOS, "CMOS" }
  };
RsCoreRangeTableDiscrete RsSmx_rngClockSynthesisOutputType = { 4, RsSmx_rngClockSynthesisOutputTypeEntries };

RsCoreRangeTableRanged RsSmx_rngClockSynthesisPower = { -24, 30, "" };

RsCoreRangeTableRanged RsSmx_rngClockSynthesisDCOffset = { -5, 5, "" };

RsCoreRangeTableRanged RsSmx_rngClockSynthesisVoltage = { 0.8, 2.7, "" };

RsCoreRangeTableRanged RsSmx_rngClockSynthesisPhase = { -36000, 36000, "" };

RsCoreRangeTableRanged RsSmx_rngClockSynthesisFrequencyVariationStep = { 0, 14999e5, "Hz" };

RsCoreRangeTableRanged RsSmx_rngClockSynthesisLevelVariationStep = { 0, 35, "" };

RsCoreRangeTableRanged RsSmx_rngDisplayBrightness = { 1.0, 20.0, "" };

RsCoreRangeTableRanged RsSmx_rngDisplayButtonBrightness = { 1, 20, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSelftestResultEntries[4] =
  {
    { RSSMX_VAL_SELFTEST_OK, "0" },
    { RSSMX_VAL_SELFTEST_NOK, "1" },
    { RSSMX_VAL_SELFTEST_RUNNING, "RUN" },
    { RSSMX_VAL_SELFTEST_STOPPED, "STOP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSelftestResult = { 4, RsSmx_rngSelftestResultEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngReferenceOscillatorVoltageTuningSensitivityEntries[2] =
  {
    { RSSMX_VAL_SENSITIVITY_LOW, "LOW" },
    { RSSMX_VAL_SENSITIVITY_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsSmx_rngReferenceOscillatorVoltageTuningSensitivity = { 2, RsSmx_rngReferenceOscillatorVoltageTuningSensitivityEntries };

RsCoreRangeTableRanged RsSmx_rngReferenceOscillatorUserDefinedExternalFrequency = { 1e6, 100e6, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSystemUserInterfaceLockEntries[5] =
  {
    { RSSMX_VAL_LOC_DISABLED, "DIS" },
    { RSSMX_VAL_LOC_ENABLED, "ENAB" },
    { RSSMX_VAL_LOC_DISPLAY_ONLY, "DONL" },
    { RSSMX_VAL_LOC_VNC_ONLY, "VNC" },
    { RSSMX_VAL_LOC_TOUCH_OFF, "TOFF" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSystemUserInterfaceLock = { 5, RsSmx_rngSystemUserInterfaceLockEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngListModeEntries[2] =
  {
    { RSSMX_VAL_LIST_MODE_AUTO, "AUTO" },
    { RSSMX_VAL_LIST_MODE_STEP, "STEP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngListMode = { 2, RsSmx_rngListModeEntries };

RsCoreRangeTableRanged RsSmx_rngAMDeviationRatio = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngFMRatio = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngPMRatio = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngPulseModulationWidth = { 20e-9, 100, "s" };

RsCoreRangeTableRanged RsSmx_rngPulseModulationThreshold = { 0, 2, "V" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngLFOutputExternalLFBandwidthEntries[2] =
  {
    { RSSMX_VAL_BWID_BW0M2, "BW0M" },
    { RSSMX_VAL_BWID_BW10M, "BW10" }
  };
RsCoreRangeTableDiscrete RsSmx_rngLFOutputExternalLFBandwidth = { 2, RsSmx_rngLFOutputExternalLFBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngReferenceOscillatorOutputReferenceFrequencyEntries[3] =
  {
    { RSSMX_VAL_ROSC_OUTPUT_FMODE_OFF, "OFF" },
    { RSSMX_VAL_ROSC_OUTPUT_FMODE_DER1G, "DER1G" },
    { RSSMX_VAL_ROSC_OUTPUT_FMODE_LOOP, "LOOP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngReferenceOscillatorOutputReferenceFrequency = { 3, RsSmx_rngReferenceOscillatorOutputReferenceFrequencyEntries };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMeasurementSteps = { 10, 1000, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisTimingModeEntries[3] =
  {
    { RSSMX_VAL_TIMING_NORMAL, "NORM" },
    { RSSMX_VAL_TIMING_FAST, "FAST" },
    { RSSMX_VAL_TIMING_HIGH_PRECISION, "HPR" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTimingMode = { 3, RsSmx_rngPowerAnalysisTimingModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisAutoScaleEntries[5] =
  {
    { RSSMX_VAL_AUTO_SCALE_OFF, "OFF" },
    { RSSMX_VAL_AUTO_SCALE_COARSE_EXPANDING, "CEXP" },
    { RSSMX_VAL_AUTO_SCALE_FINE_EXPANDING, "FEXP" },
    { RSSMX_VAL_AUTO_SCALE_COARSE_FLOATING, "CFL" },
    { RSSMX_VAL_AUTO_SCALE_FINE_FLOATING, "FFL" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisAutoScale = { 5, RsSmx_rngPowerAnalysisAutoScaleEntries };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMeasurementPower = { -145, 20, "dBm" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisDiagramPower = { -200, 100, "" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMeasurementTime = { -1, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngOffset = { -100, 100, "" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisTriggerDropOutTime = { 0, 10, "" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisTriggerHysteresis = { 0, 10, "dB" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisTriggerLevel = { -200, 100, "dBm" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisPulseParam = { 0, 100, "" };

RsCoreRangeTableRanged RsSmx_rngADFDepth = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngADFPeriod = { 0, 120, "s" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngDeviationModeEntries[3] =
  {
    { RSSMX_VAL_DEV_MODE_UNCOUPLED, "UNC" },
    { RSSMX_VAL_DEV_MODE_TOTAL, "TOT" },
    { RSSMX_VAL_DEV_MODE_RATIO, "RAT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngDeviationMode = { 3, RsSmx_rngDeviationModeEntries };

RsCoreRangeTableRanged RsSmx_rngAMDepthExponential = { 0, 100, "dB/V" };

RsCoreRangeTableRanged RsSmx_rngAMDepthLinear = { 0, 100, "%/V" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPhaseContinuityModeEntries[2] =
  {
    { RSSMX_VAL_PHASE_CONT_NARROW, "NARR" },
    { RSSMX_VAL_PHASE_CONT_WIDE, "WIDE" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPhaseContinuityMode = { 2, RsSmx_rngPhaseContinuityModeEntries };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerDashLength = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerDepth = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerDotLength = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerLetterSpace = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerPeriod = { 0, 120, "s" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerSymbolSpace = { 0.05, 1, "s" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerTimeSchemaEntries[2] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_TIME_SCHEMA_STD, "STD" },
    { RSSMX_VAL_ILS_LOCALIZER_TIME_SCHEMA_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerTimeSchema = { 2, RsSmx_rngILSLocalizerTimeSchemaEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerFlyModeEntries[2] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_FLY_MODE_LEFT, "LEFT" },
    { RSSMX_VAL_ILS_LOCALIZER_FLY_MODE_RIGHT, "RIGH" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerFlyMode = { 2, RsSmx_rngILSLocalizerFlyModeEntries };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerDDMLogarithmic = { -999.9, 999.9, "dB" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerDDMPercent = { -80, 80, "%" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerDDMDepth = { -0.4, 0.4, "" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerLeftFrequency = { 60, 120, "Hz" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerLeftRightPhase = { -60, 120, "deg" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerRightFrequency = { 100, 200, "Hz" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerSumOfDepth = { 0, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerEXTAMEntries[2] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_EXT_AM_INT, "INT" },
    { RSSMX_VAL_ILS_LOCALIZER_EXT_AM_EXT, "INT,EXT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerEXTAM = { 2, RsSmx_rngILSLocalizerEXTAMEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSGSFlyModeEntries[2] =
  {
    { RSSMX_VAL_ILS_GS_FLY_MODE_UP, "UP" },
    { RSSMX_VAL_ILS_GS_FLY_MODE_DOWN, "DOWN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSGSFlyMode = { 2, RsSmx_rngILSGSFlyModeEntries };

RsCoreRangeTableRanged RsSmx_rngILSGSDDMLogarithmic = { -999.9, 999.9, "dB" };

RsCoreRangeTableRanged RsSmx_rngILSGSDDMPercent = { -80, 80, "%" };

RsCoreRangeTableRanged RsSmx_rngILSGSDDMDepth = { -0.8, 0.8, "" };

RsCoreRangeTableRanged RsSmx_rngILSGSDownFrequency = { 100, 200, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSGSOperatingModeEntries[3] =
  {
    { RSSMX_VAL_ILS_GS_OPERATING_MODE_NORM, "NORM" },
    { RSSMX_VAL_ILS_GS_OPERATING_MODE_ULOBE, "ULOB" },
    { RSSMX_VAL_ILS_GS_OPERATING_MODE_LLOBE, "LLOB" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSGSOperatingMode = { 3, RsSmx_rngILSGSOperatingModeEntries };

RsCoreRangeTableRanged RsSmx_rngILSGSUpDownPhase = { -60, 120, "deg" };

RsCoreRangeTableRanged RsSmx_rngILSGSSumOfDepth = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSGSEXTAMEntries[2] =
  {
    { RSSMX_VAL_ILS_GS_EXT_AM_INT, "INT" },
    { RSSMX_VAL_ILS_GS_EXT_AM_EXT, "INT,EXT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSGSEXTAM = { 2, RsSmx_rngILSGSEXTAMEntries };

RsCoreRangeTableRanged RsSmx_rngILSGSUpFrequency = { 60, 120, "Hz" };

RsCoreRangeTableRanged RsSmx_rngDeviationTotal = { 0, 20, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSweepTypeEntries[2] =
  {
    { RSSMX_VAL_SWEEP_TYPE_STEPPED, "STEP" },
    { RSSMX_VAL_SWEEP_TYPE_ANALOG, "ANAL" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSweepType = { 2, RsSmx_rngSweepTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngMarkerPolarityEntries[2] =
  {
    { RSSMX_VAL_MARKER_POLARITY_NORMAL, "NORM" },
    { RSSMX_VAL_MARKER_POLARITY_INVERTED, "INV" }
  };
RsCoreRangeTableDiscrete RsSmx_rngMarkerPolarity = { 2, RsSmx_rngMarkerPolarityEntries };

RsCoreRangeTableRanged RsSmx_rngSweepTime = { 0.01, 100, "s" };

RsCoreRangeTableRanged RsSmx_rngVORDashLength = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngVORDepth = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngVORDotLength = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngVORLetterSpace = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngVORPeriod = { 0, 120, "s" };

RsCoreRangeTableRanged RsSmx_rngVORSymbolSpace = { 0.05, 1, "s" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngVORTimeSchemaEntries[2] =
  {
    { RSSMX_VAL_VOR_TIME_SCHEMA_STD, "STD" },
    { RSSMX_VAL_VOR_TIME_SCHEMA_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSmx_rngVORTimeSchema = { 2, RsSmx_rngVORTimeSchemaEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngVORModeEntries[4] =
  {
    { RSSMX_VAL_VOR_MODE_NORM, "NORM" },
    { RSSMX_VAL_VOR_MODE_VAR, "VAR" },
    { RSSMX_VAL_VOR_MODE_SUBCARRIER, "SUBC" },
    { RSSMX_VAL_VOR_MODE_FM_SUBCARRIER, "FMS" }
  };
RsCoreRangeTableDiscrete RsSmx_rngVORMode = { 4, RsSmx_rngVORModeEntries };

RsCoreRangeTableRanged RsSmx_rngVORREFDeviation = { 0, 960, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngVOREXTAMEntries[2] =
  {
    { RSSMX_VAL_VOR_EXT_AM_INT, "INT" },
    { RSSMX_VAL_VOR_EXT_AM_EXT, "INT,EXT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngVOREXTAM = { 2, RsSmx_rngVOREXTAMEntries };

RsCoreRangeTableRanged RsSmx_rngVORSubcarrierDepth = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngVORVARREFFrequency = { 10, 60, "Hz" };

RsCoreRangeTableRanged RsSmx_rngVORVARDepth = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngVORBearingAngle = { 0, 360, "deg" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngVORDirectionEntries[2] =
  {
    { RSSMX_VAL_VOR_DIRECTION_FROM, "FROM" },
    { RSSMX_VAL_VOR_DIRECTION_TO, "TO" }
  };
RsCoreRangeTableDiscrete RsSmx_rngVORDirection = { 2, RsSmx_rngVORDirectionEntries };

RsCoreRangeTableRanged RsSmx_rngILSMBDashLength = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngILSMBDepth = { 0, 100, "%" };

RsCoreRangeTableRanged RsSmx_rngILSMBDotLength = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngILSMBLetterSpace = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngILSMBPeriod = { 0, 120, "s" };

RsCoreRangeTableRanged RsSmx_rngILSMBSymbolSpace = { 0.05, 1, "s" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSMBTimeSchemaEntries[2] =
  {
    { RSSMX_VAL_ILS_MB_TIME_SCHEMA_STD, "STD" },
    { RSSMX_VAL_ILS_MB_TIME_SCHEMA_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSMBTimeSchema = { 2, RsSmx_rngILSMBTimeSchemaEntries };

RsCoreRangeTableRanged RsSmx_rngILSMBMarkerDepth = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisTraceStateEntries[3] =
  {
    { RSSMX_VAL_TRACE_STATE_OFF, "OFF" },
    { RSSMX_VAL_TRACE_STATE_ON, "ON" },
    { RSSMX_VAL_TRACE_STATE_HOLD, "HOLD" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTraceState = { 3, RsSmx_rngPowerAnalysisTraceStateEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisTraceSourceEntries[5] =
  {
    { RSSMX_VAL_TRACE_SOURCE_NONE, "NONE" },
    { RSSMX_VAL_TRACE_SOURCE_SENS1, "SENS1" },
    { RSSMX_VAL_TRACE_SOURCE_SENS2, "SENS2" },
    { RSSMX_VAL_TRACE_SOURCE_SENS3, "SENS3" },
    { RSSMX_VAL_TRACE_SOURCE_SENS4, "SENS4" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTraceSource = { 5, RsSmx_rngPowerAnalysisTraceSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisTraceColorEntries[7] =
  {
    { RSSMX_VAL_TRACE_COLOR_INVERSE, "INV" },
    { RSSMX_VAL_TRACE_COLOR_GRAY, "GRAY" },
    { RSSMX_VAL_TRACE_COLOR_YELLOW, "YELL" },
    { RSSMX_VAL_TRACE_COLOR_BLUE, "BLUE" },
    { RSSMX_VAL_TRACE_COLOR_GREEN, "GRE" },
    { RSSMX_VAL_TRACE_COLOR_RED, "RED" },
    { RSSMX_VAL_TRACE_COLOR_MAGENTA, "MAG" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTraceColor = { 7, RsSmx_rngPowerAnalysisTraceColorEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisMathFrequencySubtractEntries[20] =
  {
    { RSSMX_VAL_TRACE_SUBTRACT_T1T1, "T1T1" },
    { RSSMX_VAL_TRACE_SUBTRACT_T1T2, "T1T2" },
    { RSSMX_VAL_TRACE_SUBTRACT_T1T3, "T1T3" },
    { RSSMX_VAL_TRACE_SUBTRACT_T1T4, "T1T4" },
    { RSSMX_VAL_TRACE_SUBTRACT_T1REF, "T1RE" },
    { RSSMX_VAL_TRACE_SUBTRACT_T2T1, "T2T1" },
    { RSSMX_VAL_TRACE_SUBTRACT_T2T2, "T2T2" },
    { RSSMX_VAL_TRACE_SUBTRACT_T2T3, "T2T3" },
    { RSSMX_VAL_TRACE_SUBTRACT_T2T4, "T2T4" },
    { RSSMX_VAL_TRACE_SUBTRACT_T2REF, "T2RE" },
    { RSSMX_VAL_TRACE_SUBTRACT_T3T1, "T3T1" },
    { RSSMX_VAL_TRACE_SUBTRACT_T3T2, "T3T2" },
    { RSSMX_VAL_TRACE_SUBTRACT_T3T3, "T3T3" },
    { RSSMX_VAL_TRACE_SUBTRACT_T3T4, "T3T4" },
    { RSSMX_VAL_TRACE_SUBTRACT_T3REF, "T3RE" },
    { RSSMX_VAL_TRACE_SUBTRACT_T4T1, "T4T1" },
    { RSSMX_VAL_TRACE_SUBTRACT_T4T2, "T4T2" },
    { RSSMX_VAL_TRACE_SUBTRACT_T4T3, "T4T3" },
    { RSSMX_VAL_TRACE_SUBTRACT_T4T4, "T4T4" },
    { RSSMX_VAL_TRACE_SUBTRACT_T4REF, "T4RE" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisMathFrequencySubtract = { 20, RsSmx_rngPowerAnalysisMathFrequencySubtractEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisMeasurementModeEntries[3] =
  {
    { RSSMX_VAL_MEASUREMENT_MODE_FREQ, "FREQ" },
    { RSSMX_VAL_MEASUREMENT_MODE_POWER, "POW" },
    { RSSMX_VAL_MEASUREMENT_MODE_TIME, "TIME" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisMeasurementMode = { 3, RsSmx_rngPowerAnalysisMeasurementModeEntries };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisFrequency = { 0, 1e12, "Hz" };

static ViReal64 RsSmx_rngPowerAnalysisTimeAverageEntries[11] = { 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024 };
RsCoreRangeTableCoerced RsSmx_rngPowerAnalysisTimeAverage = { 11, RsSmx_rngPowerAnalysisTimeAverageEntries, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisMeasurementExecutionEntries[2] =
  {
    { RSSMX_VAL_EXECUTION_SINGLE, "SING" },
    { RSSMX_VAL_EXECUTION_CONTINUOUS, "CONT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisMeasurementExecution = { 2, RsSmx_rngPowerAnalysisMeasurementExecutionEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisTimeTriggerEventsEntries[2] =
  {
    { RSSMX_VAL_TIME_TRIGGER_AND, "AND" },
    { RSSMX_VAL_TIME_TRIGGER_OR, "OR" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTimeTriggerEvents = { 2, RsSmx_rngPowerAnalysisTimeTriggerEventsEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisDiagramBackgroundColorEntries[2] =
  {
    { RSSMX_VAL_BACKGROUND_BLACK, "BLAC" },
    { RSSMX_VAL_BACKGROUND_WHITE, "WHIT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisDiagramBackgroundColor = { 2, RsSmx_rngPowerAnalysisDiagramBackgroundColorEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisGateTraceEntries[4] =
  {
    { RSSMX_VAL_GATE_TRACE1, "TRAC1" },
    { RSSMX_VAL_GATE_TRACE2, "TRAC2" },
    { RSSMX_VAL_GATE_TRACE3, "TRAC3" },
    { RSSMX_VAL_GATE_TRACE4, "TRAC4" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisGateTrace = { 4, RsSmx_rngPowerAnalysisGateTraceEntries };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisSensorFrequencySeparateFreq = { 0, 1e12, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisPulseDataBaseEntries[2] =
  {
    { RSSMX_VAL_POWER_ANALYSIS_PULSE_BASE_VOLTAGE, "VOLT" },
    { RSSMX_VAL_POWER_ANALYSIS_PULSE_BASE_POWER, "POW" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisPulseDataBase = { 2, RsSmx_rngPowerAnalysisPulseDataBaseEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisTriggerModeEntries[4] =
  {
    { RSSMX_VAL_POWER_ANALYSIS_TRIGGER_FREE, "FREE" },
    { RSSMX_VAL_POWER_ANALYSIS_TRIGGER_AUTO, "AUTO" },
    { RSSMX_VAL_POWER_ANALYSIS_TRIGGER_INT, "INT" },
    { RSSMX_VAL_POWER_ANALYSIS_TRIGGER_EXT, "EXT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTriggerMode = { 4, RsSmx_rngPowerAnalysisTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSweepModeOutputVoltageModeEntries[4] =
  {
    { RSSMX_VAL_SWEEP_OUTPUT_VOLTAGE_S0V25, "S0V25" },
    { RSSMX_VAL_SWEEP_OUTPUT_VOLTAGE_S0V5, "S0V5" },
    { RSSMX_VAL_SWEEP_OUTPUT_VOLTAGE_S1V0, "S1V0" },
    { RSSMX_VAL_SWEEP_OUTPUT_VOLTAGE_XAXIS, "XAX" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSweepModeOutputVoltageMode = { 4, RsSmx_rngSweepModeOutputVoltageModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSweepModeOutputMarkerModeEntries[2] =
  {
    { RSSMX_VAL_MARKER_MODE_MARKER, "MARK" },
    { RSSMX_VAL_MARKER_MODE_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSweepModeOutputMarkerMode = { 2, RsSmx_rngSweepModeOutputMarkerModeEntries };

RsCoreRangeTableRanged RsSmx_rngAMSensitivity = { 0, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngAMModeEntries[2] =
  {
    { RSSMX_VAL_AM_MODE_NORMAL, "NORM" },
    { RSSMX_VAL_AM_MODE_SCAN, "SCAN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngAMMode = { 2, RsSmx_rngAMModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngAMTypeEntries[2] =
  {
    { RSSMX_VAL_AM_TYPE_LINEAR, "LIN" },
    { RSSMX_VAL_AM_TYPE_EXPONENTIAL, "EXP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngAMType = { 2, RsSmx_rngAMTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngSweepActiveMarkerEntries[11] =
  {
    { RSSMX_VAL_MARKER_NONE, "NONE" },
    { RSSMX_VAL_MARKER_M01, "M01" },
    { RSSMX_VAL_MARKER_M02, "M02" },
    { RSSMX_VAL_MARKER_M03, "M03" },
    { RSSMX_VAL_MARKER_M04, "M04" },
    { RSSMX_VAL_MARKER_M05, "M05" },
    { RSSMX_VAL_MARKER_M06, "M06" },
    { RSSMX_VAL_MARKER_M07, "M07" },
    { RSSMX_VAL_MARKER_M08, "M08" },
    { RSSMX_VAL_MARKER_M09, "M09" },
    { RSSMX_VAL_MARKER_M10, "M10" }
  };
RsCoreRangeTableDiscrete RsSmx_rngSweepActiveMarker = { 11, RsSmx_rngSweepActiveMarkerEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngScreenshotDeviceEntries[2] =
  {
    { RSSMX_VAL_SCREENSHOT_DEVICE_FILE, "FILE" },
    { RSSMX_VAL_SCREENSHOT_DEVICE_PRINTER, "PRIN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngScreenshotDevice = { 2, RsSmx_rngScreenshotDeviceEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngScreenshotSizeEntries[4] =
  {
    { RSSMX_VAL_SCREENSHOT_SIZE_320_240, "320,240" },
    { RSSMX_VAL_SCREENSHOT_SIZE_640_480, "640,480" },
    { RSSMX_VAL_SCREENSHOT_SIZE_800_600, "800,600" },
    { RSSMX_VAL_SCREENSHOT_SIZE_1024_768, "1024,768" }
  };
RsCoreRangeTableDiscrete RsSmx_rngScreenshotSize = { 4, RsSmx_rngScreenshotSizeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngScreenshotFormatEntries[5] =
  {
    { RSSMX_VAL_SCREENSHOT_FORMAT_BMP, "BMP" },
    { RSSMX_VAL_SCREENSHOT_FORMAT_JPG, "JPG" },
    { RSSMX_VAL_SCREENSHOT_FORMAT_XPM, "XPM" },
    { RSSMX_VAL_SCREENSHOT_FORMAT_PNG, "PNG" },
    { RSSMX_VAL_SCREENSHOT_FORMAT_CSV, "CSV" }
  };
RsCoreRangeTableDiscrete RsSmx_rngScreenshotFormat = { 5, RsSmx_rngScreenshotFormatEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngScreenshotCSVHeaderEnabledEntries[2] =
  {
    { RSSMX_VAL_CSV_HEADER_OFF, "OFF" },
    { RSSMX_VAL_CSV_HEADER_STANDARD, "STAN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngScreenshotCSVHeaderEnabled = { 2, RsSmx_rngScreenshotCSVHeaderEnabledEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngScreenshotCSVOrientationEntries[2] =
  {
    { RSSMX_VAL_CSV_ORIENTATION_VERTICAL, "VERT" },
    { RSSMX_VAL_CSV_ORIENTATION_HORIZONTAL, "HOR" }
  };
RsCoreRangeTableDiscrete RsSmx_rngScreenshotCSVOrientation = { 2, RsSmx_rngScreenshotCSVOrientationEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngScreenshotCSVColumnSeparatorEntries[4] =
  {
    { RSSMX_VAL_CSV_COL_SEPARATOR_COMMA, "COMM" },
    { RSSMX_VAL_CSV_COL_SEPARATOR_TAB, "TAB" },
    { RSSMX_VAL_CSV_COL_SEPARATOR_SEMICOLON, "SEM" },
    { RSSMX_VAL_CSV_COL_SEPARATOR_BLANK, "BLAN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngScreenshotCSVColumnSeparator = { 4, RsSmx_rngScreenshotCSVColumnSeparatorEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngScreenshotCSVDecimalSeparatorEntries[2] =
  {
    { RSSMX_VAL_CSV_DEC_SEPARATOR_COMMA, "COMM" },
    { RSSMX_VAL_CSV_DEC_SEPARATOR_DOT, "DOT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngScreenshotCSVDecimalSeparator = { 2, RsSmx_rngScreenshotCSVDecimalSeparatorEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngVORCarrierFrequencyModeEntries[2] =
  {
    { RSSMX_VAL_VOR_FREQ_MODE_USER, "USER" },
    { RSSMX_VAL_VOR_FREQ_MODE_ICAO, "ICAO" }
  };
RsCoreRangeTableDiscrete RsSmx_rngVORCarrierFrequencyMode = { 2, RsSmx_rngVORCarrierFrequencyModeEntries };

RsCoreRangeTableRanged RsSmx_rngVORCarrierFrequency = { 100e3, 6e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngVORICAOChannelEntries[160] =
  {
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH17X, "CH17X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH17Y, "CH17Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH19X, "CH19X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH19Y, "CH19Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH21X, "CH21X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH21Y, "CH21Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH23X, "CH23X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH23Y, "CH23Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH25X, "CH25X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH25Y, "CH25Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH27X, "CH27X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH27Y, "CH27Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH29X, "CH29X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH29Y, "CH29Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH31X, "CH31X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH31Y, "CH31Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH33X, "CH33X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH33Y, "CH33Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH35X, "CH35X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH35Y, "CH35Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH37X, "CH37X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH37Y, "CH37Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH39X, "CH39X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH39Y, "CH39Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH41X, "CH41X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH41Y, "CH41Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH43X, "CH43X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH43Y, "CH43Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH45X, "CH45X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH45Y, "CH45Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH47X, "CH47X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH47Y, "CH47Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH49X, "CH49X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH49Y, "CH49Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH51X, "CH51X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH51Y, "CH51Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH53X, "CH53X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH53Y, "CH53Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH55X, "CH55X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH55Y, "CH55Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH57X, "CH57X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH57Y, "CH57Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH58X, "CH58X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH58Y, "CH58Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH59X, "CH59X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH59Y, "CH59Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH70X, "CH70X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH70Y, "CH70Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH71X, "CH71X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH71Y, "CH71Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH72X, "CH72X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH72Y, "CH72Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH73X, "CH73X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH73Y, "CH73Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH74X, "CH74X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH74Y, "CH74Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH75X, "CH75X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH75Y, "CH75Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH76X, "CH76X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH76Y, "CH76Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH77X, "CH77X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH77Y, "CH77Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH78X, "CH78X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH78Y, "CH78Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH79X, "CH79X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH79Y, "CH79Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH80X, "CH80X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH80Y, "CH80Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH81X, "CH81X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH81Y, "CH81Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH82X, "CH82X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH82Y, "CH82Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH83X, "CH83X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH83Y, "CH83Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH84X, "CH84X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH84Y, "CH84Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH85X, "CH85X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH85Y, "CH85Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH86X, "CH86X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH86Y, "CH86Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH87X, "CH87X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH87Y, "CH87Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH88X, "CH88X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH88Y, "CH88Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH89X, "CH89X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH89Y, "CH89Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH90X, "CH90X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH90Y, "CH90Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH91X, "CH91X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH91Y, "CH91Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH92X, "CH92X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH92Y, "CH92Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH93X, "CH93X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH93Y, "CH93Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH94X, "CH94X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH94Y, "CH94Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH95X, "CH95X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH95Y, "CH95Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH96X, "CH96X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH96Y, "CH96Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH97X, "CH97X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH97Y, "CH97Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH98X, "CH98X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH98Y, "CH98Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH99X, "CH99X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH99Y, "CH99Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH100X, "CH100X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH100Y, "CH100Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH101X, "CH101X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH101Y, "CH101Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH102X, "CH102X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH102Y, "CH102Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH103X, "CH103X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH103Y, "CH103Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH104X, "CH104X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH104Y, "CH104Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH105X, "CH105X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH105Y, "CH105Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH106X, "CH106X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH106Y, "CH106Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH107X, "CH107X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH107Y, "CH107Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH108X, "CH108X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH108Y, "CH108Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH109X, "CH109X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH109Y, "CH109Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH110X, "CH110X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH110Y, "CH110Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH111X, "CH111X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH111Y, "CH111Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH112X, "CH112X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH112Y, "CH112Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH113X, "CH113X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH113Y, "CH113Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH114X, "CH114X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH114Y, "CH114Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH115X, "CH115X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH115Y, "CH115Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH116X, "CH116X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH116Y, "CH116Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH117X, "CH117X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH117Y, "CH117Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH118X, "CH118X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH118Y, "CH118Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH119X, "CH119X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH119Y, "CH119Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH120X, "CH120X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH120Y, "CH120Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH121X, "CH121X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH121Y, "CH121Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH122X, "CH122X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH122Y, "CH122Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH123X, "CH123X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH123Y, "CH123Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH124X, "CH124X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH124Y, "CH124Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH125X, "CH125X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH125Y, "CH125Y" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH126X, "CH126X" },
    { RSSMX_VAL_VOR_ICAO_CHANNEL_CH126Y, "CH126Y" }
  };
RsCoreRangeTableDiscrete RsSmx_rngVORICAOChannel = { 160, RsSmx_rngVORICAOChannelEntries };

RsCoreRangeTableRanged RsSmx_rngVORSubcarrierFrequency = { 5e3, 15e3, "Hz" };

RsCoreRangeTableRanged RsSmx_rngVORFrequency = { 0.1, 20e3, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSComponentEntries[3] =
  {
    { RSSMX_VAL_ILS_COMPONENT_GLIDE_SLOPE, "GS" },
    { RSSMX_VAL_ILS_COMPONENT_LOCALIZER, "LOC" },
    { RSSMX_VAL_ILS_COMPONENT_MARKER_BEACONS, "MBE" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSComponent = { 3, RsSmx_rngILSComponentEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSGSCarrierFrequencyModeEntries[2] =
  {
    { RSSMX_VAL_ILS_GS_FREQ_MODE_USER, "USER" },
    { RSSMX_VAL_ILS_GS_FREQ_MODE_ICAO, "ICAO" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSGSCarrierFrequencyMode = { 2, RsSmx_rngILSGSCarrierFrequencyModeEntries };

RsCoreRangeTableRanged RsSmx_rngILSGSCarrierFrequency = { 100e3, 6e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSGSICAOChannelEntries[40] =
  {
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH18X, "CH18X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH18Y, "CH18Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH20X, "CH20X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH20Y, "CH20Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH22X, "CH22X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH22Y, "CH22Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH24X, "CH24X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH24Y, "CH24Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH26X, "CH26X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH26Y, "CH26Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH28X, "CH28X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH28Y, "CH28Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH30X, "CH30X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH30Y, "CH30Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH32X, "CH32X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH32Y, "CH32Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH34X, "CH34X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH34Y, "CH34Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH36X, "CH36X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH36Y, "CH36Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH38X, "CH38X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH38Y, "CH38Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH40X, "CH40X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH40Y, "CH40Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH42X, "CH42X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH42Y, "CH42Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH44X, "CH44X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH44Y, "CH44Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH46X, "CH46X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH46Y, "CH46Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH48X, "CH48X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH48Y, "CH48Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH50X, "CH50X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH50Y, "CH50Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH52X, "CH52X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH52Y, "CH52Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH54X, "CH54X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH54Y, "CH54Y" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH56X, "CH56X" },
    { RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH56Y, "CH56Y" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSGSICAOChannel = { 40, RsSmx_rngILSGSICAOChannelEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSGSDDMPolarityEntries[2] =
  {
    { RSSMX_VAL_ILS_GS_DDM_POLARITY_P90_150, "P90_150" },
    { RSSMX_VAL_ILS_GS_DDM_POLARITY_P150_90, "P150_90" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSGSDDMPolarity = { 2, RsSmx_rngILSGSDDMPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSGSDDMStepEntries[2] =
  {
    { RSSMX_VAL_ILS_GS_DDM_STEP_DEC, "DEC" },
    { RSSMX_VAL_ILS_GS_DDM_STEP_PRED, "PRED" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSGSDDMStep = { 2, RsSmx_rngILSGSDDMStepEntries };

RsCoreRangeTableRanged RsSmx_rngILSGSDDMCurrent = { -8.57125e-4, 8.57125e-4, "A" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSGSDDMCouplingEntries[2] =
  {
    { RSSMX_VAL_ILS_GS_DDM_COUPLING_FIX, "FIX" },
    { RSSMX_VAL_ILS_GS_DDM_COUPLING_SDM, "SDM" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSGSDDMCoupling = { 2, RsSmx_rngILSGSDDMCouplingEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerCarrierFrequencyModeEntries[2] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_FREQ_MODE_USER, "USER" },
    { RSSMX_VAL_ILS_LOCALIZER_FREQ_MODE_ICAO, "ICAO" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerCarrierFrequencyMode = { 2, RsSmx_rngILSLocalizerCarrierFrequencyModeEntries };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerCarrierFrequency = { 100e3, 6e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerICAOChannelEntries[40] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH18X, "CH18X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH18Y, "CH18Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH20X, "CH20X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH20Y, "CH20Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH22X, "CH22X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH22Y, "CH22Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH24X, "CH24X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH24Y, "CH24Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH26X, "CH26X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH26Y, "CH26Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH28X, "CH28X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH28Y, "CH28Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH30X, "CH30X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH30Y, "CH30Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH32X, "CH32X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH32Y, "CH32Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH34X, "CH34X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH34Y, "CH34Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH36X, "CH36X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH36Y, "CH36Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH38X, "CH38X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH38Y, "CH38Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH40X, "CH40X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH40Y, "CH40Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH42X, "CH42X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH42Y, "CH42Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH44X, "CH44X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH44Y, "CH44Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH46X, "CH46X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH46Y, "CH46Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH48X, "CH48X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH48Y, "CH48Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH50X, "CH50X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH50Y, "CH50Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH52X, "CH52X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH52Y, "CH52Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH54X, "CH54X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH54Y, "CH54Y" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH56X, "CH56X" },
    { RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH56Y, "CH56Y" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerICAOChannel = { 40, RsSmx_rngILSLocalizerICAOChannelEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerOperatingModeEntries[3] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_MODE_NORM, "NORM" },
    { RSSMX_VAL_ILS_LOCALIZER_MODE_LLOB, "LLOB" },
    { RSSMX_VAL_ILS_LOCALIZER_MODE_RLOB, "RLOB" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerOperatingMode = { 3, RsSmx_rngILSLocalizerOperatingModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerDDMPolarityEntries[2] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_DDM_POLARITY_P90_150, "P90_150" },
    { RSSMX_VAL_ILS_LOCALIZER_DDM_POLARITY_P150_90, "P150_90" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerDDMPolarity = { 2, RsSmx_rngILSLocalizerDDMPolarityEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerDDMCouplingEntries[2] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_DDM_COUPLING_FIX, "FIX" },
    { RSSMX_VAL_ILS_LOCALIZER_DDM_COUPLING_SDM, "SDM" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerDDMCoupling = { 2, RsSmx_rngILSLocalizerDDMCouplingEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSLocalizerDDMStepEntries[2] =
  {
    { RSSMX_VAL_ILS_LOCALIZER_DDM_STEP_DEC, "DEC" },
    { RSSMX_VAL_ILS_LOCALIZER_DDM_STEP_PRED, "PRED" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerDDMStep = { 2, RsSmx_rngILSLocalizerDDMStepEntries };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerDDMCurrent = { -9.6775e-4, 9.6775e-4, "A" };

RsCoreRangeTableRanged RsSmx_rngILSLocalizerFrequency = { 0.1, 20e3, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSMBCarrierFrequencyModeEntries[2] =
  {
    { RSSMX_ILS_MB_CARRIER_FREQ_MODE_USER, "USER" },
    { RSSMX_ILS_MB_CARRIER_FREQ_MODE_PRED, "PRED" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSMBCarrierFrequencyMode = { 2, RsSmx_rngILSMBCarrierFrequencyModeEntries };

RsCoreRangeTableRanged RsSmx_rngILSMBCarrierFrequency = { 100e3, 6e9, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngILSMBMarkerFrequencyEntries[3] =
  {
    { RSSMX_VAL_ILS_MB_MARKER_FREQ_400, "400" },
    { RSSMX_VAL_ILS_MB_MARKER_FREQ_1300, "1300" },
    { RSSMX_VAL_ILS_MB_MARKER_FREQ_3000, "3000" }
  };
RsCoreRangeTableDiscrete RsSmx_rngILSMBMarkerFrequency = { 3, RsSmx_rngILSMBMarkerFrequencyEntries };

RsCoreRangeTableRanged RsSmx_rngILSMBFrequency = { 0.1, 20e3, "Hz" };

RsCoreRangeTableRanged RsSmx_rngADFFrequency = { 0.1, 20000, "kHz" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngADFTimeSchemaEntries[2] =
  {
    { RSSMX_VAL_ADF_TIME_SCHEMA_STD, "STD" },
    { RSSMX_VAL_ADF_TIME_SCHEMA_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSmx_rngADFTimeSchema = { 2, RsSmx_rngADFTimeSchemaEntries };

RsCoreRangeTableRanged RsSmx_rngADFDotLength = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngADFDashLength = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngADFSymbolSpace = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngADFLetterSpace = { 0.05, 1, "s" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisTimeMax = { 0, 2, "s" };

RsCoreRangeTableRanged RsSmx_rngChirpModulationBandwidth = { 0, RS_VAL_MAX_REAL64, "" };

RsCoreRangeTableRanged RsSmx_rngChirpModulationCompressionRatio = { 0, 80e6, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngChirpModulationDirectionEntries[2] =
  {
    { RSSMX_VAL_CHIRP_MODULATION_DOWN, "DOWN" },
    { RSSMX_VAL_CHIRP_MODULATION_UP, "UP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngChirpModulationDirection = { 2, RsSmx_rngChirpModulationDirectionEntries };

RsCoreRangeTableRanged RsSmx_rngChirpModulationPulsePeriod = { 2E-7, 100, "" };

RsCoreRangeTableRanged RsSmx_rngChirpModulationPulseWidth = { 1e-7, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngChirpModulationTriggerModeEntries[5] =
  {
    { RSSMX_VAL_CHIRP_MODULATION_TRIGGER_MODE_AUTO, "AUTO" },
    { RSSMX_VAL_CHIRP_MODULATION_TRIGGER_MODE_EXTERNAL, "EXT" },
    { RSSMX_VAL_CHIRP_MODULATION_TRIGGER_MODE_EGATE, "EGAT" },
    { RSSMX_VAL_CHIRP_MODULATION_TRIGGER_MODE_SINGLE, "SING" },
    { RSSMX_VAL_CHIRP_MODULATION_TRIGGER_MODE_ESINGLE, "ESIN" }
  };
RsCoreRangeTableDiscrete RsSmx_rngChirpModulationTriggerMode = { 5, RsSmx_rngChirpModulationTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFCombinedSweepTriggerSourceEntries[4] =
  {
    { RSSMX_VAL_RF_COMBINED_SWEEP_TRIGGER_SOURCE_AUTO, "AUTO" },
    { RSSMX_VAL_RF_COMBINED_SWEEP_TRIGGER_SOURCE_SINGLE, "SING" },
    { RSSMX_VAL_RF_COMBINED_SWEEP_TRIGGER_SOURCE_EXTERNAL, "EXT" },
    { RSSMX_VAL_RF_COMBINED_SWEEP_TRIGGER_SOURCE_EAUTO, "EAUT" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFCombinedSweepTriggerSource = { 4, RsSmx_rngRFCombinedSweepTriggerSourceEntries };

RsCoreRangeTableRanged RsSmx_rngRFCombinedSweepRangePower = { -245, 120, "" };

RsCoreRangeTableRanged RsSmx_rngRFCombinedSweepStepCount = { 1, 2147483647.0, "" };

RsCoreRangeTableRanged RsSmx_rngRFCombinedSweepDwellTime = { 0.01, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFCombinedSweepModeEntries[3] =
  {
    { RSSMX_VAL_RF_COMBINED_SWEEP_MODE_AUTO, "AUTO" },
    { RSSMX_VAL_RF_COMBINED_SWEEP_MODE_MANUAL, "MAN" },
    { RSSMX_VAL_RF_COMBINED_SWEEP_MODE_STEP, "STEP" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFCombinedSweepMode = { 3, RsSmx_rngRFCombinedSweepModeEntries };

RsCoreRangeTableRanged RsSmx_rngRFCombinedSweepRangeFrequency = { -59999E5, 12E9, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngRFCombinedSweepShapeEntries[2] =
  {
    { RSSMX_VAL_RF_COMBINED_SWEEP_SHAPE_SAWTOOTH, "SAWT" },
    { RSSMX_VAL_RF_COMBINED_SWEEP_SHAPE_TRIANGLE, "TRI" }
  };
RsCoreRangeTableDiscrete RsSmx_rngRFCombinedSweepShape = { 2, RsSmx_rngRFCombinedSweepShapeEntries };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMathFrequencyX = { 0, 1e12, "" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMathPowerY = { -200, 100, "" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMathPowerX = { -145, 20, "" };

RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMathTimeX = { 0, 2, "" };

RsCoreRangeTableRanged RsSmx_rngPhaseContinuityFrequency = { 1e5, 6e9, "" };

RsCoreRangeTableRanged RsSmx_rngALCExternalDetectorCouplingFactor = { -200, 200, "" };

RsCoreRangeTableRanged RsSmx_rngALCExternalDetectorRequiredGeneratorLevel = { -145, 40, "" };

static RsCoreRangeTableDiscreteEntry RsSmx_rngPowerAnalysisSourceEntries[8] =
  {
    { RSSMX_VAL_POWER_ANALYSIS_SOURCE_OFF, "OFF" },
    { RSSMX_VAL_POWER_ANALYSIS_SOURCE_ON, "ON" },
    { RSSMX_VAL_POWER_ANALYSIS_SOURCE_SEN1, "SEN1" },
    { RSSMX_VAL_POWER_ANALYSIS_SOURCE_SEN2, "SEN2" },
    { RSSMX_VAL_POWER_ANALYSIS_SOURCE_SEN3, "SEN3" },
    { RSSMX_VAL_POWER_ANALYSIS_SOURCE_SEN4, "SEN4" },
    { RSSMX_VAL_POWER_ANALYSIS_SOURCE_HOLD, "HOLD" },
    { RSSMX_VAL_POWER_ANALYSIS_SOURCE_REF, "REF" }
  };
RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisSource = { 8, RsSmx_rngPowerAnalysisSourceEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALL_RF_OUTPUTS_ENABLED =
  {
    RSSMX_ATTR_ALL_RF_OUTPUTS_ENABLED,
    "All RF Outputs Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_OUTPUT_ENABLED =
  {
    RSSMX_ATTR_OUTPUT_ENABLED,
    "Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_OUTPUT_IMPEDANCE =
  {
    RSSMX_ATTR_OUTPUT_IMPEDANCE,
    "Output Impedance",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSmx_rngOutputImpedance, NULL, NULL,
    ":OUTP:IMP?",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_IMPEDANCE_G50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ON_ENABLED =
  {
    RSSMX_ATTR_POWER_ON_ENABLED,
    "Power On State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerOnState, NULL, NULL,
    "OUTP:PON",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_OUTPUT_STATE_PON_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_ON_RECALL =
  {
    RSSMX_ATTR_RF_LEVEL_ON_RECALL,
    "RF Level On Recall",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFFrequencyonRecall, NULL, NULL,
    ":POW:RCL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_FREQUENCY_RCL_INCLUDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY =
  {
    RSSMX_ATTR_RF_FREQUENCY,
    "RF Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0E+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_MODE =
  {
    RSSMX_ATTR_RF_FREQUENCY_MODE,
    "RF Frequency Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFFrequencyMode, NULL, NULL,
    ":SOUR:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_FREQUENCY_CW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_ON_RECALL =
  {
    RSSMX_ATTR_RF_FREQUENCY_ON_RECALL,
    "RF Frequency on Recall",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFFrequencyonRecall, NULL, NULL,
    "SOUR:FREQ:RCL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_FREQUENCY_RCL_EXCLUDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_MAIN_PLL_BANDWIDTH =
  {
    RSSMX_ATTR_RF_FREQUENCY_MAIN_PLL_BANDWIDTH,
    "RF Frequency Main PLL Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFFrequencyMainPLLBandwidth, NULL, NULL,
    ":FREQ:PLL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PLL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_OFFSET =
  {
    RSSMX_ATTR_RF_FREQUENCY_OFFSET,
    "RF Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFFrequencyOffset, NULL,
    ":FREQ:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_MULTIPLIER =
  {
    RSSMX_ATTR_RF_FREQUENCY_MULTIPLIER,
    "RF Frequency Multiplier",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:MULT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_VARIATION_ACTIVE =
  {
    RSSMX_ATTR_RF_FREQUENCY_VARIATION_ACTIVE,
    "RF Frequency Variation Active",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFLevelVariationActive, NULL, NULL,
    ":FREQ:STEP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_VARIATION_ACTIVE_DECIMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_VARIATION_STEP =
  {
    RSSMX_ATTR_RF_FREQUENCY_VARIATION_STEP,
    "RF Frequency Variation Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_ENABLED =
  {
    RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_ENABLED,
    "RF Frequency Phase Continuity Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":FREQ:PHAS:CONT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MODE =
  {
    RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MODE,
    "RF Frequency Phase Continuity Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPhaseContinuityMode, NULL, NULL,
    ":FREQ:PHAS:CONT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PHASE_CONT_NARROW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MAX =
  {
    RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MAX,
    "RF Frequency Phase Continuity Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:PHAS:CONT:HIGH?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MIN =
  {
    RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MIN,
    "RF Frequency Phase Continuity Min",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:PHAS:CONT:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_AMPLITUDE =
  {
    RSSMX_ATTR_RF_AMPLITUDE,
    "RF Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_POWER_MODE =
  {
    RSSMX_ATTR_RF_POWER_MODE,
    "RF Power Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFPowerMode, NULL, NULL,
    ":POW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_POWER_CW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_LIMIT =
  {
    RSSMX_ATTR_RF_LEVEL_LIMIT,
    "RF Level Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_OFFSET =
  {
    RSSMX_ATTR_RF_LEVEL_OFFSET,
    "RF Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFLevelOffset, NULL,
    ":POW:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS =
  {
    RSSMX_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS,
    "RF Level Setting Characteristics",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFLevelSettingCharacteristics, NULL, NULL,
    ":POW:LBEH",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_LEVEL_SETTING_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_POWER =
  {
    RSSMX_ATTR_RF_LEVEL_POWER,
    "RF Level Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_MODE =
  {
    RSSMX_ATTR_RF_LEVEL_MODE,
    "RF Level Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFLevelMode, NULL, NULL,
    ":POW:LMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_LEVEL_MODE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_HARMONIC_FILTER =
  {
    RSSMX_ATTR_RF_LEVEL_HARMONIC_FILTER,
    "RF Level Harmonic Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFLevelHarmonicFilter, NULL, NULL,
    ":OUTP:FILT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_HARMONIC_FILTER_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_LOWER_RANGE =
  {
    RSSMX_ATTR_RF_LEVEL_LOWER_RANGE,
    "RF Level Lower Range",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW:RANG:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_UPPER_RANGE =
  {
    RSSMX_ATTR_RF_LEVEL_UPPER_RANGE,
    "RF Level Upper Range",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW:RANG:UPP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_RANGE_MIN =
  {
    RSSMX_ATTR_RF_LEVEL_RANGE_MIN,
    "RF Level Range Min",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW:RANG:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_RANGE_MAX =
  {
    RSSMX_ATTR_RF_LEVEL_RANGE_MAX,
    "RF Level Range Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:RANG:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_IGNORE_WARNINGS =
  {
    RSSMX_ATTR_RF_LEVEL_IGNORE_WARNINGS,
    "RF Level Ignore Warnings",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":POW:WIGN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_VARIATION_ACTIVE =
  {
    RSSMX_ATTR_RF_LEVEL_VARIATION_ACTIVE,
    "RF Level Variation Active",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFLevelVariationActive, NULL, NULL,
    ":POW:STEP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_VARIATION_ACTIVE_DECIMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_VARIATION_STEP =
  {
    RSSMX_ATTR_RF_LEVEL_VARIATION_STEP,
    "RF Level Variation Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFLevelVariationStep, NULL,
    ":POW:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_DISPLAY_AS_VOLTAGE_OF_EMF =
  {
    RSSMX_ATTR_RF_LEVEL_DISPLAY_AS_VOLTAGE_OF_EMF,
    "RF Level Display as Voltage of EMF",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":POW:EMF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_ATTENUATOR_MODE =
  {
    RSSMX_ATTR_RF_ATTENUATOR_MODE,
    "RF Attenuator Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFAttenuatorMode, NULL, NULL,
    "OUTP:AMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_OUTPUT_AMODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_ATTENUATOR_LOWER_RANGE =
  {
    RSSMX_ATTR_RF_ATTENUATOR_LOWER_RANGE,
    "RF Attenuator Lower Range",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:AFIX:RANG:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_ATTENUATOR_UPPER_RANGE =
  {
    RSSMX_ATTR_RF_ATTENUATOR_UPPER_RANGE,
    "RF Attenuator Upper Range",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:AFIX:RANG:UPP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_ATTENUATOR_RF_OFF_MODE =
  {
    RSSMX_ATTR_RF_ATTENUATOR_RF_OFF_MODE,
    "RF Attenuator RF OFF Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFAttRFOFFMode, NULL, NULL,
    ":POW:ATT:RFOF:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_OFF_MODE_UNCH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_OVERVOLTAGE_PROTECTION_CLEAR =
  {
    RSSMX_ATTR_OVERVOLTAGE_PROTECTION_CLEAR,
    "Overvoltage Protection Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "OUTP:PROT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED =
  {
    RSSMX_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED,
    "Overvoltage Protection Tripped",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:PROT:TRIP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALC_ENABLED =
  {
    RSSMX_ATTR_ALC_ENABLED,
    "ALC Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngALCEnabled, NULL, NULL,
    ":POW:ALC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_POWER_ALC_STATE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALC_MODE =
  {
    RSSMX_ATTR_ALC_MODE,
    "ALC Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSmx_rngALCEnabled, NULL, NULL,
    ":POW:ALC:MODE?",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_POWER_ALC_STATE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALC_READJUST =
  {
    RSSMX_ATTR_ALC_READJUST,
    "ALC Readjust",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":POW:ALC:SONC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALC_DETECTOR_SENSITIVITY =
  {
    RSSMX_ATTR_ALC_DETECTOR_SENSITIVITY,
    "ALC Detector Sensitivity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngALCDetectorSensitivity, NULL, NULL,
    ":POW:ALC:DSEN",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ALC_DETECTOR_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALC_RECALCULATE =
  {
    RSSMX_ATTR_ALC_RECALCULATE,
    "ALC Recalculate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":POW:ALC:SEAR ON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALC_LEVEL_CONTROL_MODE =
  {
    RSSMX_ATTR_ALC_LEVEL_CONTROL_MODE,
    "ALC Level Control Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":POW:ALC:OMOD SHOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALC_EXTERNAL_DETECTOR_COUPLING_FACTOR =
  {
    RSSMX_ATTR_ALC_EXTERNAL_DETECTOR_COUPLING_FACTOR,
    "ALC External Detector Coupling Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngALCExternalDetectorCouplingFactor, NULL,
    ":SOUR:POW:ALC:EDET:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    16,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K726",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALC_EXTERNAL_DETECTOR_REQUIRED_GENERATOR_LEVEL =
  {
    RSSMX_ATTR_ALC_EXTERNAL_DETECTOR_REQUIRED_GENERATOR_LEVEL,
    "ALC External Detector Required Generator Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngALCExternalDetectorRequiredGeneratorLevel, NULL,
    ":SOUR:POW:ALC:EDET:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K726",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_DELTA_PHASE =
  {
    RSSMX_ATTR_RF_DELTA_PHASE,
    "RF Delta Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFDeltaPhase, NULL,
    ":PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RESET_RF_DELTA_PHASE_DISPLAY =
  {
    RSSMX_ATTR_RESET_RF_DELTA_PHASE_DISPLAY,
    "Reset RF Delta Phase Display",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":PHAS:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ALL_MODULATIONS_ENABLED =
  {
    RSSMX_ATTR_ALL_MODULATIONS_ENABLED,
    "All Modulations Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MOD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_MODE =
  {
    RSSMX_ATTR_AM_MODE,
    "AM Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngAMMode, NULL, NULL,
    ":AM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_AM_MODE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_TYPE =
  {
    RSSMX_ATTR_AM_TYPE,
    "AM Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngAMType, NULL, NULL,
    ":AM:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_AM_TYPE_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_EXTERNAL_COUPLING =
  {
    RSSMX_ATTR_AM_EXTERNAL_COUPLING,
    "AM External Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngAMExternalCoupling, NULL, NULL,
    ":AM:EXT:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_AM_EXTERNAL_COUPLING_AC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_SENSITIVITY =
  {
    RSSMX_ATTR_AM_SENSITIVITY,
    "AM Sensitivity",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":AM:SENS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_DEVIATION_RATIO =
  {
    RSSMX_ATTR_AM_DEVIATION_RATIO,
    "AM Deviation Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngAMDeviationRatio, NULL,
    ":AM:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_DEVIATION_MODE =
  {
    RSSMX_ATTR_AM_DEVIATION_MODE,
    "AM Deviation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngDeviationMode, NULL, NULL,
    ":AM:DEV:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEV_MODE_UNCOUPLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_DEPTH_TOTAL =
  {
    RSSMX_ATTR_AM_DEPTH_TOTAL,
    "AM Depth Total",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngAMDepth, NULL,
    ":AM:DEPT:SUM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_ENABLED =
  {
    RSSMX_ATTR_AM_ENABLED,
    "AM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":AM{Path}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_SOURCE =
  {
    RSSMX_ATTR_AM_SOURCE,
    "AM Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngAMSource, NULL, NULL,
    ":AM{Path}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_AM_SOURCE_LF1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_DEPTH =
  {
    RSSMX_ATTR_AM_DEPTH,
    "AM Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngAMDepth, NULL,
    ":AM{Path}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_DEPTH_LINEAR =
  {
    RSSMX_ATTR_AM_DEPTH_LINEAR,
    "AM Depth Linear",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngAMDepthLinear, NULL,
    ":AM{Path}:DEPT:LIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_DEPTH_EXPONENTIAL =
  {
    RSSMX_ATTR_AM_DEPTH_EXPONENTIAL,
    "AM Depth Exponential",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngAMDepthExponential, NULL,
    ":AM{Path}:DEPT:EXP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_SENSITIVITY_EXPONENTIAL =
  {
    RSSMX_ATTR_AM_SENSITIVITY_EXPONENTIAL,
    "AM Sensitivity Exponential",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngAMSensitivity, NULL,
    ":AM{Path}:SENS:EXP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_AM_SENSITIVITY_LINEAR =
  {
    RSSMX_ATTR_AM_SENSITIVITY_LINEAR,
    "AM Sensitivity Linear",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngAMSensitivity, NULL,
    ":AM{Path}:SENS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FM_MODE =
  {
    RSSMX_ATTR_FM_MODE,
    "FM Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngFMMode, NULL, NULL,
    ":FM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_FM_MODE_HBAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FM_DEVIATION_MODE =
  {
    RSSMX_ATTR_FM_DEVIATION_MODE,
    "FM Deviation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngDeviationMode, NULL, NULL,
    ":FM:DEV:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEV_MODE_UNCOUPLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FM_DEVIATION_TOTAL =
  {
    RSSMX_ATTR_FM_DEVIATION_TOTAL,
    "FM Deviation Total",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FM:DEV:SUM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FM_SENSITIVITY =
  {
    RSSMX_ATTR_FM_SENSITIVITY,
    "FM Sensitivity",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FM:SENS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FM_RATIO =
  {
    RSSMX_ATTR_FM_RATIO,
    "FM Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngFMRatio, NULL,
    ":FM:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FM_ENABLED =
  {
    RSSMX_ATTR_FM_ENABLED,
    "FM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":FM{Path}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FM_SOURCE =
  {
    RSSMX_ATTR_FM_SOURCE,
    "FM Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngFMSource, NULL, NULL,
    ":FM{Path}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_FM_SOURCE_LF1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FM_DEVIATION =
  {
    RSSMX_ATTR_FM_DEVIATION,
    "FM Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FM{Path}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PM_MODE =
  {
    RSSMX_ATTR_PM_MODE,
    "PM Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPMMode, NULL, NULL,
    ":PM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PM_MODE_HBAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PM_SENSITIVITY =
  {
    RSSMX_ATTR_PM_SENSITIVITY,
    "PM Sensitivity",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":PM:SENS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PM_RATIO =
  {
    RSSMX_ATTR_PM_RATIO,
    "PM Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPMRatio, NULL,
    ":PM:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PM_DEVIATION_MODE =
  {
    RSSMX_ATTR_PM_DEVIATION_MODE,
    "PM Deviation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngDeviationMode, NULL, NULL,
    ":PM:DEV:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEV_MODE_UNCOUPLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PM_DEVIATION_TOTAL =
  {
    RSSMX_ATTR_PM_DEVIATION_TOTAL,
    "PM Deviation Total",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngDeviationTotal, NULL,
    ":PM:DEV:SUM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PM_ENABLED =
  {
    RSSMX_ATTR_PM_ENABLED,
    "PM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":PM{Path}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PM_SOURCE =
  {
    RSSMX_ATTR_PM_SOURCE,
    "PM Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPMSource, NULL, NULL,
    ":PM{Path}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PM_SOURCE_LF1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PM_DEVIATION =
  {
    RSSMX_ATTR_PM_DEVIATION,
    "PM Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":PM{Path}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_ENABLED =
  {
    RSSMX_ATTR_PULM_ENABLED,
    "Pulse Modulation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":PULM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_SOURCE =
  {
    RSSMX_ATTR_PULM_SOURCE,
    "Pulse Modulation Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPULMSource, NULL, NULL,
    ":PULM:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PULM_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_TRANSITION_TYPE =
  {
    RSSMX_ATTR_PULM_TRANSITION_TYPE,
    "Pulse Modulation Transition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPULMTransitionType, NULL, NULL,
    ":PULM:TTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PULM_TRANSITION_TYPE_SMOOTHED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_VIDEO_POLARITY =
  {
    RSSMX_ATTR_PULM_VIDEO_POLARITY,
    "Pulse Modulation Video Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPULMPolarity, NULL, NULL,
    ":PULM:OUTP:VID:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PULM_POLARITY_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_POLARITY =
  {
    RSSMX_ATTR_PULM_POLARITY,
    "Pulse Modulation Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPULMPolarity, NULL, NULL,
    ":PULM:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PULM_POLARITY_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_IMPEDANCE =
  {
    RSSMX_ATTR_PULM_IMPEDANCE,
    "Pulse Modulation Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPULMImpedance, NULL, NULL,
    ":PULM:IMP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PULM_IMPEDANCE_G10K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_THRESHOLD =
  {
    RSSMX_ATTR_PULM_THRESHOLD,
    "Pulse Modulation Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPulseModulationThreshold, NULL,
    ":PULM:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_ENABLED =
  {
    RSSMX_ATTR_PGEN_ENABLED,
    "Pulse Generator Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PGEN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_MODE =
  {
    RSSMX_ATTR_PGEN_MODE,
    "Pulse Generator Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPULMMode, NULL, NULL,
    ":PULM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PULSE_MODE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_MODE_DOUBLE =
  {
    RSSMX_ATTR_PGEN_MODE_DOUBLE,
    "Pulse Generator Mode Double",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":PULM:DOUB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_TRIGGER_MODE =
  {
    RSSMX_ATTR_PGEN_TRIGGER_MODE,
    "Pulse Generator Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPULMTriggerMode, NULL, NULL,
    ":PULM:TRIG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PULM_TRIGGER_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_TRIGGER_PULSE_GENERATOR =
  {
    RSSMX_ATTR_TRIGGER_PULSE_GENERATOR,
    "Trigger Pulse Generator",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":PULM:TRIG:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_PERIOD =
  {
    RSSMX_ATTR_PGEN_PERIOD,
    "Pulse Generator Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":PULM:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_WIDTH =
  {
    RSSMX_ATTR_PGEN_WIDTH,
    "Pulse Generator Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPulseModulationWidth, NULL,
    ":PULM:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_DOUBLE_DELAY =
  {
    RSSMX_ATTR_PGEN_DOUBLE_DELAY,
    "Pulse Generator Double Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":PULM:DOUB:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_DOUBLE_WIDTH =
  {
    RSSMX_ATTR_PGEN_DOUBLE_WIDTH,
    "Pulse Generator Double Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":PULM:DOUB:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_DELAY =
  {
    RSSMX_ATTR_PGEN_DELAY,
    "Pulse Generator Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":PULM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_OUTPUT =
  {
    RSSMX_ATTR_PGEN_OUTPUT,
    "Pulse Generator Output State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":PGEN:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PGEN_OUTPUT_POLARITY =
  {
    RSSMX_ATTR_PGEN_OUTPUT_POLARITY,
    "Pulse Generator Output Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPGENOutputPolarity, NULL, NULL,
    ":PGEN:OUTP:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_PGEN_OUTPUT_POLARITY_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_TRAIN_DELETE =
  {
    RSSMX_ATTR_PULM_TRAIN_DELETE,
    "Pulse Modulation Train Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":PULM:TRA:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/select.pulstrn",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_TRAIN_SELECT =
  {
    RSSMX_ATTR_PULM_TRAIN_SELECT,
    "Pulse Modulation Train Select",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":PULM:TRA:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/select.pulstrn",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_TRAIN_OFF_TIME_POINTS =
  {
    RSSMX_ATTR_PULM_TRAIN_OFF_TIME_POINTS,
    "Pulse Modulation Train Off Time Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":PULM:TRA:OFFT:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_TRAIN_ON_TIME_POINTS =
  {
    RSSMX_ATTR_PULM_TRAIN_ON_TIME_POINTS,
    "Pulse Modulation Train On Time Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":PULM:TRA:ONT:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULM_TRAIN_REPETITION_POINTS =
  {
    RSSMX_ATTR_PULM_TRAIN_REPETITION_POINTS,
    "Pulse Modulation Train Repetition Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":PULM:TRA:REP:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_IMPORT_EXPORT =
  {
    RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_IMPORT_EXPORT,
    "Pulse Train Data Exchange Import Export",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngCorrectionListMode, NULL, NULL,
    ":PULM:TRA:DEXC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEXC_MODE_IMPORT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_FILE =
  {
    RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_FILE,
    "Pulse Train Data Exchange File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":PULM:TRA:DEXC:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/select.pulstrn",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_FILE =
  {
    RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_FILE,
    "Pulse Train Data Exchange ASCII File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":PULM:TRA:DEXC:AFIL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/file.txt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_EXTENSION =
  {
    RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_EXTENSION,
    "Pulse Train Data Exchange ASCII Extension",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngCorrectionASCIIExtension, NULL, NULL,
    ":PULM:TRA:DEXC:AFIL:EXT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEXC_ASCII_SOURCE_FILE_EXT_TXT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_COLUMN_SEPARATOR =
  {
    RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_COLUMN_SEPARATOR,
    "Pulse Train Data Exchange ASCII Column Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngASCIISeparator, NULL, NULL,
    ":PULM:TRA:DEXC:AFIL:SEP:COL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_COLUMN_SEP_COMMA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_DECIMAL_SEPARATOR =
  {
    RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_DECIMAL_SEPARATOR,
    "Pulse Train Data Exchange ASCII Decimal Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngASCIIDecimalSeparator, NULL, NULL,
    ":PULM:TRA:DEXC:AFIL:SEP:DEC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DECIMAL_SEP_DOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_EXECUTE =
  {
    RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_EXECUTE,
    "Pulse Train Data Exchange Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":PULM:TRA:DEXC:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_OUTPUT_ENABLED =
  {
    RSSMX_ATTR_LF_OUTPUT_ENABLED,
    "LF Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":LFO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_OUTPUT_SOURCE =
  {
    RSSMX_ATTR_LF_OUTPUT_SOURCE,
    "LF Output Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngLFOutputSource, NULL, NULL,
    ":LFO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_LFOUT_SOURCE_NOISE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_OUTPUT_SOURCE_PATH =
  {
    RSSMX_ATTR_LF_OUTPUT_SOURCE_PATH,
    "LF Output Source Path",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngLFOutputSourcePath, NULL, NULL,
    ":LFO:SOUR:PATH",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_PATH_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_OUTPUT_VOLTAGE =
  {
    RSSMX_ATTR_LF_OUTPUT_VOLTAGE,
    "LF Output Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":LFO:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_OUTPUT_DC_OFFSET =
  {
    RSSMX_ATTR_LF_OUTPUT_DC_OFFSET,
    "LF Output DC Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFOutputDCOffset, NULL,
    ":LFO:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_OUTPUT_EXTERNAL_LF_BANDWIDTH =
  {
    RSSMX_ATTR_LF_OUTPUT_EXTERNAL_LF_BANDWIDTH,
    "LF Output External LF Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSmx_rngLFOutputExternalLFBandwidth, NULL, NULL,
    ":LFO:BAND?",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_BWID_BW10M,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_INTERNAL_VOLTAGE =
  {
    RSSMX_ATTR_LF_GENERATOR_INTERNAL_VOLTAGE,
    "LF Generator Internal Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFOutputVoltage, NULL,
    ":LFO{LF}:INT:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_FREQUENCY =
  {
    RSSMX_ATTR_LF_GENERATOR_FREQUENCY,
    "LF Generator Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":LFO{LF}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_REPETITION_FREQUENCY =
  {
    RSSMX_ATTR_LF_GENERATOR_REPETITION_FREQUENCY,
    "LF Generator Repetition Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":LFO{LF}:PER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_SHAPE =
  {
    RSSMX_ATTR_LF_GENERATOR_SHAPE,
    "LF Generator Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngLFGenShapeMode, NULL, NULL,
    ":LFO{LF}:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_LFG_SHAPE_SINE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_PULSE_PERIOD =
  {
    RSSMX_ATTR_LF_GENERATOR_PULSE_PERIOD,
    "LF Generator Pulse Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGenPulsePeriod, NULL,
    ":LFO{LF}:SHAP:PULS:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_PULSE_WIDTH =
  {
    RSSMX_ATTR_LF_GENERATOR_PULSE_WIDTH,
    "LF Generator Pulse Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGeneratorPulseWidth, NULL,
    ":LFO{LF}:SHAP:PULS:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500.00e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_PULSE_DUTY_CYCLE =
  {
    RSSMX_ATTR_LF_GENERATOR_PULSE_DUTY_CYCLE,
    "LF Generator Pulse Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGenPulseDutyCycle, NULL,
    ":LFO{LF}:SHAP:PULS:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_PERIOD =
  {
    RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_PERIOD,
    "LF Generator Trapezoid Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGenPulsePeriod, NULL,
    ":LFO{LF}:SHAP:TRAP:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_RISE =
  {
    RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_RISE,
    "LF Generator Trapezoid Rise",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGenPulsePeriod, NULL,
    ":LFO{LF}:SHAP:TRAP:RISE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    250.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_FALL =
  {
    RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_FALL,
    "LF Generator Trapezoid Fall",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGenPulsePeriod, NULL,
    ":LFO{LF}:SHAP:TRAP:FALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    250.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_HIGH =
  {
    RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_HIGH,
    "LF Generator Trapezoid High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGenTrapHigh, NULL,
    ":LFO{LF}:SHAP:TRAP:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_TRIANGLE_PERIOD =
  {
    RSSMX_ATTR_LF_GENERATOR_TRIANGLE_PERIOD,
    "LF Generator Triangle Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGenPulsePeriod, NULL,
    ":LFO{LF}:SHAP:TRI:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_GENERATOR_TRIANGLE_RISE =
  {
    RSSMX_ATTR_LF_GENERATOR_TRIANGLE_RISE,
    "LF Generator Triangle Rise",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFGenPulsePeriod, NULL,
    ":LFO{LF}:SHAP:TRI:RISE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    250.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_EXTERNAL_INPUT_COUPLING_MODE =
  {
    RSSMX_ATTR_EXTERNAL_INPUT_COUPLING_MODE,
    "External Input Coupling Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngExternalInputCouplingMode, NULL, NULL,
    ":INP:MOD:COUP{ExternalTrigger}",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_COUPLING_AC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_EXTERNAL_INPUT_IMPEDANCE =
  {
    RSSMX_ATTR_EXTERNAL_INPUT_IMPEDANCE,
    "External Input Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngExternalInputImpedance, NULL, NULL,
    ":INP:MOD:IMP{ExternalTrigger}",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_EXT_INPUT_IMP_G50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_NOISE_DISTRIBUTION =
  {
    RSSMX_ATTR_NOISE_DISTRIBUTION,
    "Noise Distribution",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFNoiseDistribution, NULL, NULL,
    ":NOIS:DIST",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_NOISE_DISTRIBUTION_GAUSS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_NOISE_BANDWIDTH =
  {
    RSSMX_ATTR_NOISE_BANDWIDTH,
    "Noise Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFNoiseBandwidth, NULL,
    ":NOIS:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_NOISE_BANDWIDTH_STATE =
  {
    RSSMX_ATTR_NOISE_BANDWIDTH_STATE,
    "Noise Bandwidth State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":NOIS:BWID:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_NOISE_DENSITY =
  {
    RSSMX_ATTR_RF_NOISE_DENSITY,
    "Noise Density",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":NOIS:LEV:REL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_NOISE_LEVEL =
  {
    RSSMX_ATTR_NOISE_LEVEL,
    "Noise Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":NOIS:LEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CHIRP_MODULATION_STATE =
  {
    RSSMX_ATTR_CHIRP_MODULATION_STATE,
    "Chirp Modulation State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CHIR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CHIRP_MODULATION_BANDWIDTH =
  {
    RSSMX_ATTR_CHIRP_MODULATION_BANDWIDTH,
    "Chirp Modulation Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngChirpModulationBandwidth, NULL,
    ":CHIR:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CHIRP_MODULATION_COMPRESSION_RATIO =
  {
    RSSMX_ATTR_CHIRP_MODULATION_COMPRESSION_RATIO,
    "Chirp Modulation Compression Ratio",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngChirpModulationCompressionRatio, NULL,
    ":CHIR:COMP:RAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CHIRP_MODULATION_DIRECTION =
  {
    RSSMX_ATTR_CHIRP_MODULATION_DIRECTION,
    "Chirp Modulation Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngChirpModulationDirection, NULL, NULL,
    ":CHIR:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_CHIRP_MODULATION_UP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CHIRP_MODULATION_PULSE_PERIOD =
  {
    RSSMX_ATTR_CHIRP_MODULATION_PULSE_PERIOD,
    "Chirp Modulation Pulse Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngChirpModulationPulsePeriod, NULL,
    ":CHIR:PULS:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CHIRP_MODULATION_PULSE_WIDTH =
  {
    RSSMX_ATTR_CHIRP_MODULATION_PULSE_WIDTH,
    "Chirp Modulation Pulse Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngChirpModulationPulseWidth, NULL,
    ":CHIR:PULS:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CHIRP_MODULATION_TRIGGER_MODE =
  {
    RSSMX_ATTR_CHIRP_MODULATION_TRIGGER_MODE,
    "Chirp Modulation Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngChirpModulationTriggerMode, NULL, NULL,
    ":CHIR:TRIG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_CHIRP_MODULATION_TRIGGER_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CHIRP_MODULATION_EXECUTE_SINGLE_TRIGGER =
  {
    RSSMX_ATTR_CHIRP_MODULATION_EXECUTE_SINGLE_TRIGGER,
    "Chirp Modulation Execute Single Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":CHIR:TRIG:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SWEEP_TYPE =
  {
    RSSMX_ATTR_SWEEP_TYPE,
    "Sweep Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepType, NULL, NULL,
    ":SWE:GEN",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_TYPE_STEPPED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_MODE =
  {
    RSSMX_ATTR_LF_MODE,
    "LF Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngMode, NULL, NULL,
    "SOUR:LFO:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_MODE_CW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS =
  {
    RSSMX_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS,
    "Trigger Source For All Sweeps",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsSmx_rngTriggerSourceForAllSweeps, NULL, NULL,
    ":TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TRIG_SOURCE_SWEEP_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_TRIGGER_INPUT_SLOPE =
  {
    RSSMX_ATTR_TRIGGER_INPUT_SLOPE,
    "Trigger Input Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSlope, NULL, NULL,
    ":INP:TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RESET_ALL_SWEEPS =
  {
    RSSMX_ATTR_RESET_ALL_SWEEPS,
    "Reset All Sweeps",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SWE:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_TRIGGER_ALL_SWEEPS =
  {
    RSSMX_ATTR_TRIGGER_ALL_SWEEPS,
    "Trigger All Sweeps",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STATUS =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_STATUS,
    "RF Frequency Sweep Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SWE:RUNN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HIDDEN_RF_FREQUENCY_SWEEP_BLANK_POINTS =
  {
    RSSMX_ATTR_HIDDEN_RF_FREQUENCY_SWEEP_BLANK_POINTS,
    "Hidden RF Frequency Sweep Blank Points",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    ":SOUR:SWE:ANAL:SWP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_MODE =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_MODE,
    "RF Frequency Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepMode, NULL, NULL,
    ":SWE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE =
  {
    RSSMX_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE,
    "RF Frequency Sweep Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepTriggerSource, NULL, NULL,
    "TRIG:FSW:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_TRIGGER_SOURCE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_RETRACE =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_RETRACE,
    "RF Frequency Sweep Retrace",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SWE:RETR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_MANUAL_STEP =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_MANUAL_STEP,
    "RF Frequency Sweep Manual Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50100000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SHAPE =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_SHAPE,
    "RF Frequency Sweep Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngFrequencySweepShape, NULL, NULL,
    ":SWE:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_SHAPE_SAW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_TIME =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_TIME,
    "RF Frequency Sweep Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngSweepTime, NULL,
    ":SWE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.015,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_DWELL_TIME =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_DWELL_TIME,
    "RF Frequency Sweep Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngFrequencySweepDwellTime, NULL,
    ":SWE:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_EXECUTE =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_EXECUTE,
    "RF Frequency Sweep Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SWE:FREQ:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_TRIGGER_RF_FREQUENCY_SWEEP =
  {
    RSSMX_ATTR_TRIGGER_RF_FREQUENCY_SWEEP,
    "Trigger RF Frequency Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:FSW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_START_FREQUENCY =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_START_FREQUENCY,
    "RF Frequency Sweep Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50100000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STOP_FREQUENCY =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_STOP_FREQUENCY,
    "RF Frequency Sweep Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50500000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_CENTER_FREQUENCY =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_CENTER_FREQUENCY,
    "RF Frequency Sweep Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50300000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SPAN =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_SPAN,
    "RF Frequency Sweep Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":FREQ:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_POINTS =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_POINTS,
    "RF Frequency Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SWE:POIN",
    // Defaults I32, I64, Float, Bool, String
    401,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SPACING =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_SPACING,
    "RF Frequency Sweep Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngFrequencySweepSpacing, NULL, NULL,
    ":SWE:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_FREQ_SWEEP_SPACING_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STEP_LIN =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_STEP_LIN,
    "RF Frequency Sweep Step Linear",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SWE:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STEP_LOG =
  {
    RSSMX_ATTR_RF_FREQUENCY_SWEEP_STEP_LOG,
    "RF Frequency Sweep Step Log",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngFrequencySweepStepLog, NULL,
    ":SWE:STEP:LOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STATUS =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_STATUS,
    "LF Frequency Sweep Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":LFO:SWE:RUNN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_MODE =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_MODE,
    "LF Frequency Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepMode, NULL, NULL,
    "LFO:SWE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_TRIGGER_SOURCE =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_TRIGGER_SOURCE,
    "LF Frequency Sweep Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepTriggerSource, NULL, NULL,
    "TRIG:LFFS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_TRIGGER_SOURCE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_RETRACE =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_RETRACE,
    "LF Frequency Sweep Retrace",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":LFO:SWE:RETR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_MANUAL_STEP =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_MANUAL_STEP,
    "LF Frequency Sweep Manual Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LFO:FREQ:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_SHAPE =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_SHAPE,
    "LF Frequency Sweep Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngFrequencySweepShape, NULL, NULL,
    ":LFO:SWE:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_SHAPE_SAW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_DWELL_TIME =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_DWELL_TIME,
    "LF Frequency Sweep Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LFO:SWE:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_EXECUTE =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_EXECUTE,
    "LF Frequency Sweep Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "LFO:SWE:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_TRIGGER_LF_FREQUENCY_SWEEP =
  {
    RSSMX_ATTR_TRIGGER_LF_FREQUENCY_SWEEP,
    "Trigger LF Frequency Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:LFFS:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_TRIGGER_LF_FREQUENCY_SWEEP_AUTO =
  {
    RSSMX_ATTR_TRIGGER_LF_FREQUENCY_SWEEP_AUTO,
    "Trigger LF Frequency Sweep Auto",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":TRIG:LFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_START_FREQUENCY =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_START_FREQUENCY,
    "LF Frequency Sweep Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LFO:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STOP_FREQUENCY =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_STOP_FREQUENCY,
    "LF Frequency Sweep Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LFO:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_POINTS =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_POINTS,
    "LF Frequency Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LFO:SWE:POIN",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_SPACING =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_SPACING,
    "LF Frequency Sweep Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngFrequencySweepSpacing, NULL, NULL,
    "LFO:SWE:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_FREQ_SWEEP_SPACING_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STEP_LIN =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_STEP_LIN,
    "LF Frequency Sweep Step Lin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LFO:SWE:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STEP_LOG =
  {
    RSSMX_ATTR_LF_FREQUENCY_SWEEP_STEP_LOG,
    "LF Frequency Sweep Step Log",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLFSweepStepLog, NULL,
    "LFO:SWE:STEP:LOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_STATUS =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_STATUS,
    "RF Level Sweep Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SWE:POW:RUNN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_MODE =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_MODE,
    "RF Level Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepMode, NULL, NULL,
    ":SWE:POW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_TRIGGER_SOURCE =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_TRIGGER_SOURCE,
    "RF Level Sweep Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepTriggerSource, NULL, NULL,
    "TRIG:PSW:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_TRIGGER_SOURCE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_RETRACE =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_RETRACE,
    "RF Level Sweep Retrace",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SWE:POW:RETR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_MANUAL_STEP =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_MANUAL_STEP,
    "RF Level Sweep Manual Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_SHAPE =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_SHAPE,
    "RF Level Sweep Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngFrequencySweepShape, NULL, NULL,
    ":SWE:POW:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_SHAPE_SAW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_DWELL_TIME =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_DWELL_TIME,
    "RF Level Sweep Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SWE:POW:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_EXECUTE =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_EXECUTE,
    "RF Level Sweep Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SWE:POW:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_TRIGGER_RF_LEVEL_SWEEP =
  {
    RSSMX_ATTR_TRIGGER_RF_LEVEL_SWEEP,
    "Trigger RF Level Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:PSW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_START_LEVEL =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_START_LEVEL,
    "RF Level Sweep Start Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_STOP_LEVEL =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_STOP_LEVEL,
    "RF Level Sweep Stop Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":POW:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_POINTS =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_POINTS,
    "RF Level Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SWE:POW:POIN",
    // Defaults I32, I64, Float, Bool, String
    21,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_LEVEL_SWEEP_STEP =
  {
    RSSMX_ATTR_RF_LEVEL_SWEEP_STEP,
    "RF Level Sweep Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngLevelStep, NULL,
    ":SWE:POW:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_EXECUTE_SINGLE_SWEEP =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_EXECUTE_SINGLE_SWEEP,
    "RF Combined Sweep Execute Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SWE:COMB:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_MODE =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_MODE,
    "RF Combined Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFCombinedSweepMode, NULL, NULL,
    ":SWE:COMB:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_COMBINED_SWEEP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_TRIGGER_SOURCE =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_TRIGGER_SOURCE,
    "RF Combined Sweep Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFCombinedSweepTriggerSource, NULL, NULL,
    ":TRIG:FPSW:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_COMBINED_SWEEP_TRIGGER_SOURCE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_RETRACE =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_RETRACE,
    "RF Combined Sweep Retrace",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SWE:COMB:RETR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_SHAPE =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_SHAPE,
    "RF Combined Sweep Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFCombinedSweepShape, NULL, NULL,
    ":SWE:COMB:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_COMBINED_SWEEP_SHAPE_SAWTOOTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_DWELL_TIME =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_DWELL_TIME,
    "RF Combined Sweep Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFCombinedSweepDwellTime, NULL,
    ":SWE:COMB:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_FREQUENCY_START =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_FREQUENCY_START,
    "RF Combined Sweep Range Frequency Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFCombinedSweepRangeFrequency, NULL,
    ":COMB:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100E6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_FREQUENCY_STOP =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_FREQUENCY_STOP,
    "RF Combined Sweep Range Frequency Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFCombinedSweepRangeFrequency, NULL,
    ":COMB:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_POWER_START =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_POWER_START,
    "RF Combined Sweep Range Power Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFCombinedSweepRangePower, NULL,
    ":COMB:POW:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_POWER_STOP =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_POWER_STOP,
    "RF Combined Sweep Range Power Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngRFCombinedSweepRangePower, NULL,
    ":COMB:POW:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RF_COMBINED_SWEEP_STEP_COUNT =
  {
    RSSMX_ATTR_RF_COMBINED_SWEEP_STEP_COUNT,
    "RF Combined Sweep Step Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSmx_rngRFCombinedSweepStepCount, NULL,
    ":SWE:COMB:COUN",
    // Defaults I32, I64, Float, Bool, String
    501,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SWEEP_MODE_OUTPUT_VOLTAGE_MODE =
  {
    RSSMX_ATTR_SWEEP_MODE_OUTPUT_VOLTAGE_MODE,
    "Sweep Mode Output Voltage Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepModeOutputVoltageMode, NULL, NULL,
    ":OUTP:FPR:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SWEEP_OUTPUT_VOLTAGE_S0V25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SWEEP_MODE_OUTPUT_MARKER_MODE =
  {
    RSSMX_ATTR_SWEEP_MODE_OUTPUT_MARKER_MODE,
    "Sweep Mode Output Marker Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepModeOutputMarkerMode, NULL, NULL,
    ":OUTP:USER:MARK",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_MARKER_MODE_MARKER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SWEEP_MARKER_POLARITY =
  {
    RSSMX_ATTR_SWEEP_MARKER_POLARITY,
    "Sweep Marker Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngMarkerPolarity, NULL, NULL,
    ":SWE:MARK:OUTP:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_MARKER_POLARITY_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SWEEP_ACTIVE_MARKER =
  {
    RSSMX_ATTR_SWEEP_ACTIVE_MARKER,
    "Sweep Active Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSweepActiveMarker, NULL, NULL,
    ":SWE:MARK:ACT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_MARKER_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SWEEP_MARKER_ENABLED =
  {
    RSSMX_ATTR_SWEEP_MARKER_ENABLED,
    "Sweep Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SWE:MARK{Marker}:FST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SWEEP_MARKER_FREQUENCY =
  {
    RSSMX_ATTR_SWEEP_MARKER_FREQUENCY,
    "Sweep Marker Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SWE:MARK{Marker}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_STATUS =
  {
    RSSMX_ATTR_LIST_STATUS,
    "List Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":LIST:RUNN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_INDEX =
  {
    RSSMX_ATTR_LIST_INDEX,
    "List Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":LIST:IND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_MODE =
  {
    RSSMX_ATTR_LIST_MODE,
    "List Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngListMode, NULL, NULL,
    ":LIST:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_LIST_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_TRIGGER_SOURCE =
  {
    RSSMX_ATTR_LIST_TRIGGER_SOURCE,
    "List Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngListTriggerSource, NULL, NULL,
    ":LIST:TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_LIST_TRIGGER_SOURCE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_TRIGGER_EXECUTE =
  {
    RSSMX_ATTR_LIST_TRIGGER_EXECUTE,
    "List Trigger Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":LIST:TRIG:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_DWELL_TIME_MODE =
  {
    RSSMX_ATTR_LIST_DWELL_TIME_MODE,
    "List Dwell Time Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngListDwellTimeMode, NULL, NULL,
    ":LIST:DWEL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DWELL_MODE_GLOBAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_DWELL_TIME =
  {
    RSSMX_ATTR_LIST_DWELL_TIME,
    "List Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngListDwellTime, NULL,
    ":LIST:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_DWELL_TIME_POINTS =
  {
    RSSMX_ATTR_LIST_DWELL_TIME_POINTS,
    "List Dwell Time Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":LIST:DWEL:LIST:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_RUN_MODE =
  {
    RSSMX_ATTR_LIST_RUN_MODE,
    "List Run Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngListRunMode, NULL, NULL,
    ":LIST:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_LIST_RUN_LEARNED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_DELETE_LIST =
  {
    RSSMX_ATTR_LIST_DELETE_LIST,
    "List Delete List",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LIST:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/driver_test.lsw",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_DELETE_ALL =
  {
    RSSMX_ATTR_LIST_DELETE_ALL,
    "List Delete All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "LIST:DEL:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_FREE_MEMORY =
  {
    RSSMX_ATTR_LIST_FREE_MEMORY,
    "List Free Memory",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":LIST:FREE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_RESET_LIST =
  {
    RSSMX_ATTR_LIST_RESET_LIST,
    "List Reset List",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":LIST:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_SELECT_LIST =
  {
    RSSMX_ATTR_LIST_SELECT_LIST,
    "List Select List",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":LIST:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/driver_test.lsw",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_START_INDEX =
  {
    RSSMX_ATTR_LIST_START_INDEX,
    "List Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":LIST:IND:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_STOP_INDEX =
  {
    RSSMX_ATTR_LIST_STOP_INDEX,
    "List Stop Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":LIST:IND:STOP",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_FREQUENCY_POINTS =
  {
    RSSMX_ATTR_LIST_FREQUENCY_POINTS,
    "List Frequency Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":LIST:FREQ:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_LEVEL_POINTS =
  {
    RSSMX_ATTR_LIST_LEVEL_POINTS,
    "List Level Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":LIST:POW:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_IMPORT_EXPORT =
  {
    RSSMX_ATTR_LIST_IMPORT_EXPORT,
    "List Import Export",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngCorrectionListMode, NULL, NULL,
    ":LIST:DEXC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEXC_MODE_IMPORT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_IMPORT_EXPORT_FILE =
  {
    RSSMX_ATTR_LIST_IMPORT_EXPORT_FILE,
    "List Import Export File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":LIST:DEXC:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/driver_test.lsw",
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE =
  {
    RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE,
    "List Import Export ASCII File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":LIST:DEXC:AFIL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/driver_test.txt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION =
  {
    RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION,
    "List Import Export ASCII Extension",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngCorrectionASCIIExtension, NULL, NULL,
    ":LIST:DEXC:AFIL:EXT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEXC_ASCII_SOURCE_FILE_EXT_TXT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR =
  {
    RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR,
    "List Import Export ASCII Column Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngASCIISeparator, NULL, NULL,
    ":LIST:DEXC:AFIL:SEP:COL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_COLUMN_SEP_COMMA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_DECIMAL_SEPARATOR =
  {
    RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_DECIMAL_SEPARATOR,
    "List Import Export ASCII Decimal Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngASCIIDecimalSeparator, NULL, NULL,
    ":LIST:DEXC:AFIL:SEP:DEC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DECIMAL_SEP_DOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_LIST_IMPORT_EXPORT_EXECUTE =
  {
    RSSMX_ATTR_LIST_IMPORT_EXPORT_EXECUTE,
    "List Import Export Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":LIST:DEXC:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_ENABLED =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_ENABLED,
    "User Correction Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CORR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_TABLE =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_TABLE,
    "User Correction Data Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CORR:CSET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/table.uco",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES,
    "User Correction Data Number of Frequency Values",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":CORR:CSET:DATA:FREQ:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES,
    "User Correction Data Number of Level Values",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":CORR:CSET:DATA:POW:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_SENSOR_ZEROING =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_SENSOR_ZEROING,
    "User Correction Data Sensor Zeroing",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CORR:ZER:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_VALUE =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_VALUE,
    "User Correction Data Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":CORR:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_DELETE =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_DELETE,
    "User Correction Data Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CORR:CSET:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/table.uco",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE,
    "User Correction Data Exchange",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngCorrectionListMode, NULL, NULL,
    ":CORR:DEXC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEXC_MODE_IMPORT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_FILE =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_FILE,
    "User Correction Data Exchange File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CORR:DEXC:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/table.uco",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_ASCII_FILE =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_ASCII_FILE,
    "User Correction Data Exchange ASCII File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CORR:DEXC:AFIL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/export.txt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_EXTENSION =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_EXTENSION,
    "User Correction Data Exchange Extension",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngCorrectionASCIIExtension, NULL, NULL,
    ":CORR:DEXC:AFIL:EXT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DEXC_ASCII_SOURCE_FILE_EXT_TXT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_COLUMN_SEPARATOR =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_COLUMN_SEPARATOR,
    "User Correction Data Exchange Column Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngASCIISeparator, NULL, NULL,
    ":CORR:DEXC:AFIL:SEP:COL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_COLUMN_SEP_COMMA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_DECIMAL_SEPARATOR =
  {
    RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_DECIMAL_SEPARATOR,
    "User Correction Data Exchange Decimal Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngASCIIDecimalSeparator, NULL, NULL,
    ":CORR:DEXC:AFIL:SEP:DEC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_DECIMAL_SEP_DOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CORRECTION_EXECUTE =
  {
    RSSMX_ATTR_CORRECTION_EXECUTE,
    "User Correction Data Exchange Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":CORR:DEXC:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_ENABLED =
  {
    RSSMX_ATTR_VOR_ENABLED,
    "VOR Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:VOR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_SET_TO_DEFAULT =
  {
    RSSMX_ATTR_VOR_SET_TO_DEFAULT,
    "VOR Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:VOR:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_SETTINGS_CATALOG =
  {
    RSSMX_ATTR_VOR_SETTINGS_CATALOG,
    "VOR Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:VOR:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_DELETE_SETTINGS =
  {
    RSSMX_ATTR_VOR_DELETE_SETTINGS,
    "VOR Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:VOR:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_RECALL_SETTINGS =
  {
    RSSMX_ATTR_VOR_RECALL_SETTINGS,
    "VOR Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:VOR:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_SAVE_SETTINGS =
  {
    RSSMX_ATTR_VOR_SAVE_SETTINGS,
    "VOR Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:VOR:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_CARRIER_FREQUENCY_MODE =
  {
    RSSMX_ATTR_VOR_CARRIER_FREQUENCY_MODE,
    "VOR Carrier Frequency Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngVORCarrierFrequencyMode, NULL, NULL,
    ":SOUR{Path}:VOR:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_VOR_FREQ_MODE_USER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_USER_MODE_CARRIER_FREQUENCY =
  {
    RSSMX_ATTR_VOR_USER_MODE_CARRIER_FREQUENCY,
    "VOR User Mode Carrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORCarrierFrequency, NULL,
    ":SOUR{Path}:VOR:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    108e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_ICAO_CHANNEL =
  {
    RSSMX_ATTR_VOR_ICAO_CHANNEL,
    "VOR ICAO Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngVORICAOChannel, NULL, NULL,
    ":SOUR{Path}:VOR:ICAO:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_VOR_ICAO_CHANNEL_CH17X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_EXT_AM =
  {
    RSSMX_ATTR_VOR_EXT_AM,
    "VOR EXT AM",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngVOREXTAM, NULL, NULL,
    ":SOUR{Path}:VOR:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_VOR_EXT_AM_INT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_MODE =
  {
    RSSMX_ATTR_VOR_MODE,
    "VOR Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngVORMode, NULL, NULL,
    ":SOUR{Path}:VOR:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_VOR_MODE_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_VAR_REF_FREQUENCY =
  {
    RSSMX_ATTR_VOR_VAR_REF_FREQUENCY,
    "VOR VAR/REF Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORVARREFFrequency, NULL,
    ":SOUR{Path}:VOR:VAR:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_VAR_DEPTH =
  {
    RSSMX_ATTR_VOR_VAR_DEPTH,
    "VOR VAR Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORVARDepth, NULL,
    ":SOUR{Path}:VOR:VAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_SUBCARRIER_FREQUENCY =
  {
    RSSMX_ATTR_VOR_SUBCARRIER_FREQUENCY,
    "VOR Subcarrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORSubcarrierFrequency, NULL,
    ":SOUR{Path}:VOR:SUBC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9.96e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_SUBCARRIER_DEPTH =
  {
    RSSMX_ATTR_VOR_SUBCARRIER_DEPTH,
    "VOR Subcarrier Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORSubcarrierDepth, NULL,
    ":SOUR{Path}:VOR:SUBC:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_REF_DEVIATION =
  {
    RSSMX_ATTR_VOR_REF_DEVIATION,
    "VOR REF Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSmx_rngVORREFDeviation, NULL,
    ":SOUR{Path}:VOR:REF",
    // Defaults I32, I64, Float, Bool, String
    480,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_BEARING_ANGLE =
  {
    RSSMX_ATTR_VOR_BEARING_ANGLE,
    "VOR Bearing Angle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORBearingAngle, NULL,
    ":SOUR{Path}:VOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_DIRECTION =
  {
    RSSMX_ATTR_VOR_DIRECTION,
    "VOR Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngVORDirection, NULL, NULL,
    ":SOUR{Path}:VOR:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_VOR_DIRECTION_FROM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_COMID_STATE =
  {
    RSSMX_ATTR_VOR_COMID_STATE,
    "VOR COM/ID State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:VOR:COM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_CODE =
  {
    RSSMX_ATTR_VOR_CODE,
    "VOR Code",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:VOR:COM:CODE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MUC",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_PERIOD =
  {
    RSSMX_ATTR_VOR_PERIOD,
    "VOR Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORPeriod, NULL,
    ":SOUR{Path}:VOR:COM:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_FREQUENCY =
  {
    RSSMX_ATTR_VOR_FREQUENCY,
    "VOR Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORFrequency, NULL,
    ":SOUR{Path}:VOR:COM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1020,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_DEPTH =
  {
    RSSMX_ATTR_VOR_DEPTH,
    "VOR Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORDepth, NULL,
    ":SOUR{Path}:VOR:COM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_TIME_SCHEMA =
  {
    RSSMX_ATTR_VOR_TIME_SCHEMA,
    "VOR Time Schema",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngVORTimeSchema, NULL, NULL,
    ":SOUR{Path}:VOR:COM:TSCH",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_VOR_TIME_SCHEMA_STD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_DOT_LENGTH =
  {
    RSSMX_ATTR_VOR_DOT_LENGTH,
    "VOR Dot Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORDotLength, NULL,
    ":SOUR{Path}:VOR:COM:DOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_DASH_LENGTH =
  {
    RSSMX_ATTR_VOR_DASH_LENGTH,
    "VOR Dash Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORDashLength, NULL,
    ":SOUR{Path}:VOR:COM:DASH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_SYMBOL_SPACE =
  {
    RSSMX_ATTR_VOR_SYMBOL_SPACE,
    "VOR Symbol Space",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORSymbolSpace, NULL,
    ":SOUR{Path}:VOR:COM:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_VOR_LETTER_SPACE =
  {
    RSSMX_ATTR_VOR_LETTER_SPACE,
    "VOR Letter Space",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngVORLetterSpace, NULL,
    ":SOUR{Path}:VOR:COM:LETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_ENABLED =
  {
    RSSMX_ATTR_ILS_ENABLED,
    "ILS Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_SET_TO_DEFAULT =
  {
    RSSMX_ATTR_ILS_SET_TO_DEFAULT,
    "ILS Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_SETTINGS_CATALOG =
  {
    RSSMX_ATTR_ILS_SETTINGS_CATALOG,
    "ILS Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_DELETE_SETTINGS =
  {
    RSSMX_ATTR_ILS_DELETE_SETTINGS,
    "ILS Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_RECALL_SETTINGS =
  {
    RSSMX_ATTR_ILS_RECALL_SETTINGS,
    "ILS Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_SAVE_SETTINGS =
  {
    RSSMX_ATTR_ILS_SAVE_SETTINGS,
    "ILS Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_COMPONENT =
  {
    RSSMX_ATTR_ILS_COMPONENT,
    "ILS Component",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSComponent, NULL, NULL,
    ":SOUR{Path}:ILS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_COMPONENT_GLIDE_SLOPE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_SET_TO_DEFAULT =
  {
    RSSMX_ATTR_ILS_GS_SET_TO_DEFAULT,
    "ILS GS Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:GS:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_CARRIER_FREQUENCY_MODE =
  {
    RSSMX_ATTR_ILS_GS_CARRIER_FREQUENCY_MODE,
    "ILS GS Carrier Frequency Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSGSCarrierFrequencyMode, NULL, NULL,
    ":SOUR{Path}:ILS:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_GS_FREQ_MODE_USER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_CARRIER_FREQUENCY =
  {
    RSSMX_ATTR_ILS_GS_CARRIER_FREQUENCY,
    "ILS GS Carrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSCarrierFrequency, NULL,
    ":SOUR{Path}:ILS:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    334.7e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_ICAO_CHANNEL =
  {
    RSSMX_ATTR_ILS_GS_ICAO_CHANNEL,
    "ILS GS ICAO Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSGSICAOChannel, NULL, NULL,
    ":SOUR{Path}:ILS:ICAO:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_GS_ICAO_CHANNEL_CH18X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_SYNC_WITH_LOCALIZER =
  {
    RSSMX_ATTR_ILS_GS_SYNC_WITH_LOCALIZER,
    "ILS GS Sync With Localizer",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:FREQ:SYNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_EXT_AM =
  {
    RSSMX_ATTR_ILS_GS_EXT_AM,
    "ILS GS EXT AM",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSGSEXTAM, NULL, NULL,
    ":SOUR{Path}:ILS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_GS_EXT_AM_INT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_OPERATING_MODE =
  {
    RSSMX_ATTR_ILS_GS_OPERATING_MODE,
    "ILS GS Operating Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSGSOperatingMode, NULL, NULL,
    ":SOUR{Path}:ILS:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_GS_OPERATING_MODE_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_DDM_POLARITY =
  {
    RSSMX_ATTR_ILS_GS_DDM_POLARITY,
    "ILS GS DDM Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSGSDDMPolarity, NULL, NULL,
    ":SOUR{Path}:ILS:DDM:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_GS_DDM_POLARITY_P90_150,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_UP_FREQUENCY =
  {
    RSSMX_ATTR_ILS_GS_UP_FREQUENCY,
    "ILS GS Up Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSUpFrequency, NULL,
    ":SOUR{Path}:ILS:ULOB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_DOWN_FREQUENCY =
  {
    RSSMX_ATTR_ILS_GS_DOWN_FREQUENCY,
    "ILS GS Down Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSDownFrequency, NULL,
    ":SOUR{Path}:ILS:LLOB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    150,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_UPDOWN_PHASE =
  {
    RSSMX_ATTR_ILS_GS_UPDOWN_PHASE,
    "ILS GS Up/Down Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSUpDownPhase, NULL,
    ":SOUR{Path}:ILS:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_FLY_MODE =
  {
    RSSMX_ATTR_ILS_GS_FLY_MODE,
    "ILS GS Fly Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSGSFlyMode, NULL, NULL,
    ":SOUR{Path}:ILS:DDM:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_GS_FLY_MODE_UP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_SUM_OF_DEPTH =
  {
    RSSMX_ATTR_ILS_GS_SUM_OF_DEPTH,
    "ILS GS Sum Of Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSSumOfDepth, NULL,
    ":SOUR{Path}:ILS:SDM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    80,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_DDM_COUPLING =
  {
    RSSMX_ATTR_ILS_GS_DDM_COUPLING,
    "ILS GS DDM Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSGSDDMCoupling, NULL, NULL,
    ":SOUR{Path}:ILS:DDM:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_GS_DDM_COUPLING_FIX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_DDM_STEP =
  {
    RSSMX_ATTR_ILS_GS_DDM_STEP,
    "ILS GS DDM Step",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSGSDDMStep, NULL, NULL,
    ":SOUR{Path}:ILS:DDM:STEP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_GS_DDM_STEP_DEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_DDM_CURRENT =
  {
    RSSMX_ATTR_ILS_GS_DDM_CURRENT,
    "ILS GS DDM Current",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSDDMCurrent, NULL,
    ":SOUR{Path}:ILS:DDM:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_DDM_DEPTH =
  {
    RSSMX_ATTR_ILS_GS_DDM_DEPTH,
    "ILS GS DDM Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSDDMDepth, NULL,
    ":SOUR{Path}:ILS:DDM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_DDM_LOGARITHMIC =
  {
    RSSMX_ATTR_ILS_GS_DDM_LOGARITHMIC,
    "ILS GS DDM Logarithmic",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSDDMLogarithmic, NULL,
    ":SOUR{Path}:ILS:DDM:LOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_GS_DDM_PERCENT =
  {
    RSSMX_ATTR_ILS_GS_DDM_PERCENT,
    "ILS GS DDM Percent",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSGSDDMPercent, NULL,
    ":SOUR{Path}:ILS:DDM:PCT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_SET_TO_DEFAULT =
  {
    RSSMX_ATTR_ILS_LOCALIZER_SET_TO_DEFAULT,
    "ILS Localizer Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY_MODE =
  {
    RSSMX_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY_MODE,
    "ILS Localizer Carrier Frequency Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerCarrierFrequencyMode, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_FREQ_MODE_USER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY =
  {
    RSSMX_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY,
    "ILS Localizer Carrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerCarrierFrequency, NULL,
    ":SOUR{Path}:ILS:LOC:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    108.1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_ICAO_CHANNEL =
  {
    RSSMX_ATTR_ILS_LOCALIZER_ICAO_CHANNEL,
    "ILS Localizer ICAO Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerICAOChannel, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:ICAO:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_ICAO_CHANNEL_CH18X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_SYNC_WITH_GS =
  {
    RSSMX_ATTR_ILS_LOCALIZER_SYNC_WITH_GS,
    "ILS Localizer Sync With GS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:FREQ:SYNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_EXT_AM =
  {
    RSSMX_ATTR_ILS_LOCALIZER_EXT_AM,
    "ILS Localizer EXT AM",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerEXTAM, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_EXT_AM_INT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_OPERATING_MODE =
  {
    RSSMX_ATTR_ILS_LOCALIZER_OPERATING_MODE,
    "ILS Localizer Operating Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerOperatingMode, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_MODE_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DDM_POLARITY =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DDM_POLARITY,
    "ILS Localizer DDM Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerDDMPolarity, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:DDM:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_DDM_POLARITY_P90_150,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_LEFT_FREQUENCY =
  {
    RSSMX_ATTR_ILS_LOCALIZER_LEFT_FREQUENCY,
    "ILS Localizer Left Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerLeftFrequency, NULL,
    ":SOUR{Path}:ILS:LOC:LLOB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_RIGHT_FREQUENCY =
  {
    RSSMX_ATTR_ILS_LOCALIZER_RIGHT_FREQUENCY,
    "ILS Localizer Right Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerRightFrequency, NULL,
    ":SOUR{Path}:ILS:LOC:RLOB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    150,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_LEFT_RIGHT_PHASE =
  {
    RSSMX_ATTR_ILS_LOCALIZER_LEFT_RIGHT_PHASE,
    "ILS Localizer Left/Right Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerLeftRightPhase, NULL,
    ":SOUR{Path}:ILS:LOC:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_FLY_MODE =
  {
    RSSMX_ATTR_ILS_LOCALIZER_FLY_MODE,
    "ILS Localizer Fly Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerFlyMode, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:DDM:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_FLY_MODE_LEFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_SUM_OF_DEPTH =
  {
    RSSMX_ATTR_ILS_LOCALIZER_SUM_OF_DEPTH,
    "ILS Localizer Sum Of Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerSumOfDepth, NULL,
    ":SOUR{Path}:ILS:LOC:SDM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DDM_COUPLING =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DDM_COUPLING,
    "ILS Localizer DDM Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerDDMCoupling, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:DDM:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_DDM_COUPLING_FIX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DDM_STEP =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DDM_STEP,
    "ILS Localizer DDM Step",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerDDMStep, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:DDM:STEP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_DDM_STEP_DEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DDM_CURRENT =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DDM_CURRENT,
    "ILS Localizer DDM Current",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerDDMCurrent, NULL,
    ":SOUR{Path}:ILS:LOC:DDM:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DDM_DEPTH =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DDM_DEPTH,
    "ILS Localizer DDM Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerDDMDepth, NULL,
    ":SOUR{Path}:ILS:LOC:DDM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DDM_LOGARITHMIC =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DDM_LOGARITHMIC,
    "ILS Localizer DDM Logarithmic",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerDDMLogarithmic, NULL,
    ":SOUR{Path}:ILS:LOC:DDM:LOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DDM_PERCENT =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DDM_PERCENT,
    "ILS Localizer DDM Percent",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerDDMPercent, NULL,
    ":SOUR{Path}:ILS:LOC:DDM:PCT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_COMID_STATE =
  {
    RSSMX_ATTR_ILS_LOCALIZER_COMID_STATE,
    "ILS Localizer COM/ID State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:COM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_CODE =
  {
    RSSMX_ATTR_ILS_LOCALIZER_CODE,
    "ILS Localizer Code",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:COM:CODE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MUC",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_FREQUENCY =
  {
    RSSMX_ATTR_ILS_LOCALIZER_FREQUENCY,
    "ILS Localizer Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerFrequency, NULL,
    ":SOUR{Path}:ILS:LOC:COM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1020,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_PERIOD =
  {
    RSSMX_ATTR_ILS_LOCALIZER_PERIOD,
    "ILS Localizer Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerPeriod, NULL,
    ":SOUR{Path}:ILS:LOC:COM:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DEPTH =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DEPTH,
    "ILS Localizer Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerDepth, NULL,
    ":SOUR{Path}:ILS:LOC:COM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_TIME_SCHEMA =
  {
    RSSMX_ATTR_ILS_LOCALIZER_TIME_SCHEMA,
    "ILS Localizer Time Schema",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSLocalizerTimeSchema, NULL, NULL,
    ":SOUR{Path}:ILS:LOC:COM:TSCH",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_LOCALIZER_TIME_SCHEMA_STD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DOT_LENGTH =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DOT_LENGTH,
    "ILS Localizer Dot Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerDotLength, NULL,
    ":SOUR{Path}:ILS:LOC:COM:DOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_DASH_LENGTH =
  {
    RSSMX_ATTR_ILS_LOCALIZER_DASH_LENGTH,
    "ILS Localizer Dash Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerDashLength, NULL,
    ":SOUR{Path}:ILS:LOC:COM:DASH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_SYMBOL_SPACE =
  {
    RSSMX_ATTR_ILS_LOCALIZER_SYMBOL_SPACE,
    "ILS Localizer Symbol Space",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerSymbolSpace, NULL,
    ":SOUR{Path}:ILS:LOC:COM:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_LOCALIZER_LETTER_SPACE =
  {
    RSSMX_ATTR_ILS_LOCALIZER_LETTER_SPACE,
    "ILS Localizer Letter Space",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSLocalizerLetterSpace, NULL,
    ":SOUR{Path}:ILS:LOC:COM:LETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_SET_TO_DEFAULT =
  {
    RSSMX_ATTR_ILS_MB_SET_TO_DEFAULT,
    "ILS MB Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:MBE:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_CARRIER_FREQUENCY_MODE =
  {
    RSSMX_ATTR_ILS_MB_CARRIER_FREQUENCY_MODE,
    "ILS MB Carrier Frequency Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSMBCarrierFrequencyMode, NULL, NULL,
    ":SOUR{Path}:MBE:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_ILS_MB_CARRIER_FREQ_MODE_USER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_CARRIER_FREQUENCY =
  {
    RSSMX_ATTR_ILS_MB_CARRIER_FREQUENCY,
    "ILS MB Carrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBCarrierFrequency, NULL,
    ":SOUR{Path}:MBE:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    75e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_MARKER_FREQUENCY =
  {
    RSSMX_ATTR_ILS_MB_MARKER_FREQUENCY,
    "ILS MB Marker Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSMBMarkerFrequency, NULL, NULL,
    ":SOUR{Path}:MBE:MARK:FREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_MB_MARKER_FREQ_400,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_MARKER_DEPTH =
  {
    RSSMX_ATTR_ILS_MB_MARKER_DEPTH,
    "ILS MB Marker Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBMarkerDepth, NULL,
    ":SOUR{Path}:MBE:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    95,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_PULSED_MARKER =
  {
    RSSMX_ATTR_ILS_MB_PULSED_MARKER,
    "ILS MB Pulsed Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:MBE:PULS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_COMID_STATE =
  {
    RSSMX_ATTR_ILS_MB_COMID_STATE,
    "ILS MB COM/ID State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:MBE:COM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_CODE =
  {
    RSSMX_ATTR_ILS_MB_CODE,
    "ILS MB Code",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:MBE:COM:CODE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MUC",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_PERIOD =
  {
    RSSMX_ATTR_ILS_MB_PERIOD,
    "ILS MB Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBPeriod, NULL,
    ":SOUR{Path}:MBE:COM:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_FREQUENCY =
  {
    RSSMX_ATTR_ILS_MB_FREQUENCY,
    "ILS MB Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBFrequency, NULL,
    ":SOUR{Path}:MBE:COM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1020,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_DEPTH =
  {
    RSSMX_ATTR_ILS_MB_DEPTH,
    "ILS MB Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBDepth, NULL,
    ":SOUR{Path}:MBE:COM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_TIME_SCHEMA =
  {
    RSSMX_ATTR_ILS_MB_TIME_SCHEMA,
    "ILS MB Time Schema",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngILSMBTimeSchema, NULL, NULL,
    ":SOUR{Path}:MBE:COM:TSCH",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ILS_MB_TIME_SCHEMA_STD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_DOT_LENGTH =
  {
    RSSMX_ATTR_ILS_MB_DOT_LENGTH,
    "ILS MB Dot Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBDotLength, NULL,
    ":SOUR{Path}:MBE:COM:DOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_DASH_LENGTH =
  {
    RSSMX_ATTR_ILS_MB_DASH_LENGTH,
    "ILS MB Dash Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBDashLength, NULL,
    ":SOUR{Path}:MBE:COM:DASH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_SYMBOL_SPACE =
  {
    RSSMX_ATTR_ILS_MB_SYMBOL_SPACE,
    "ILS MB Symbol Space",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBSymbolSpace, NULL,
    ":SOUR{Path}:MBE:COM:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ILS_MB_LETTER_SPACE =
  {
    RSSMX_ATTR_ILS_MB_LETTER_SPACE,
    "ILS MB Letter Space",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngILSMBLetterSpace, NULL,
    ":SOUR{Path}:MBE:COM:LETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_ENABLED =
  {
    RSSMX_ATTR_ADF_ENABLED,
    "ADF Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:ADF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_SET_TO_DEFAULT =
  {
    RSSMX_ATTR_ADF_SET_TO_DEFAULT,
    "ADF Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:ADF:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_SETTINGS_CATALOG =
  {
    RSSMX_ATTR_ADF_SETTINGS_CATALOG,
    "ADF Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ADF:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_DELETE_SETTINGS =
  {
    RSSMX_ATTR_ADF_DELETE_SETTINGS,
    "ADF Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ADF:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_RECALL_SETTINGS =
  {
    RSSMX_ATTR_ADF_RECALL_SETTINGS,
    "ADF Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ADF:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_SAVE_SETTINGS =
  {
    RSSMX_ATTR_ADF_SAVE_SETTINGS,
    "ADF Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ADF:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_COM_ID_ENABLED =
  {
    RSSMX_ATTR_ADF_COM_ID_ENABLED,
    "ADF COM/ID Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:ADF:COM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_CODE =
  {
    RSSMX_ATTR_ADF_CODE,
    "ADF Code",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:ADF:COM:CODE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MUC",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_PERIOD =
  {
    RSSMX_ATTR_ADF_PERIOD,
    "ADF Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngADFPeriod, NULL,
    ":SOUR{Path}:ADF:COM:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_FREQUENCY =
  {
    RSSMX_ATTR_ADF_FREQUENCY,
    "ADF Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngADFFrequency, NULL,
    ":SOUR{Path}:ADF:COM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1020,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_DEPTH =
  {
    RSSMX_ATTR_ADF_DEPTH,
    "ADF Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngADFDepth, NULL,
    ":SOUR{Path}:ADF:COM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    95,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_TIME_SCHEMA =
  {
    RSSMX_ATTR_ADF_TIME_SCHEMA,
    "ADF Time Schema",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngADFTimeSchema, NULL, NULL,
    ":SOUR{Path}:ADF:COM:TSCH",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ADF_TIME_SCHEMA_STD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_DOT_LENGTH =
  {
    RSSMX_ATTR_ADF_DOT_LENGTH,
    "ADF Dot Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngADFDotLength, NULL,
    ":SOUR{Path}:ADF:COM:DOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_DASH_LENGTH =
  {
    RSSMX_ATTR_ADF_DASH_LENGTH,
    "ADF Dash Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngADFDashLength, NULL,
    ":SOUR{Path}:ADF:COM:DASH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_SYMBOL_SPACE =
  {
    RSSMX_ATTR_ADF_SYMBOL_SPACE,
    "ADF Symbol Space",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngADFSymbolSpace, NULL,
    ":SOUR{Path}:ADF:COM:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ADF_LETTER_SPACE =
  {
    RSSMX_ATTR_ADF_LETTER_SPACE,
    "ADF Letter Space",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngADFLetterSpace, NULL,
    ":SOUR{Path}:ADF:COM:LETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K25",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_PRESET =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_PRESET,
    "Reference Oscillator Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":ROSC:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_SOURCE =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_SOURCE,
    "Reference Oscillator Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngReferenceOscillatorSource, NULL, NULL,
    ":ROSC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ROSC_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_EFC_ENABLED =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_EFC_ENABLED,
    "Reference Oscillator EFC Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":ROSC:INT:TUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_VOLTAGE_TUNING_SENSITIVITY =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_VOLTAGE_TUNING_SENSITIVITY,
    "Reference Oscillator Voltage Tuning Sensitivity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngReferenceOscillatorVoltageTuningSensitivity, NULL, NULL,
    ":ROSC:INT:TUN:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SENSITIVITY_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_RF_SWITCH_OFF_ACTIVE =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_RF_SWITCH_OFF_ACTIVE,
    "Reference Oscillator RF Switch Off Active",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ROSC:EXT:RFOF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY,
    "Reference Oscillator External Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngReferenceOscillatorExternalFrequency, NULL, NULL,
    ":ROSC:EXT:FREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SMU_ROSC_EXTERNAL_FREQUENCY_10MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_EXTERNAL_FREQUENCY =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_EXTERNAL_FREQUENCY,
    "Reference Oscillator User Defined External Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngReferenceOscillatorUserDefinedExternalFrequency, NULL,
    ":ROSC:EXT:FREQ:VAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e7,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH,
    "Reference Oscillator Synchronization Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngROSCSynchronizationBandwidth, NULL, NULL,
    "ROSC:EXT:SBAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ROSC_SBAN_WIDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_NOMINAL_SYNCHRONIZATION_BANDWIDTH =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_NOMINAL_SYNCHRONIZATION_BANDWIDTH,
    "Reference Oscillator Nominal Synchronization Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":ROSC:EXT:NSB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "string",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE,
    "Reference Oscillator Output Frequency Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRefOscOutputFreqMode, NULL, NULL,
    ":ROSC:OUTP:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_DER10M,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_OUTPUT_REFERENCE_FREQUENCY =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_OUTPUT_REFERENCE_FREQUENCY,
    "Reference Oscillator Output Reference Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngReferenceOscillatorOutputReferenceFrequency, NULL, NULL,
    ":ROSC:OUTP:ALT:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_ROSC_OUTPUT_FMODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_DAC_ACTIVE =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_DAC_ACTIVE,
    "Reference Oscillator Adjustment DAC Active",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ROSC:ADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_DAC_FREQUENCY =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_DAC_FREQUENCY,
    "Reference Oscillator Adjustment DAC Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngROSCAdjustmentFrequency, NULL,
    "ROSC:ADJ:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_REFERENCE_OSCILLATOR_MINIMUM_LOCKING_RANGE =
  {
    RSSMX_ATTR_REFERENCE_OSCILLATOR_MINIMUM_LOCKING_RANGE,
    "Reference Oscillator Minimum Locking Range",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":ROSC:EXT:MLR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "string",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_ENABLED =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_ENABLED,
    "Clock Synthesis Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CSYN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_OUTPUT_TYPE =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_OUTPUT_TYPE,
    "Clock Synthesis Output Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngClockSynthesisOutputType, NULL, NULL,
    ":CSYN:OTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_CSYN_OTYPE_SES,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY,
    "Clock Synthesis Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":CSYN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10E6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_POWER =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_POWER,
    "Clock Synthesis Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngClockSynthesisPower, NULL,
    ":CSYN:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_DC_OFFSET_STATE =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_DC_OFFSET_STATE,
    "Clock Synthesis DC Offset State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CSYN:OFFS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_DC_OFFSET =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_DC_OFFSET,
    "Clock Synthesis DC Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngClockSynthesisDCOffset, NULL,
    ":CSYN:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_VOLTAGE =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_VOLTAGE,
    "Clock Synthesis Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngClockSynthesisVoltage, NULL,
    ":CSYN:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_PHASE =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_PHASE,
    "Clock Synthesis Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngClockSynthesisPhase, NULL,
    ":CSYN:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_RESET_DELTA_PHASE_VALUE =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_RESET_DELTA_PHASE_VALUE,
    "Clock Synthesis Reset Delta Phase Value",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":CSYN:PHAS:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY_VARIATION_ACTIVE =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY_VARIATION_ACTIVE,
    "Clock Synthesis Frequency Variation Active",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFLevelVariationActive, NULL, NULL,
    ":CSYN:FREQ:STEP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_VARIATION_ACTIVE_DECIMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY_VARIATION_STEP =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY_VARIATION_STEP,
    "Clock Synthesis Frequency Variation Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngClockSynthesisFrequencyVariationStep, NULL,
    ":CSYN:FREQ:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_LEVEL_VARIATION_ACTIVE =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_LEVEL_VARIATION_ACTIVE,
    "Clock Synthesis Level Variation Active",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngRFLevelVariationActive, NULL, NULL,
    ":CSYN:POW:STEP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_RF_VARIATION_ACTIVE_DECIMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLOCK_SYNTHESIS_LEVEL_VARIATION_STEP =
  {
    RSSMX_ATTR_CLOCK_SYNTHESIS_LEVEL_VARIATION_STEP,
    "Clock Synthesis Level Variation Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngClockSynthesisLevelVariationStep, NULL,
    ":CSYN:POW:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_CONTINUOUS =
  {
    RSSMX_ATTR_POWER_CONTINUOUS,
    "Power Continuous",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INIT{Sense}:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_READ_POWER =
  {
    RSSMX_ATTR_POWER_READ_POWER,
    "Power Read Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ{Sense}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_UNIT =
  {
    RSSMX_ATTR_POWER_UNIT,
    "Power Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerUnit, NULL, NULL,
    "SENS{Sense}:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SENSE_POWER_UNIT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED =
  {
    RSSMX_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED,
    "Power Default Aperture Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:APER:DEF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_APERTURE_TIME =
  {
    RSSMX_ATTR_POWER_APERTURE_TIME,
    "Power Aperture Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SENS{Sense}:APER:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_USE_SPARAMETERS =
  {
    RSSMX_ATTR_POWER_USE_SPARAMETERS,
    "Power Use SParameters",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Sense}:CORR:SPD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_S_PARAMETER_DATA_SET =
  {
    RSSMX_ATTR_POWER_S_PARAMETER_DATA_SET,
    "Power S Parameter Data Set",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SENS{Sense}:CORR:SPD:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_S_PARAMETER_DATA_SET_LIST =
  {
    RSSMX_ATTR_POWER_S_PARAMETER_DATA_SET_LIST,
    "Power S Parameter Data Set List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SENS{Sense}:CORR:SPD:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "string",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_DISPLAY_PERMANENT_ENABLED =
  {
    RSSMX_ATTR_POWER_DISPLAY_PERMANENT_ENABLED,
    "Power Display Permanent Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Sense}:DISP:PERM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_DISPLAY_PERMANENT =
  {
    RSSMX_ATTR_POWER_DISPLAY_PERMANENT,
    "Power Display Permanent",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerDisplayPermanent, NULL, NULL,
    ":SENS{Sense}:DISP:PERM:PRI",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SENSE_POWER_DISPLAY_AVERAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_FREQUENCY =
  {
    RSSMX_ATTR_POWER_FREQUENCY,
    "Power Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Sense}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.00,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_LOGGING_STATE =
  {
    RSSMX_ATTR_POWER_LOGGING_STATE,
    "Power Logging State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:LOGG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_OFFSET =
  {
    RSSMX_ATTR_POWER_OFFSET,
    "Power Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerOffset, NULL,
    "SENS{Sense}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_OFFSET_ENABLED =
  {
    RSSMX_ATTR_POWER_OFFSET_ENABLED,
    "Power Offset Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Sense}:OFFS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SOURCE =
  {
    RSSMX_ATTR_POWER_SOURCE,
    "Power Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerSource, NULL, NULL,
    "SENS{Sense}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SENSE_POWER_SOURCE_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ZERO =
  {
    RSSMX_ATTR_POWER_ZERO,
    "Power Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SENS{Sense}:ZERO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_FILTER_LENGTH_AUTO =
  {
    RSSMX_ATTR_POWER_FILTER_LENGTH_AUTO,
    "Power Filter Length Auto",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Sense}:FILT:LENG:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_FILTER_LENGTH =
  {
    RSSMX_ATTR_POWER_FILTER_LENGTH,
    "Power Filter Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSmx_rngPowerFilterLength, NULL,
    "SENS{Sense}:FILT:LENG",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_FILTER_MODE =
  {
    RSSMX_ATTR_POWER_FILTER_MODE,
    "Power Filter Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerFilterMode, NULL, NULL,
    "SENS{Sense}:FILT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SENSE_POWER_FILTER_TYPE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_FILTER_NS_RATIO =
  {
    RSSMX_ATTR_POWER_FILTER_NS_RATIO,
    "Power Filter NS Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerFilterNSRatio, NULL,
    "SENS{Sense}:FILT:NSR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT =
  {
    RSSMX_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT,
    "Power Filter NS Ratio Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerFilterNSRatioTimeout, NULL,
    "SENS{Sense}:FILT:NSR:MTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.00,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_FILTER_SEARCH_ONCE =
  {
    RSSMX_ATTR_POWER_FILTER_SEARCH_ONCE,
    "Power Filter Search Once",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SENS{Sense}:FILT:SONC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_DEVICE =
  {
    RSSMX_ATTR_POWER_SENSOR_DEVICE,
    "Power Sensor Device",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Sense}:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_TYPE =
  {
    RSSMX_ATTR_POWER_SENSOR_TYPE,
    "Power Sensor Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS{Sense}:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "type",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_VERSION =
  {
    RSSMX_ATTR_POWER_SENSOR_VERSION,
    "Power Sensor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS{Sense}:SVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_SERIAL_NUMBER =
  {
    RSSMX_ATTR_POWER_SENSOR_SERIAL_NUMBER,
    "Power Sensor Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS{Sense}:SNUM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "serialNumber",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED =
  {
    RSSMX_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED,
    "Power Sensor Mapping Scan Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SLIS:SCAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_MAPPING_LIST =
  {
    RSSMX_ATTR_POWER_SENSOR_MAPPING_LIST,
    "Power Sensor Mapping List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SLIS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_MAPPING_ADD_LAN_SENSOR =
  {
    RSSMX_ATTR_POWER_SENSOR_MAPPING_ADD_LAN_SENSOR,
    "Power Sensor Mapping Add LAN Sensor",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SLIS:SCAN:LSEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.0.18",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_MAPPING_ADD_USB_SENSOR =
  {
    RSSMX_ATTR_POWER_SENSOR_MAPPING_ADD_USB_SENSOR,
    "Power Sensor Mapping Add USB Sensor Attribute",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    ":SLIS:SCAN:USEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\"USB\",0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_LAN_SENSORS =
  {
    RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_LAN_SENSORS,
    "Power Sensor Mapping Remove LAN Sensors",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SLIS:CLE:LAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_USB_SENSORS =
  {
    RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_USB_SENSORS,
    "Power Sensor Mapping Remove USB Sensors",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SLIS:CLE:USB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_ALL =
  {
    RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_ALL,
    "Power Sensor Mapping Remove All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SLIS:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_INITIATE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_INITIATE,
    "Power Analysis Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:INIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_ABORT =
  {
    RSSMX_ATTR_POWER_ANALYSIS_ABORT,
    "Power Analysis Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_STATE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRACE_STATE,
    "Power Analysis Trace State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisTraceState, NULL, NULL,
    ":TRAC{Trace}:SWE:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TRACE_STATE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_REFERENCE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRACE_REFERENCE,
    "Power Analysis Trace Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:COPY REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_SOURCE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRACE_SOURCE,
    "Power Analysis Trace Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisTraceSource, NULL, NULL,
    ":TRAC{Trace}:SWE:FEED",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TRACE_SOURCE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_COLOR =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRACE_COLOR,
    "Power Analysis Trace Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisTraceColor, NULL, NULL,
    ":TRAC{Trace}:SWE:COL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TRACE_COLOR_YELLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_SOURCE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_SOURCE,
    "Power Analysis Frequency Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisSource, NULL, NULL,
    ":TRAC{Trace}:FREQ:SWE:SRC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_POWER_ANALYSIS_SOURCE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_SOURCE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_SOURCE,
    "Power Analysis Power Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisSource, NULL, NULL,
    ":TRAC{Trace}:POW:SWE:SRC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_POWER_ANALYSIS_SOURCE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TIME_SOURCE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TIME_SOURCE,
    "Power Analysis Time Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisSource, NULL, NULL,
    ":TRAC{Trace}:TIME:SWE:SRC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_POWER_ANALYSIS_SOURCE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_FREQUENCY_REFERENCE =
  {
    RSSMX_ATTR_GENERATE_POWER_ANALYSIS_FREQUENCY_REFERENCE,
    "Generate Power Analysis Frequency Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:FREQ:REF:DATA:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_FREQUENCY_REFERENCE_POINTS =
  {
    RSSMX_ATTR_GENERATE_POWER_ANALYSIS_FREQUENCY_REFERENCE_POINTS,
    "Generate Power Analysis Frequency Reference Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS:SWE:FREQ:REF:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_POWER_REFERENCE =
  {
    RSSMX_ATTR_GENERATE_POWER_ANALYSIS_POWER_REFERENCE,
    "Generate Power Analysis Power Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:POW:REF:DATA:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_POWER_REFERENCE_POINTS =
  {
    RSSMX_ATTR_GENERATE_POWER_ANALYSIS_POWER_REFERENCE_POINTS,
    "Generate Power Analysis Power Reference Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS:SWE:POW:REF:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_TIME_REFERENCE =
  {
    RSSMX_ATTR_GENERATE_POWER_ANALYSIS_TIME_REFERENCE,
    "Generate Power Analysis Time Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:TIME:REF:DATA:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_TIME_REFERENCE_POINTS =
  {
    RSSMX_ATTR_GENERATE_POWER_ANALYSIS_TIME_REFERENCE_POINTS,
    "Generate Power Analysis Time Reference Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS:SWE:TIME:REF:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_ENABLED,
    "Power Analysis Math Frequency Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CALC:SWE:FREQ:MATH{Trace}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_SUBTRACT =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_SUBTRACT,
    "Power Analysis Math Frequency Subtract",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisMathFrequencySubtract, NULL, NULL,
    ":CALC:SWE:FREQ:MATH{Trace}:SUBT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TRACE_SUBTRACT_T1T1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_X =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_X,
    "Power Analysis Math Frequency X",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMathFrequencyX, NULL,
    ":CALC:SWE:FREQ:MATH{Trace}:XVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_Y =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_Y,
    "Power Analysis Math Frequency Y",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMathPowerY, NULL,
    ":CALC:SWE:FREQ:MATH{Trace}:YVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_ENABLED,
    "Power Analysis Math Power Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CALC:SWE:POW:MATH{Trace}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_SUBTRACT =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_SUBTRACT,
    "Power Analysis Math Power Subtract",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisMathFrequencySubtract, NULL, NULL,
    ":CALC:SWE:POW:MATH{Trace}:SUBT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TRACE_SUBTRACT_T1T1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_X =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_X,
    "Power Analysis Math Power X",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMathPowerX, NULL,
    ":CALC:SWE:POW:MATH{Trace}:XVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_Y =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_Y,
    "Power Analysis Math Power Y",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMathPowerY, NULL,
    ":CALC:SWE:POW:MATH{Trace}:YVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_ENABLED,
    "Power Analysis Math Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CALC:SWE:TIME:MATH{Trace}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_SUBTRACT =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_SUBTRACT,
    "Power Analysis Math Time Subtract",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisMathFrequencySubtract, NULL, NULL,
    ":CALC:SWE:TIME:MATH{Trace}:SUBT",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TRACE_SUBTRACT_T1T1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_X =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_X,
    "Power Analysis Math Time X",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMathTimeX, NULL,
    ":CALC:SWE:TIME:MATH{Trace}:XVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_Y =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_Y,
    "Power Analysis Math Time Y",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMathPowerY, NULL,
    ":CALC:SWE:TIME:MATH{Trace}:YVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_DATA_POINTS =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRACE_DATA_POINTS,
    "Power Analysis Trace Data Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:DATA:POIN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MEASUREMENT_MODE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MEASUREMENT_MODE,
    "Power Analysis Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisMeasurementMode, NULL, NULL,
    ":SENS:SWE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_MEASUREMENT_MODE_FREQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_MEASUREMENT_EXECUTION =
  {
    RSSMX_ATTR_POWER_ANALYSIS_MEASUREMENT_EXECUTION,
    "Power Analysis Measurement Execution",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisMeasurementExecution, NULL, NULL,
    ":SENS:SWE:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_EXECUTION_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_MIN =
  {
    RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_MIN,
    "Power Analysis Frequency Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisFrequency, NULL,
    ":SENS:SWE:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_MAX =
  {
    RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_MAX,
    "Power Analysis Frequency Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisFrequency, NULL,
    ":SENS:SWE:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    22e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_STEPS =
  {
    RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_STEPS,
    "Power Analysis Frequency Steps",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSmx_rngPowerAnalysisMeasurementSteps, NULL,
    ":SENS:SWE:FREQ:STEP",
    // Defaults I32, I64, Float, Bool, String
    200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_TIMING =
  {
    RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_TIMING,
    "Power Analysis Frequency Timing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisTimingMode, NULL, NULL,
    ":SENS:SWE:FREQ:TIM",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TIMING_FAST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_SPACING =
  {
    RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_SPACING,
    "Power Analysis Frequency Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngFrequencySweepSpacing, NULL, NULL,
    ":SENS:SWE:FREQ:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_FREQ_SWEEP_SPACING_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_EXECUTION =
  {
    RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_EXECUTION,
    "Power Analysis Frequency Execution",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisMeasurementExecution, NULL, NULL,
    ":SENS:SWE:FREQ:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_EXECUTION_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MIN =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_MIN,
    "Power Analysis Power Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMeasurementPower, NULL,
    ":SENS:SWE:POW:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MAX =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_MAX,
    "Power Analysis Power Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMeasurementPower, NULL,
    ":SENS:SWE:POW:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_STEPS =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_STEPS,
    "Power Analysis Power Steps",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSmx_rngPowerAnalysisMeasurementSteps, NULL,
    ":SENS:SWE:POW:STEP",
    // Defaults I32, I64, Float, Bool, String
    500,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_TIMING =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_TIMING,
    "Power Analysis Power Timing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisTimingMode, NULL, NULL,
    ":SENS:SWE:POW:TIM",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TIMING_FAST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_EXECUTION =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_EXECUTION,
    "Power Analysis Power Execution",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisMeasurementExecution, NULL, NULL,
    ":SENS:SWE:POW:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_EXECUTION_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TIME_MIN =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TIME_MIN,
    "Power Analysis Time Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisMeasurementTime, NULL,
    ":SENS:SWE:TIME:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -5e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TIME_MAX =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TIME_MAX,
    "Power Analysis Time Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisTimeMax, NULL,
    ":SENS:SWE:TIME:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TIME_STEPS =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TIME_STEPS,
    "Power Analysis Time Steps",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSmx_rngPowerAnalysisMeasurementSteps, NULL,
    ":SENS:SWE:TIME:STEP",
    // Defaults I32, I64, Float, Bool, String
    500,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TIME_AVERAGE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TIME_AVERAGE,
    "Power Analysis Time Average",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsSmx_rngPowerAnalysisTimeAverage,
    ":SENS:SWE:TIME:AVER",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TIME_EXECUTION =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TIME_EXECUTION,
    "Power Analysis Time Execution",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisMeasurementExecution, NULL, NULL,
    ":SENS:SWE:TIME:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_EXECUTION_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TIME_TRIGGER_EVENTS =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TIME_TRIGGER_EVENTS,
    "Power Analysis Time Trigger Events",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisTimeTriggerEvents, NULL, NULL,
    ":SENS:SWE:TIME:TEV",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_TIME_TRIGGER_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_GRID_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_GRID_ENABLED,
    "Power Analysis Diagram Grid Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:SWE:GRID:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_BACKGROUND_COLOR =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_BACKGROUND_COLOR,
    "Power Analysis Diagram Background Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisDiagramBackgroundColor, NULL, NULL,
    ":DISP:SWE:BACK:COL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_BACKGROUND_BLACK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_STANDARD_VIEW_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_STANDARD_VIEW_ENABLED,
    "Power Analysis Diagram Standard View Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC:SWE:MEAS:STAN:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_MARKER_VIEW_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_MARKER_VIEW_ENABLED,
    "Power Analysis Diagram Marker View Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC:SWE:MEAS:MARK:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_PULSE_DATA_VIEW_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_PULSE_DATA_VIEW_ENABLED,
    "Power Analysis Diagram Pulse Data View Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC:SWE:MEAS:PULS:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FULLSCREEN_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FULLSCREEN_ENABLED,
    "Power Analysis Diagram Fullscreen Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC:SWE:MEAS:FULL:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_MIN =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_MIN,
    "Power Analysis Diagram Frequency Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisDiagramPower, NULL,
    ":SENS:SWE:FREQ:YSC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_MAX =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_MAX,
    "Power Analysis Diagram Frequency Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisDiagramPower, NULL,
    ":SENS:SWE:FREQ:YSC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_AUTO_SCALE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_AUTO_SCALE,
    "Power Analysis Diagram Frequency Auto Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisAutoScale, NULL, NULL,
    ":SENS:SWE:FREQ:YSC:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_AUTO_SCALE_COARSE_EXPANDING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_AUTO_SCALE_RESET =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_AUTO_SCALE_RESET,
    "Power Analysis Diagram Frequency Auto Scale Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:FREQ:YSC:AUTO:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_MIN =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_MIN,
    "Power Analysis Diagram Power Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisDiagramPower, NULL,
    ":SENS:SWE:POW:YSC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_MAX =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_MAX,
    "Power Analysis Diagram Power Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisDiagramPower, NULL,
    ":SENS:SWE:POW:YSC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_AUTO_SCALE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_AUTO_SCALE,
    "Power Analysis Diagram Power Auto Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisAutoScale, NULL, NULL,
    ":SENS:SWE:POW:YSC:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_AUTO_SCALE_COARSE_EXPANDING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_AUTO_SCALE_RESET =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_AUTO_SCALE_RESET,
    "Power Analysis Diagram Power Auto Scale Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:POW:YSC:AUTO:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_MIN =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_MIN,
    "Power Analysis Diagram Time Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisDiagramPower, NULL,
    ":SENS:SWE:TIME:YSC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_MAX =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_MAX,
    "Power Analysis Diagram Time Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisDiagramPower, NULL,
    ":SENS:SWE:TIME:YSC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_AUTO_SCALE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_AUTO_SCALE,
    "Power Analysis Diagram Time Auto Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisAutoScale, NULL, NULL,
    ":SENS:SWE:TIME:YSC:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_AUTO_SCALE_COARSE_EXPANDING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_AUTO_SCALE_RESET =
  {
    RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_AUTO_SCALE_RESET,
    "Power Analysis Diagram Time Auto Scale Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:TIME:YSC:AUTO:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_GATE_INDICATION_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_GATE_INDICATION_ENABLED,
    "Power Analysis Gate Indication Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC:SWE:MEAS:GATE:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_GATE_TRACE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_GATE_TRACE,
    "Power Analysis Gate Trace",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisGateTrace, NULL, NULL,
    ":CALC:SWE:TIME:GATE{Gate}:FEED",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_GATE_TRACE1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_GATE_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_GATE_ENABLED,
    "Power Analysis Gate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CALC:SWE:TIME:GATE{Gate}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_GATE_AVERAGE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_GATE_AVERAGE,
    "Power Analysis Gate Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":CALC:SWE:TIME:GATE{Gate}:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_GATE_MAXIMUM =
  {
    RSSMX_ATTR_POWER_ANALYSIS_GATE_MAXIMUM,
    "Power Analysis Gate Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":CALC:SWE:TIME:GATE{Gate}:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_GATE_START =
  {
    RSSMX_ATTR_POWER_ANALYSIS_GATE_START,
    "Power Analysis Gate Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":CALC:SWE:TIME:GATE{Gate}:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_GATE_STOP =
  {
    RSSMX_ATTR_POWER_ANALYSIS_GATE_STOP,
    "Power Analysis Gate Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":CALC:SWE:TIME:GATE{Gate}:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    15.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_OFFSET_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_OFFSET_ENABLED,
    "Power Analysis Sensor Frequency Offset Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:SWE:FREQ:OFFS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_OFFSET =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_OFFSET,
    "Power Analysis Sensor Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngOffset, NULL,
    ":SENS{Sense}:SWE:FREQ:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_USE_SEPARATE_FREQ =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_USE_SEPARATE_FREQ,
    "Power Analysis Sensor Frequency Use Separate Freq",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:SWE:FREQ:SRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_SEPARATE_FREQ_START =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_SEPARATE_FREQ_START,
    "Power Analysis Sensor Frequency Separate Freq Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisSensorFrequencySeparateFreq, NULL,
    ":SENS{Sense}:SWE:FREQ:SRAN:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_SEPARATE_FREQ_STOP =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_SEPARATE_FREQ_STOP,
    "Power Analysis Sensor Frequency Separate Freq Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisSensorFrequencySeparateFreq, NULL,
    ":SENS{Sense}:SWE:FREQ:SRAN:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_OFFSET_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_OFFSET_ENABLED,
    "Power Analysis Sensor Power Offset Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:SWE:POW:OFFS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_OFFSET =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_OFFSET,
    "Power Analysis Sensor Power Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngOffset, NULL,
    ":SENS{Sense}:SWE:POW:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_USE_SEPARATE_FREQ =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_USE_SEPARATE_FREQ,
    "Power Analysis Sensor Power Use Separate Freq",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:SWE:POW:SFR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_SEPARATE_FREQ =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_SEPARATE_FREQ,
    "Power Analysis Sensor Power Separate Freq",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisSensorFrequencySeparateFreq, NULL,
    ":SENS{Sense}:SWE:POW:SFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_OFFSET_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_OFFSET_ENABLED,
    "Power Analysis Sensor Time Offset Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:SWE:TIME:OFFS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_OFFSET =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_OFFSET,
    "Power Analysis Sensor Time Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngOffset, NULL,
    ":SENS{Sense}:SWE:TIME:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_USE_SEPARATE_FREQ =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_USE_SEPARATE_FREQ,
    "Power Analysis Sensor Time Use Separate Freq",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:SWE:TIME:SFR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_SEPARATE_FREQ =
  {
    RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_SEPARATE_FREQ,
    "Power Analysis Sensor Time Separate Freq",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisSensorFrequencySeparateFreq, NULL,
    ":SENS{Sense}:SWE:TIME:SFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_ALL_INDICATIONS_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_ALL_INDICATIONS_ENABLED,
    "Power Analysis Pulse Data All Indications Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:ALL:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_ENABLED,
    "Power Analysis Pulse Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Trace}:SWE:TIME:PULS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_BASE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_BASE,
    "Power Analysis Pulse Data Base",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisPulseDataBase, NULL, NULL,
    ":SENS{Trace}:SWE:TIME:PULS:THR:BASE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_POWER_ANALYSIS_PULSE_BASE_VOLTAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_BASE_CALCULATED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_BASE_CALCULATED,
    "Power Analysis Pulse Data Base Calculated",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisPulseDataBase, NULL, NULL,
    ":TRAC{Trace}:SWE:PULS:THR:BASE?",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_POWER_ANALYSIS_PULSE_BASE_VOLTAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_DISTAL =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_DISTAL,
    "Power Analysis Pulse Data Distal",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisPulseParam, NULL,
    ":SENS{Trace}:SWE:TIME:PULS:THR:POW:HREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_DISTAL_CALCULATED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_DISTAL_CALCULATED,
    "Power Analysis Pulse Data Distal Calculated",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:PULS:THR:POW:HREF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_MESIAL =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_MESIAL,
    "Power Analysis Pulse Data Mesial",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisPulseParam, NULL,
    ":SENS{Trace}:SWE:TIME:PULS:THR:POW:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_MESIAL_CALCULATED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_MESIAL_CALCULATED,
    "Power Analysis Pulse Data Mesial Calculated",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:PULS:THR:POW:REF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_PROXIMAL =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_PROXIMAL,
    "Power Analysis Pulse Data Proximal",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisPulseParam, NULL,
    ":SENS{Trace}:SWE:TIME:PULS:THR:POW:LREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_PROXIMAL_CALCULATED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_PROXIMAL_CALCULATED,
    "Power Analysis Pulse Data Proximal Calculated",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:PULS:THR:POW:LREF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_DUTY_CYCLE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_DUTY_CYCLE,
    "Power Analysis Notification Duty Cycle",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:DCYC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_DUTY_CYCLE_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_DUTY_CYCLE_ENABLED,
    "Power Analysis Notification Duty Cycle Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:DCYC:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_WIDTH =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_WIDTH,
    "Power Analysis Notification Pulse Width",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_WIDTH_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_WIDTH_ENABLED,
    "Power Analysis Notification Pulse Width Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:DUR:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_PERIOD =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_PERIOD,
    "Power Analysis Notification Pulse Period",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:PER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_PERIOD_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_PERIOD_ENABLED,
    "Power Analysis Notification Pulse Period Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:PER:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_OFF_TIME =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_OFF_TIME,
    "Power Analysis Notification Pulse Off Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:SEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_OFF_TIME_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_OFF_TIME_ENABLED,
    "Power Analysis Notification Pulse Off Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:SEP:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_STATE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_STATE,
    "Power Analysis Notification Pulse State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:PULS:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_RISE_TIME =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_RISE_TIME,
    "Power Analysis Pulse Transition Rise Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:NEG:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_RISE_TIME_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_RISE_TIME_ENABLED,
    "Power Analysis Pulse Transition Rise Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:NEG:DUR:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_FALL_TIME =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_FALL_TIME,
    "Power Analysis Pulse Transition Fall Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:POS:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_FALL_TIME_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_FALL_TIME_ENABLED,
    "Power Analysis Pulse Transition Fall Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:POS:DUR:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_START_TIME =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_START_TIME,
    "Power Analysis Pulse Transition Start Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:NEG:OCC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_START_TIME_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_START_TIME_ENABLED,
    "Power Analysis Pulse Transition Start Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:NEG:OCC:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_STOP_TIME =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_STOP_TIME,
    "Power Analysis Pulse Transition Stop Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:POS:OCC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_STOP_TIME_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_STOP_TIME_ENABLED,
    "Power Analysis Pulse Transition Stop Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:POS:OCC:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_RISING_EDGE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_RISING_EDGE,
    "Power Analysis Pulse Transition Overshoot Rising Edge",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:POS:OVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_RISING_EDGE_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_RISING_EDGE_ENABLED,
    "Power Analysis Pulse Transition Overshoot Rising Edge Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:POS:OVER:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_FALLING_EDGE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_FALLING_EDGE,
    "Power Analysis Pulse Transition Overshoot Falling Edge",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:NEG:OVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_FALLING_EDGE_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_FALLING_EDGE_ENABLED,
    "Power Analysis Pulse Transition Overshoot Falling Edge Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:TRAN:NEG:OVER:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MINIMAL =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_MINIMAL,
    "Power Analysis Power Minimal",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MINIMAL_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_MINIMAL_ENABLED,
    "Power Analysis Power Minimal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:MIN:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_PEAK =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_PEAK,
    "Power Analysis Power Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_PEAK_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_PEAK_ENABLED,
    "Power Analysis Power Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:MAX:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_AVERAGE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_AVERAGE,
    "Power Analysis Power Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_POWER_AVERAGE_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_POWER_AVERAGE_ENABLED,
    "Power Analysis Power Average Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:AVER:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_TOP =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_TOP,
    "Power Analysis Pulse Power Top",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:PULS:TOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_TOP_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_TOP_ENABLED,
    "Power Analysis Pulse Power Top Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:PULS:TOP:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_BASE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_BASE,
    "Power Analysis Pulse Power Base",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:PULS:BASE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_BASE_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_BASE_ENABLED,
    "Power Analysis Pulse Power Base Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:PULS:BASE:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_DISTAL =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_DISTAL,
    "Power Analysis Pulse Power Distal",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:HREF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_DISTAL_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_DISTAL_ENABLED,
    "Power Analysis Pulse Power Distal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:HREF:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_MESIAL =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_MESIAL,
    "Power Analysis Pulse Power Mesial",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:REF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_MESIAL_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_MESIAL_ENABLED,
    "Power Analysis Pulse Power Mesial Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:REF:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_PROXIMAL =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_PROXIMAL,
    "Power Analysis Pulse Power Proximal",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:LREF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_PROXIMAL_ENABLED =
  {
    RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_PROXIMAL_ENABLED,
    "Power Analysis Pulse Power Proximal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":TRAC{Trace}:SWE:MEAS:POW:LREF:DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K28",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_MODE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_MODE,
    "Power Analysis Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngPowerAnalysisTriggerMode, NULL, NULL,
    ":SENS{Sense}:SWE:TIME:TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_POWER_ANALYSIS_TRIGGER_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_LEVEL =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_LEVEL,
    "Power Analysis Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisTriggerLevel, NULL,
    ":SENS{Sense}:SWE:TIME:TRIG:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_SLOPE =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_SLOPE,
    "Power Analysis Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSlope, NULL, NULL,
    ":SENS{Sense}:SWE:TIME:TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_HYSTERESIS =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_HYSTERESIS,
    "Power Analysis Trigger Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisTriggerHysteresis, NULL,
    ":SENS{Sense}:SWE:TIME:TRIG:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_DROP_OUT_TIME =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_DROP_OUT_TIME,
    "Power Analysis Trigger Drop Out Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngPowerAnalysisTriggerDropOutTime, NULL,
    ":SENS{Sense}:SWE:TIME:TRIG:DTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    200e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_AUTO_SET =
  {
    RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_AUTO_SET,
    "Power Analysis Trigger Auto Set",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS{Sense}:SWE:TIME:TRIG:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_FILE_NAME =
  {
    RSSMX_ATTR_SCREENSHOT_FILE_NAME,
    "Screenshot File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_EXECUTE =
  {
    RSSMX_ATTR_SCREENSHOT_EXECUTE,
    "Screenshot Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_DEVICE =
  {
    RSSMX_ATTR_SCREENSHOT_DEVICE,
    "Screenshot Device",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngScreenshotDevice, NULL, NULL,
    ":SENS:SWE:HCOP:DEV",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SCREENSHOT_DEVICE_FILE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_SIZE =
  {
    RSSMX_ATTR_SCREENSHOT_SIZE,
    "Screenshot Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngScreenshotSize, NULL, NULL,
    ":SENS:SWE:HCOP:DEV:SIZE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SCREENSHOT_SIZE_320_240,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_FORMAT =
  {
    RSSMX_ATTR_SCREENSHOT_FORMAT,
    "Screenshot Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngScreenshotFormat, NULL, NULL,
    ":SENS:SWE:HCOP:DEV:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SCREENSHOT_FORMAT_BMP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_CSV_HEADER_ENABLED =
  {
    RSSMX_ATTR_SCREENSHOT_CSV_HEADER_ENABLED,
    "Screenshot CSV Header Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngScreenshotCSVHeaderEnabled, NULL, NULL,
    ":SENS:SWE:HCOP:DEV:LANG:CSV:HEAD",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_CSV_HEADER_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_CSV_ORIENTATION =
  {
    RSSMX_ATTR_SCREENSHOT_CSV_ORIENTATION,
    "Screenshot CSV Orientation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngScreenshotCSVOrientation, NULL, NULL,
    ":SENS:SWE:HCOP:DEV:LANG:CSV:ORI",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_CSV_ORIENTATION_VERTICAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_CSV_COLUMN_SEPARATOR =
  {
    RSSMX_ATTR_SCREENSHOT_CSV_COLUMN_SEPARATOR,
    "Screenshot CSV Column Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngScreenshotCSVColumnSeparator, NULL, NULL,
    ":SENS:SWE:HCOP:DEV:LANG:CSV:SEP",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_CSV_COL_SEPARATOR_COMMA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_CSV_DECIMAL_SEPARATOR =
  {
    RSSMX_ATTR_SCREENSHOT_CSV_DECIMAL_SEPARATOR,
    "Screenshot CSV Decimal Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngScreenshotCSVDecimalSeparator, NULL, NULL,
    ":SENS:SWE:HCOP:DEV:LANG:CSV:DPO",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_CSV_DEC_SEPARATOR_DOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_ENABLED =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_ENABLED,
    "Screenshot Automatic Naming Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DIRECTORY =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DIRECTORY,
    "Screenshot Automatic Naming Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:DIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/usb/sda1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_CLEAR_DIRECTORY =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_CLEAR_DIRECTORY,
    "Screenshot Automatic Naming Clear Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:DIR:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_PREFIX_ENABLED =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_PREFIX_ENABLED,
    "Screenshot Automatic Naming Prefix Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:PREF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_PREFIX =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_PREFIX,
    "Screenshot Automatic Naming Prefix",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:PREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "smab",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_YEAR_ENABLED =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_YEAR_ENABLED,
    "Screenshot Automatic Naming Year Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:YEAR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_YEAR =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_YEAR,
    "Screenshot Automatic Naming Year",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:YEAR?",
    // Defaults I32, I64, Float, Bool, String
    2019,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_MONTH_ENABLED =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_MONTH_ENABLED,
    "Screenshot Automatic Naming Month Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:MONT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_MONTH =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_MONTH,
    "Screenshot Automatic Naming Month",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:MONT?",
    // Defaults I32, I64, Float, Bool, String
    6,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DAY_ENABLED =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DAY_ENABLED,
    "Screenshot Automatic Naming Day Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:DAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DAY =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DAY,
    "Screenshot Automatic Naming Day",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:DAY?",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_NUMBER =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_NUMBER,
    "Screenshot Automatic Naming Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:NUMB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_FILE_NAME =
  {
    RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_FILE_NAME,
    "Screenshot Automatic Naming File Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SENS:SWE:HCOP:FILE:AUTO:FILE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_ALL =
  {
    RSSMX_ATTR_CALIBRATION_ALL,
    "Calibration All",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SAVE_IMMEDIATE =
  {
    RSSMX_ATTR_SAVE_IMMEDIATE,
    "Save Immediate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*SAV",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RECALL_IMMEDIATE =
  {
    RSSMX_ATTR_RECALL_IMMEDIATE,
    "Recall Immediate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*RCL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_DATE =
  {
    RSSMX_ATTR_CALIBRATION_DATE,
    "Calibration Last Factory Calibration Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL:DATA:FACT:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2016-01-01",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_INTERNAL_REFERENCE_FREQUENCY =
  {
    RSSMX_ATTR_CALIBRATION_INTERNAL_REFERENCE_FREQUENCY,
    "Calibration Internal Reference Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":CAL:ROSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_CONTINUE_ON_ERROR =
  {
    RSSMX_ATTR_CALIBRATION_CONTINUE_ON_ERROR,
    "Calibration Continue On Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CAL:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_CLOCK_SYNTHESIS =
  {
    RSSMX_ATTR_CALIBRATION_CLOCK_SYNTHESIS,
    "Calibration Clock Synthesis",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CAL:CSYN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_LEVEL_BANDWIDTH =
  {
    RSSMX_ATTR_CALIBRATION_LEVEL_BANDWIDTH,
    "Calibration Level Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngCalibrationLevelBandwidth, NULL, NULL,
    ":CAL:LEV:BWID",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_CAL_BWIDTH_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_INTERNAL_MODULATION_GENERATOR =
  {
    RSSMX_ATTR_CALIBRATION_INTERNAL_MODULATION_GENERATOR,
    "Calibration Internal Modulation Generator",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CAL:LFO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT =
  {
    RSSMX_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT,
    "Calibration Last Full Adjustment",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL:ALL:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2016",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT =
  {
    RSSMX_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT,
    "Calibration Temperature Offset To Last Full Adjustment",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL:ALL:TEMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0 K",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_LOGGING =
  {
    RSSMX_ATTR_CALIBRATION_LOGGING,
    "Calibration Logging",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CAL:DEB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_FM_OFFSET =
  {
    RSSMX_ATTR_CALIBRATION_FM_OFFSET,
    "Calibration FM Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:FMOF:MEAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_FREQUENCY =
  {
    RSSMX_ATTR_CALIBRATION_FREQUENCY,
    "Calibration Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:FREQ:MEAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_LEVEL_CALIBRATION_DATA =
  {
    RSSMX_ATTR_CALIBRATION_LEVEL_CALIBRATION_DATA,
    "Calibration Level Calibration Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngCalibrationLevelCalibrationData, NULL, NULL,
    ":CAL:LEV:EXT:DATA",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_LEVEL_CAL_FACTORY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_LEVEL_ENABLED =
  {
    RSSMX_ATTR_CALIBRATION_LEVEL_ENABLED,
    "Calibration Level Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CAL:LEV:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_LEVEL =
  {
    RSSMX_ATTR_CALIBRATION_LEVEL,
    "Calibration Level",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:LEV:MEAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_INFORMATION =
  {
    RSSMX_ATTR_CALIBRATION_INFORMATION,
    "Calibration Information",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL:ALL:INF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Instrument is calibrated, no adjustment required",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CALIBRATION_TIME_SINCE_LAST_FULL_ADJUSTMENT =
  {
    RSSMX_ATTR_CALIBRATION_TIME_SINCE_LAST_FULL_ADJUSTMENT,
    "Calibration Time Since Last Full Adjustment",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL:ALL:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "22 days",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_EXECUTE =
  {
    RSSMX_ATTR_HARD_COPY_EXECUTE,
    "Hard Copy Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_GRAPHIC_FORMAT =
  {
    RSSMX_ATTR_HARD_COPY_GRAPHIC_FORMAT,
    "Hard Copy Graphic Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngHardCopyLanguage, NULL, NULL,
    "HCOP:DEV:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_HCOPY_LANG_BMP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_REGION =
  {
    RSSMX_ATTR_HARD_COPY_REGION,
    "Hard Copy Region",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngHardCopyRegion, NULL, NULL,
    ":HCOP:REG",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_HCOPY_SNAPSHOT_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_FILE_NAME =
  {
    RSSMX_ATTR_HARD_COPY_FILE_NAME,
    "Hard Copy File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile/hcopy",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_GENERATED_AUTO_FILE_NAME =
  {
    RSSMX_ATTR_HARD_COPY_GENERATED_AUTO_FILE_NAME,
    "Hard Copy Generated Auto File Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":HCOP:FILE:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "string",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY =
  {
    RSSMX_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY,
    "Hard Copy Auto File Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:DIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "HCopy",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_CLEAR_HARD_COPY_FILE =
  {
    RSSMX_ATTR_CLEAR_HARD_COPY_FILE,
    "Clear Hard Copy File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:DIR:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_AUTO_FILE_NAME =
  {
    RSSMX_ATTR_HARD_COPY_AUTO_FILE_NAME,
    "Hard Copy Auto File Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:FILE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SMAB20171114000.png",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_AUTO_NAMING_ENABLED =
  {
    RSSMX_ATTR_HARD_COPY_AUTO_NAMING_ENABLED,
    "Hard Copy Auto Naming Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_DAY_TO_FILE_NAME =
  {
    RSSMX_ATTR_HARD_COPY_DAY_TO_FILE_NAME,
    "Hard Copy Day To File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:DAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_MONTH_TO_FILE_NAME =
  {
    RSSMX_ATTR_HARD_COPY_MONTH_TO_FILE_NAME,
    "Hard Copy Month To File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:MONT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_YEAR_TO_FILE_NAME =
  {
    RSSMX_ATTR_HARD_COPY_YEAR_TO_FILE_NAME,
    "Hard Copy Year To File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:YEAR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_CURRENT_NUMBER =
  {
    RSSMX_ATTR_HARD_COPY_CURRENT_NUMBER,
    "Hard Copy Current Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:NUMB?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED =
  {
    RSSMX_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED,
    "Hard Copy Auto Prefix Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:PREF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_HARD_COPY_FILE_NAME_PREFIX =
  {
    RSSMX_ATTR_HARD_COPY_FILE_NAME_PREFIX,
    "Hard Copy File Name Prefix",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:PREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "HCopy",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_START_SELFTEST =
  {
    RSSMX_ATTR_START_SELFTEST,
    "Start Selftest",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":TEST:ALL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SELFTEST_RESULT =
  {
    RSSMX_ATTR_SELFTEST_RESULT,
    "Selftest Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSmx_rngSelftestResult, NULL, NULL,
    ":TEST:ALL:RES?",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SELFTEST_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_KEYBOARD_LAYOUT =
  {
    RSSMX_ATTR_KEYBOARD_LAYOUT,
    "Keyboard Layout",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSmx_rngKeyboardLayout, NULL, NULL,
    "KBO:LAY?",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SYSTEM_KEYBOARD_ENG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_BRIGHTNESS =
  {
    RSSMX_ATTR_DISPLAY_BRIGHTNESS,
    "Display Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSmx_rngDisplayBrightness, NULL,
    ":DISP:BRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_BUTTON_BRIGHTNESS =
  {
    RSSMX_ATTR_DISPLAY_BUTTON_BRIGHTNESS,
    "Display Button Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSmx_rngDisplayButtonBrightness, NULL,
    ":DISP:BUTT:BRIG",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_UPDATE =
  {
    RSSMX_ATTR_DISPLAY_UPDATE,
    "Display Update",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_ANNOTATION_AMPLITUDE =
  {
    RSSMX_ATTR_DISPLAY_ANNOTATION_AMPLITUDE,
    "Display Annotation Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:ANN:AMPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_ANNOTATION_FREQUENCY =
  {
    RSSMX_ATTR_DISPLAY_ANNOTATION_FREQUENCY,
    "Display Annotation Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:ANN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_ANNOTATION_ALL =
  {
    RSSMX_ATTR_DISPLAY_ANNOTATION_ALL,
    "Display Annotation All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_DIALOG_ID =
  {
    RSSMX_ATTR_DISPLAY_DIALOG_ID,
    "Display Dialog ID",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":DISP:DIAL:ID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dialogID",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_DIALOG_OPEN =
  {
    RSSMX_ATTR_DISPLAY_DIALOG_OPEN,
    "Display Dialog Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":DISP:DIAL:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dialogID",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_DIALOG_CLOSE =
  {
    RSSMX_ATTR_DISPLAY_DIALOG_CLOSE,
    "Display Dialog Close",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":DISP:DIAL:CLOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dialogID",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_DIALOG_CLOSE_ALL =
  {
    RSSMX_ATTR_DISPLAY_DIALOG_CLOSE_ALL,
    "Display Dialog Close All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":DISP:DIAL:CLOS:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_POWER_SAVE_ENABLED =
  {
    RSSMX_ATTR_DISPLAY_POWER_SAVE_ENABLED,
    "Display Power Save Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PSAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_DISPLAY_POWER_SAVE_HOLDOFF =
  {
    RSSMX_ATTR_DISPLAY_POWER_SAVE_HOLDOFF,
    "Display Power Save Holdoff",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:PSAV:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_MMEMORY_CHANGE_DIRECTORY =
  {
    RSSMX_ATTR_MMEMORY_CHANGE_DIRECTORY,
    "MMEMory Change Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/volatile",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_MMEMORY_DELETE =
  {
    RSSMX_ATTR_MMEMORY_DELETE,
    "MMEMory Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file.txt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_MMEMORY_MAKE_DIRECTORY =
  {
    RSSMX_ATTR_MMEMORY_MAKE_DIRECTORY,
    "MMEMory Make Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "New_Folder",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_MMEMORY_DRIVE =
  {
    RSSMX_ATTR_MMEMORY_DRIVE,
    "MMEMory Drive",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MSIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_MMEMORY_REMOVE_DIRECTORY =
  {
    RSSMX_ATTR_MMEMORY_REMOVE_DIRECTORY,
    "MMEMory Remove Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "New_Folder",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_USER_INTERFACE_LOCK =
  {
    RSSMX_ATTR_SYSTEM_USER_INTERFACE_LOCK,
    "System User Interface Lock",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSystemUserInterfaceLock, NULL, NULL,
    ":SYST:ULOC",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_LOC_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_DISPLAY_LOCK_ENABLED =
  {
    RSSMX_ATTR_SYSTEM_DISPLAY_LOCK_ENABLED,
    "System Display Lock Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SYST:DLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_KEYBOARD_LOCK =
  {
    RSSMX_ATTR_SYSTEM_KEYBOARD_LOCK,
    "System Keyboard Lock",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:KLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_GPIB_RESOURCE =
  {
    RSSMX_ATTR_SYSTEM_GPIB_RESOURCE,
    "System GPIB Resource",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:GPIB:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "resource",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_REBOOT =
  {
    RSSMX_ATTR_SYSTEM_REBOOT,
    "System Reboot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:REB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_RESTART =
  {
    RSSMX_ATTR_SYSTEM_RESTART,
    "System Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_SHUTDOWN =
  {
    RSSMX_ATTR_SYSTEM_SHUTDOWN,
    "System Shutdown",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:SHUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_BEEPER =
  {
    RSSMX_ATTR_SYSTEM_BEEPER,
    "System Beeper",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_USB_RESOURCE =
  {
    RSSMX_ATTR_SYSTEM_USB_RESOURCE,
    "System USB Resource",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:USB:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "resource",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_HISLIP_RESOURCE =
  {
    RSSMX_ATTR_SYSTEM_HISLIP_RESOURCE,
    "System HiSLIP Resource",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:COMM:HISL:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "string",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_RESOURCE =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_RESOURCE,
    "System Network Resource",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "resource",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_SOCKET_RESOURCE =
  {
    RSSMX_ATTR_SYSTEM_SOCKET_RESOURCE,
    "System Socket Resource",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:COMM:SOCK:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "resource",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_SERIAL_RESOURCE =
  {
    RSSMX_ATTR_SYSTEM_SERIAL_RESOURCE,
    "System Serial Resource",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SER:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "resource",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_SERIAL_BAUD =
  {
    RSSMX_ATTR_SYSTEM_SERIAL_BAUD,
    "System Serial Baud",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsSmx_rngSystemSerialBaud,
    ":SYST:COMM:SER:BAUD",
    // Defaults I32, I64, Float, Bool, String
    115200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_SERIAL_PARITY =
  {
    RSSMX_ATTR_SYSTEM_SERIAL_PARITY,
    "System Serial Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSystemSerialParity, NULL, NULL,
    ":SYST:COMM:SER:PAR",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SERIAL_PARITY_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_SERIAL_STOP_BITS =
  {
    RSSMX_ATTR_SYSTEM_SERIAL_STOP_BITS,
    "System Serial Stop Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsSmx_rngSystemSerialStopBits,
    ":SYST:COMM:SER:SBIT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_EXPORT_HELP =
  {
    RSSMX_ATTR_SYSTEM_EXPORT_HELP,
    "System Export Help",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:HELP:EXP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_SCPI_INFORMATION =
  {
    RSSMX_ATTR_SYSTEM_SCPI_INFORMATION,
    "System SCPI Information",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:INF:SCPI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "information",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_OPTION_USER_DEFINED =
  {
    RSSMX_ATTR_SYSTEM_OPTION_USER_DEFINED,
    "System Option User Defined",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ORES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "option",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_ALL_DATA_SHEETS =
  {
    RSSMX_ATTR_SYSTEM_ALL_DATA_SHEETS,
    "System All Data Sheets",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SPEC:VERS:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION =
  {
    RSSMX_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION,
    "System Data Sheet Factory Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SPEC:VERS:FACT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_DATA_SHEET_VERSION =
  {
    RSSMX_ATTR_SYSTEM_DATA_SHEET_VERSION,
    "System Data Sheet Version",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SPEC:VERS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_DATA_SHEET_IDS =
  {
    RSSMX_ATTR_SYSTEM_DATA_SHEET_IDS,
    "System Data Sheet IDs",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SPEC:IDEN:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_STARTUP_COMPLETE =
  {
    RSSMX_ATTR_SYSTEM_STARTUP_COMPLETE,
    "System Startup Complete",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:STAR:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_DATE =
  {
    RSSMX_ATTR_SYSTEM_DATE,
    "System Date",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:DATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2015,6,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_TIME_ZONE_CATALOG =
  {
    RSSMX_ATTR_SYSTEM_TIME_ZONE_CATALOG,
    "System Time Zone Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:TIME:ZONE:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_TIME_ZONE =
  {
    RSSMX_ATTR_SYSTEM_TIME_ZONE,
    "System Time Zone",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:TIME:ZONE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "UTC",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_UPTIME =
  {
    RSSMX_ATTR_SYSTEM_UPTIME,
    "System Uptime",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:UPT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.12:34:56",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_BIOS_VERSION =
  {
    RSSMX_ATTR_SYSTEM_BIOS_VERSION,
    "System BIOS Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:BIOS:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_VERSION =
  {
    RSSMX_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_OS_VERSION =
  {
    RSSMX_ATTR_SYSTEM_OS_VERSION,
    "System OS Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:OSYS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Linux",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_USER_DIRECTORY =
  {
    RSSMX_ATTR_SYSTEM_USER_DIRECTORY,
    "System User Directory",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:MMEM:PATH:USER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_WAIT =
  {
    RSSMX_ATTR_SYSTEM_WAIT,
    "System Wait",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SYST:WAIT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_DELETE_TEMPORARY_FILES =
  {
    RSSMX_ATTR_SYSTEM_DELETE_TEMPORARY_FILES,
    "System Delete Temporary Files",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:FIL:TEMP:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NTP_ENABLED =
  {
    RSSMX_ATTR_SYSTEM_NTP_ENABLED,
    "System NTP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SYST:NTP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NTP_ADDRESS =
  {
    RSSMX_ATTR_SYSTEM_NTP_ADDRESS,
    "System NTP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:NTP:HOST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "string",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_RESTART =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_RESTART,
    "System Network Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:COMM:NETW:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_ENABLED =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_ENABLED,
    "System Network Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SYST:COMM:NETW:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_DOMAIN =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_DOMAIN,
    "System Network Domain",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:DOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "local",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_MAC_ADDRESS =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_MAC_ADDRESS,
    "System Network Mac Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:MAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "address",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_HOSTNAME =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_HOSTNAME,
    "System Network Hostname",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:COMM:NETW:HOST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "hostname",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_WORKGROUP =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_WORKGROUP,
    "System Network Workgroup",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:WORK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "workgroup",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS,
    "System Network IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:IPAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.0.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE,
    "System Network IP Address Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngSystemIPAddressMode, NULL, NULL,
    "SYST:COMM:NETW:IPAD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_SYSTEM_COMMUNICATE_IP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK,
    "System Network IP Address Subnet Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:SUBN:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY,
    "System Network IP Address Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:GAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.0.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_NETWORK_DNS_SERVER =
  {
    RSSMX_ATTR_SYSTEM_NETWORK_DNS_SERVER,
    "System Network DNS Server",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:COMM:NETW:IPAD:DNS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.5.14",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_ALL =
  {
    RSSMX_ATTR_SYSTEM_ERROR_QUEUE_ALL,
    "System Error Queue All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL =
  {
    RSSMX_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL,
    "System Error Queue Code All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:CODE:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT =
  {
    RSSMX_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT,
    "System Error Queue Code Next",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ERR:CODE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_COUNT =
  {
    RSSMX_ATTR_SYSTEM_ERROR_QUEUE_COUNT,
    "System Error Queue Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ERR:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_ERROR =
  {
    RSSMX_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_ERROR_HISTORY =
  {
    RSSMX_ATTR_SYSTEM_ERROR_HISTORY,
    "System Error History",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:ERR:HIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "History",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_CLEAR_HISTORY =
  {
    RSSMX_ATTR_SYSTEM_CLEAR_HISTORY,
    "System Clear History",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:ERR:HIST:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_STATIC_ERRORS =
  {
    RSSMX_ATTR_SYSTEM_STATIC_ERRORS,
    "System Static Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:ERR:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_SYSTEM_ERROR_OLDEST =
  {
    RSSMX_ATTR_SYSTEM_ERROR_OLDEST,
    "System Error Oldest",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:NINF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "No error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_STATUS_PRESET =
  {
    RSSMX_ATTR_STATUS_PRESET,
    "Status Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_UNIT_ANGLE =
  {
    RSSMX_ATTR_UNIT_ANGLE,
    "Unit Angle",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngUnitAngle, NULL, NULL,
    "UNIT:ANGL",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_UNIT_ANGLE_RAD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_UNIT_POWER =
  {
    RSSMX_ATTR_UNIT_POWER,
    "Unit Power",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSmx_rngUnitPower, NULL, NULL,
    "UNIT:POW",
    // Defaults I32, I64, Float, Bool, String
    RSSMX_VAL_UNIT_POWER_V,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_ID_QUERY_RESPONSE =
  {
    RSSMX_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,SMA100B,123456/789,1.23",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PRESET_DEVICE =
  {
    RSSMX_ATTR_PRESET_DEVICE,
    "Preset Device",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DEV:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_RESET_SIGNAL_PATH =
  {
    RSSMX_ATTR_RESET_SIGNAL_PATH,
    "Reset Signal Path",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_FACTORY_PRESET =
  {
    RSSMX_ATTR_FACTORY_PRESET,
    "Factory Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:FPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSSMX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMX_ATTR_INIT_SW_TRIGGER =
  {
    RSSMX_ATTR_INIT_SW_TRIGGER,
    "Init Software Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rssmx_RsCoreAttributeListLength = 742;

RsCoreAttributePtr rssmx_RsCoreAttributeList[742] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSSMX_ATTR_ALL_RF_OUTPUTS_ENABLED,
    &g_RSSMX_ATTR_OUTPUT_ENABLED,
    &g_RSSMX_ATTR_OUTPUT_IMPEDANCE,
    &g_RSSMX_ATTR_POWER_ON_ENABLED,
    &g_RSSMX_ATTR_RF_LEVEL_ON_RECALL,
    &g_RSSMX_ATTR_RF_FREQUENCY,
    &g_RSSMX_ATTR_RF_FREQUENCY_MODE,
    &g_RSSMX_ATTR_RF_FREQUENCY_ON_RECALL,
    &g_RSSMX_ATTR_RF_FREQUENCY_MAIN_PLL_BANDWIDTH,
    &g_RSSMX_ATTR_RF_FREQUENCY_OFFSET,
    &g_RSSMX_ATTR_RF_FREQUENCY_MULTIPLIER,
    &g_RSSMX_ATTR_RF_FREQUENCY_VARIATION_ACTIVE,
    &g_RSSMX_ATTR_RF_FREQUENCY_VARIATION_STEP,
    &g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_ENABLED,
    &g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MODE,
    &g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MAX,
    &g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MIN,
    &g_RSSMX_ATTR_RF_AMPLITUDE,
    &g_RSSMX_ATTR_RF_POWER_MODE,
    &g_RSSMX_ATTR_RF_LEVEL_LIMIT,
    &g_RSSMX_ATTR_RF_LEVEL_OFFSET,
    &g_RSSMX_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS,
    &g_RSSMX_ATTR_RF_LEVEL_POWER,
    &g_RSSMX_ATTR_RF_LEVEL_MODE,
    &g_RSSMX_ATTR_RF_LEVEL_HARMONIC_FILTER,
    &g_RSSMX_ATTR_RF_LEVEL_LOWER_RANGE,
    &g_RSSMX_ATTR_RF_LEVEL_UPPER_RANGE,
    &g_RSSMX_ATTR_RF_LEVEL_RANGE_MIN,
    &g_RSSMX_ATTR_RF_LEVEL_RANGE_MAX,
    &g_RSSMX_ATTR_RF_LEVEL_IGNORE_WARNINGS,
    &g_RSSMX_ATTR_RF_LEVEL_VARIATION_ACTIVE,
    &g_RSSMX_ATTR_RF_LEVEL_VARIATION_STEP,
    &g_RSSMX_ATTR_RF_LEVEL_DISPLAY_AS_VOLTAGE_OF_EMF,
    &g_RSSMX_ATTR_RF_ATTENUATOR_MODE,
    &g_RSSMX_ATTR_RF_ATTENUATOR_LOWER_RANGE,
    &g_RSSMX_ATTR_RF_ATTENUATOR_UPPER_RANGE,
    &g_RSSMX_ATTR_RF_ATTENUATOR_RF_OFF_MODE,
    &g_RSSMX_ATTR_OVERVOLTAGE_PROTECTION_CLEAR,
    &g_RSSMX_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED,
    &g_RSSMX_ATTR_ALC_ENABLED,
    &g_RSSMX_ATTR_ALC_MODE,
    &g_RSSMX_ATTR_ALC_READJUST,
    &g_RSSMX_ATTR_ALC_DETECTOR_SENSITIVITY,
    &g_RSSMX_ATTR_ALC_RECALCULATE,
    &g_RSSMX_ATTR_ALC_LEVEL_CONTROL_MODE,
    &g_RSSMX_ATTR_ALC_EXTERNAL_DETECTOR_COUPLING_FACTOR,
    &g_RSSMX_ATTR_ALC_EXTERNAL_DETECTOR_REQUIRED_GENERATOR_LEVEL,
    &g_RSSMX_ATTR_RF_DELTA_PHASE,
    &g_RSSMX_ATTR_RESET_RF_DELTA_PHASE_DISPLAY,
    &g_RSSMX_ATTR_ALL_MODULATIONS_ENABLED,
    &g_RSSMX_ATTR_AM_MODE,
    &g_RSSMX_ATTR_AM_TYPE,
    &g_RSSMX_ATTR_AM_EXTERNAL_COUPLING,
    &g_RSSMX_ATTR_AM_SENSITIVITY,
    &g_RSSMX_ATTR_AM_DEVIATION_RATIO,
    &g_RSSMX_ATTR_AM_DEVIATION_MODE,
    &g_RSSMX_ATTR_AM_DEPTH_TOTAL,
    &g_RSSMX_ATTR_AM_ENABLED,
    &g_RSSMX_ATTR_AM_SOURCE,
    &g_RSSMX_ATTR_AM_DEPTH,
    &g_RSSMX_ATTR_AM_DEPTH_LINEAR,
    &g_RSSMX_ATTR_AM_DEPTH_EXPONENTIAL,
    &g_RSSMX_ATTR_AM_SENSITIVITY_EXPONENTIAL,
    &g_RSSMX_ATTR_AM_SENSITIVITY_LINEAR,
    &g_RSSMX_ATTR_FM_MODE,
    &g_RSSMX_ATTR_FM_DEVIATION_MODE,
    &g_RSSMX_ATTR_FM_DEVIATION_TOTAL,
    &g_RSSMX_ATTR_FM_SENSITIVITY,
    &g_RSSMX_ATTR_FM_RATIO,
    &g_RSSMX_ATTR_FM_ENABLED,
    &g_RSSMX_ATTR_FM_SOURCE,
    &g_RSSMX_ATTR_FM_DEVIATION,
    &g_RSSMX_ATTR_PM_MODE,
    &g_RSSMX_ATTR_PM_SENSITIVITY,
    &g_RSSMX_ATTR_PM_RATIO,
    &g_RSSMX_ATTR_PM_DEVIATION_MODE,
    &g_RSSMX_ATTR_PM_DEVIATION_TOTAL,
    &g_RSSMX_ATTR_PM_ENABLED,
    &g_RSSMX_ATTR_PM_SOURCE,
    &g_RSSMX_ATTR_PM_DEVIATION,
    &g_RSSMX_ATTR_PULM_ENABLED,
    &g_RSSMX_ATTR_PULM_SOURCE,
    &g_RSSMX_ATTR_PULM_TRANSITION_TYPE,
    &g_RSSMX_ATTR_PULM_VIDEO_POLARITY,
    &g_RSSMX_ATTR_PULM_POLARITY,
    &g_RSSMX_ATTR_PULM_IMPEDANCE,
    &g_RSSMX_ATTR_PULM_THRESHOLD,
    &g_RSSMX_ATTR_PGEN_ENABLED,
    &g_RSSMX_ATTR_PGEN_MODE,
    &g_RSSMX_ATTR_PGEN_MODE_DOUBLE,
    &g_RSSMX_ATTR_PGEN_TRIGGER_MODE,
    &g_RSSMX_ATTR_TRIGGER_PULSE_GENERATOR,
    &g_RSSMX_ATTR_PGEN_PERIOD,
    &g_RSSMX_ATTR_PGEN_WIDTH,
    &g_RSSMX_ATTR_PGEN_DOUBLE_DELAY,
    &g_RSSMX_ATTR_PGEN_DOUBLE_WIDTH,
    &g_RSSMX_ATTR_PGEN_DELAY,
    &g_RSSMX_ATTR_PGEN_OUTPUT,
    &g_RSSMX_ATTR_PGEN_OUTPUT_POLARITY,
    &g_RSSMX_ATTR_PULM_TRAIN_DELETE,
    &g_RSSMX_ATTR_PULM_TRAIN_SELECT,
    &g_RSSMX_ATTR_PULM_TRAIN_OFF_TIME_POINTS,
    &g_RSSMX_ATTR_PULM_TRAIN_ON_TIME_POINTS,
    &g_RSSMX_ATTR_PULM_TRAIN_REPETITION_POINTS,
    &g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_IMPORT_EXPORT,
    &g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_FILE,
    &g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_FILE,
    &g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_EXTENSION,
    &g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_COLUMN_SEPARATOR,
    &g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_DECIMAL_SEPARATOR,
    &g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_EXECUTE,
    &g_RSSMX_ATTR_LF_OUTPUT_ENABLED,
    &g_RSSMX_ATTR_LF_OUTPUT_SOURCE,
    &g_RSSMX_ATTR_LF_OUTPUT_SOURCE_PATH,
    &g_RSSMX_ATTR_LF_OUTPUT_VOLTAGE,
    &g_RSSMX_ATTR_LF_OUTPUT_DC_OFFSET,
    &g_RSSMX_ATTR_LF_OUTPUT_EXTERNAL_LF_BANDWIDTH,
    &g_RSSMX_ATTR_LF_GENERATOR_INTERNAL_VOLTAGE,
    &g_RSSMX_ATTR_LF_GENERATOR_FREQUENCY,
    &g_RSSMX_ATTR_LF_GENERATOR_REPETITION_FREQUENCY,
    &g_RSSMX_ATTR_LF_GENERATOR_SHAPE,
    &g_RSSMX_ATTR_LF_GENERATOR_PULSE_PERIOD,
    &g_RSSMX_ATTR_LF_GENERATOR_PULSE_WIDTH,
    &g_RSSMX_ATTR_LF_GENERATOR_PULSE_DUTY_CYCLE,
    &g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_PERIOD,
    &g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_RISE,
    &g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_FALL,
    &g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_HIGH,
    &g_RSSMX_ATTR_LF_GENERATOR_TRIANGLE_PERIOD,
    &g_RSSMX_ATTR_LF_GENERATOR_TRIANGLE_RISE,
    &g_RSSMX_ATTR_EXTERNAL_INPUT_COUPLING_MODE,
    &g_RSSMX_ATTR_EXTERNAL_INPUT_IMPEDANCE,
    &g_RSSMX_ATTR_NOISE_DISTRIBUTION,
    &g_RSSMX_ATTR_NOISE_BANDWIDTH,
    &g_RSSMX_ATTR_NOISE_BANDWIDTH_STATE,
    &g_RSSMX_ATTR_RF_NOISE_DENSITY,
    &g_RSSMX_ATTR_NOISE_LEVEL,
    &g_RSSMX_ATTR_CHIRP_MODULATION_STATE,
    &g_RSSMX_ATTR_CHIRP_MODULATION_BANDWIDTH,
    &g_RSSMX_ATTR_CHIRP_MODULATION_COMPRESSION_RATIO,
    &g_RSSMX_ATTR_CHIRP_MODULATION_DIRECTION,
    &g_RSSMX_ATTR_CHIRP_MODULATION_PULSE_PERIOD,
    &g_RSSMX_ATTR_CHIRP_MODULATION_PULSE_WIDTH,
    &g_RSSMX_ATTR_CHIRP_MODULATION_TRIGGER_MODE,
    &g_RSSMX_ATTR_CHIRP_MODULATION_EXECUTE_SINGLE_TRIGGER,
    &g_RSSMX_ATTR_SWEEP_TYPE,
    &g_RSSMX_ATTR_LF_MODE,
    &g_RSSMX_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS,
    &g_RSSMX_ATTR_TRIGGER_INPUT_SLOPE,
    &g_RSSMX_ATTR_RESET_ALL_SWEEPS,
    &g_RSSMX_ATTR_TRIGGER_ALL_SWEEPS,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STATUS,
    &g_RSSMX_ATTR_HIDDEN_RF_FREQUENCY_SWEEP_BLANK_POINTS,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_MODE,
    &g_RSSMX_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_RETRACE,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_MANUAL_STEP,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SHAPE,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_TIME,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_DWELL_TIME,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_EXECUTE,
    &g_RSSMX_ATTR_TRIGGER_RF_FREQUENCY_SWEEP,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_START_FREQUENCY,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STOP_FREQUENCY,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_CENTER_FREQUENCY,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SPAN,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_POINTS,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SPACING,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STEP_LIN,
    &g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STEP_LOG,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STATUS,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_MODE,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_TRIGGER_SOURCE,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_RETRACE,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_MANUAL_STEP,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_SHAPE,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_DWELL_TIME,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_EXECUTE,
    &g_RSSMX_ATTR_TRIGGER_LF_FREQUENCY_SWEEP,
    &g_RSSMX_ATTR_TRIGGER_LF_FREQUENCY_SWEEP_AUTO,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_START_FREQUENCY,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STOP_FREQUENCY,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_POINTS,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_SPACING,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STEP_LIN,
    &g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STEP_LOG,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_STATUS,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_MODE,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_TRIGGER_SOURCE,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_RETRACE,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_MANUAL_STEP,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_SHAPE,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_DWELL_TIME,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_EXECUTE,
    &g_RSSMX_ATTR_TRIGGER_RF_LEVEL_SWEEP,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_START_LEVEL,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_STOP_LEVEL,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_POINTS,
    &g_RSSMX_ATTR_RF_LEVEL_SWEEP_STEP,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_EXECUTE_SINGLE_SWEEP,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_MODE,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_TRIGGER_SOURCE,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_RETRACE,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_SHAPE,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_DWELL_TIME,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_FREQUENCY_START,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_FREQUENCY_STOP,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_POWER_START,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_POWER_STOP,
    &g_RSSMX_ATTR_RF_COMBINED_SWEEP_STEP_COUNT,
    &g_RSSMX_ATTR_SWEEP_MODE_OUTPUT_VOLTAGE_MODE,
    &g_RSSMX_ATTR_SWEEP_MODE_OUTPUT_MARKER_MODE,
    &g_RSSMX_ATTR_SWEEP_MARKER_POLARITY,
    &g_RSSMX_ATTR_SWEEP_ACTIVE_MARKER,
    &g_RSSMX_ATTR_SWEEP_MARKER_ENABLED,
    &g_RSSMX_ATTR_SWEEP_MARKER_FREQUENCY,
    &g_RSSMX_ATTR_LIST_STATUS,
    &g_RSSMX_ATTR_LIST_INDEX,
    &g_RSSMX_ATTR_LIST_MODE,
    &g_RSSMX_ATTR_LIST_TRIGGER_SOURCE,
    &g_RSSMX_ATTR_LIST_TRIGGER_EXECUTE,
    &g_RSSMX_ATTR_LIST_DWELL_TIME_MODE,
    &g_RSSMX_ATTR_LIST_DWELL_TIME,
    &g_RSSMX_ATTR_LIST_DWELL_TIME_POINTS,
    &g_RSSMX_ATTR_LIST_RUN_MODE,
    &g_RSSMX_ATTR_LIST_DELETE_LIST,
    &g_RSSMX_ATTR_LIST_DELETE_ALL,
    &g_RSSMX_ATTR_LIST_FREE_MEMORY,
    &g_RSSMX_ATTR_LIST_RESET_LIST,
    &g_RSSMX_ATTR_LIST_SELECT_LIST,
    &g_RSSMX_ATTR_LIST_START_INDEX,
    &g_RSSMX_ATTR_LIST_STOP_INDEX,
    &g_RSSMX_ATTR_LIST_FREQUENCY_POINTS,
    &g_RSSMX_ATTR_LIST_LEVEL_POINTS,
    &g_RSSMX_ATTR_LIST_IMPORT_EXPORT,
    &g_RSSMX_ATTR_LIST_IMPORT_EXPORT_FILE,
    &g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE,
    &g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION,
    &g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR,
    &g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_DECIMAL_SEPARATOR,
    &g_RSSMX_ATTR_LIST_IMPORT_EXPORT_EXECUTE,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_ENABLED,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_TABLE,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_SENSOR_ZEROING,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_VALUE,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_DELETE,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_FILE,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_ASCII_FILE,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_EXTENSION,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_COLUMN_SEPARATOR,
    &g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_DECIMAL_SEPARATOR,
    &g_RSSMX_ATTR_CORRECTION_EXECUTE,
    &g_RSSMX_ATTR_VOR_ENABLED,
    &g_RSSMX_ATTR_VOR_SET_TO_DEFAULT,
    &g_RSSMX_ATTR_VOR_SETTINGS_CATALOG,
    &g_RSSMX_ATTR_VOR_DELETE_SETTINGS,
    &g_RSSMX_ATTR_VOR_RECALL_SETTINGS,
    &g_RSSMX_ATTR_VOR_SAVE_SETTINGS,
    &g_RSSMX_ATTR_VOR_CARRIER_FREQUENCY_MODE,
    &g_RSSMX_ATTR_VOR_USER_MODE_CARRIER_FREQUENCY,
    &g_RSSMX_ATTR_VOR_ICAO_CHANNEL,
    &g_RSSMX_ATTR_VOR_EXT_AM,
    &g_RSSMX_ATTR_VOR_MODE,
    &g_RSSMX_ATTR_VOR_VAR_REF_FREQUENCY,
    &g_RSSMX_ATTR_VOR_VAR_DEPTH,
    &g_RSSMX_ATTR_VOR_SUBCARRIER_FREQUENCY,
    &g_RSSMX_ATTR_VOR_SUBCARRIER_DEPTH,
    &g_RSSMX_ATTR_VOR_REF_DEVIATION,
    &g_RSSMX_ATTR_VOR_BEARING_ANGLE,
    &g_RSSMX_ATTR_VOR_DIRECTION,
    &g_RSSMX_ATTR_VOR_COMID_STATE,
    &g_RSSMX_ATTR_VOR_CODE,
    &g_RSSMX_ATTR_VOR_PERIOD,
    &g_RSSMX_ATTR_VOR_FREQUENCY,
    &g_RSSMX_ATTR_VOR_DEPTH,
    &g_RSSMX_ATTR_VOR_TIME_SCHEMA,
    &g_RSSMX_ATTR_VOR_DOT_LENGTH,
    &g_RSSMX_ATTR_VOR_DASH_LENGTH,
    &g_RSSMX_ATTR_VOR_SYMBOL_SPACE,
    &g_RSSMX_ATTR_VOR_LETTER_SPACE,
    &g_RSSMX_ATTR_ILS_ENABLED,
    &g_RSSMX_ATTR_ILS_SET_TO_DEFAULT,
    &g_RSSMX_ATTR_ILS_SETTINGS_CATALOG,
    &g_RSSMX_ATTR_ILS_DELETE_SETTINGS,
    &g_RSSMX_ATTR_ILS_RECALL_SETTINGS,
    &g_RSSMX_ATTR_ILS_SAVE_SETTINGS,
    &g_RSSMX_ATTR_ILS_COMPONENT,
    &g_RSSMX_ATTR_ILS_GS_SET_TO_DEFAULT,
    &g_RSSMX_ATTR_ILS_GS_CARRIER_FREQUENCY_MODE,
    &g_RSSMX_ATTR_ILS_GS_CARRIER_FREQUENCY,
    &g_RSSMX_ATTR_ILS_GS_ICAO_CHANNEL,
    &g_RSSMX_ATTR_ILS_GS_SYNC_WITH_LOCALIZER,
    &g_RSSMX_ATTR_ILS_GS_EXT_AM,
    &g_RSSMX_ATTR_ILS_GS_OPERATING_MODE,
    &g_RSSMX_ATTR_ILS_GS_DDM_POLARITY,
    &g_RSSMX_ATTR_ILS_GS_UP_FREQUENCY,
    &g_RSSMX_ATTR_ILS_GS_DOWN_FREQUENCY,
    &g_RSSMX_ATTR_ILS_GS_UPDOWN_PHASE,
    &g_RSSMX_ATTR_ILS_GS_FLY_MODE,
    &g_RSSMX_ATTR_ILS_GS_SUM_OF_DEPTH,
    &g_RSSMX_ATTR_ILS_GS_DDM_COUPLING,
    &g_RSSMX_ATTR_ILS_GS_DDM_STEP,
    &g_RSSMX_ATTR_ILS_GS_DDM_CURRENT,
    &g_RSSMX_ATTR_ILS_GS_DDM_DEPTH,
    &g_RSSMX_ATTR_ILS_GS_DDM_LOGARITHMIC,
    &g_RSSMX_ATTR_ILS_GS_DDM_PERCENT,
    &g_RSSMX_ATTR_ILS_LOCALIZER_SET_TO_DEFAULT,
    &g_RSSMX_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY_MODE,
    &g_RSSMX_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY,
    &g_RSSMX_ATTR_ILS_LOCALIZER_ICAO_CHANNEL,
    &g_RSSMX_ATTR_ILS_LOCALIZER_SYNC_WITH_GS,
    &g_RSSMX_ATTR_ILS_LOCALIZER_EXT_AM,
    &g_RSSMX_ATTR_ILS_LOCALIZER_OPERATING_MODE,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DDM_POLARITY,
    &g_RSSMX_ATTR_ILS_LOCALIZER_LEFT_FREQUENCY,
    &g_RSSMX_ATTR_ILS_LOCALIZER_RIGHT_FREQUENCY,
    &g_RSSMX_ATTR_ILS_LOCALIZER_LEFT_RIGHT_PHASE,
    &g_RSSMX_ATTR_ILS_LOCALIZER_FLY_MODE,
    &g_RSSMX_ATTR_ILS_LOCALIZER_SUM_OF_DEPTH,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DDM_COUPLING,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DDM_STEP,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DDM_CURRENT,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DDM_DEPTH,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DDM_LOGARITHMIC,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DDM_PERCENT,
    &g_RSSMX_ATTR_ILS_LOCALIZER_COMID_STATE,
    &g_RSSMX_ATTR_ILS_LOCALIZER_CODE,
    &g_RSSMX_ATTR_ILS_LOCALIZER_FREQUENCY,
    &g_RSSMX_ATTR_ILS_LOCALIZER_PERIOD,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DEPTH,
    &g_RSSMX_ATTR_ILS_LOCALIZER_TIME_SCHEMA,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DOT_LENGTH,
    &g_RSSMX_ATTR_ILS_LOCALIZER_DASH_LENGTH,
    &g_RSSMX_ATTR_ILS_LOCALIZER_SYMBOL_SPACE,
    &g_RSSMX_ATTR_ILS_LOCALIZER_LETTER_SPACE,
    &g_RSSMX_ATTR_ILS_MB_SET_TO_DEFAULT,
    &g_RSSMX_ATTR_ILS_MB_CARRIER_FREQUENCY_MODE,
    &g_RSSMX_ATTR_ILS_MB_CARRIER_FREQUENCY,
    &g_RSSMX_ATTR_ILS_MB_MARKER_FREQUENCY,
    &g_RSSMX_ATTR_ILS_MB_MARKER_DEPTH,
    &g_RSSMX_ATTR_ILS_MB_PULSED_MARKER,
    &g_RSSMX_ATTR_ILS_MB_COMID_STATE,
    &g_RSSMX_ATTR_ILS_MB_CODE,
    &g_RSSMX_ATTR_ILS_MB_PERIOD,
    &g_RSSMX_ATTR_ILS_MB_FREQUENCY,
    &g_RSSMX_ATTR_ILS_MB_DEPTH,
    &g_RSSMX_ATTR_ILS_MB_TIME_SCHEMA,
    &g_RSSMX_ATTR_ILS_MB_DOT_LENGTH,
    &g_RSSMX_ATTR_ILS_MB_DASH_LENGTH,
    &g_RSSMX_ATTR_ILS_MB_SYMBOL_SPACE,
    &g_RSSMX_ATTR_ILS_MB_LETTER_SPACE,
    &g_RSSMX_ATTR_ADF_ENABLED,
    &g_RSSMX_ATTR_ADF_SET_TO_DEFAULT,
    &g_RSSMX_ATTR_ADF_SETTINGS_CATALOG,
    &g_RSSMX_ATTR_ADF_DELETE_SETTINGS,
    &g_RSSMX_ATTR_ADF_RECALL_SETTINGS,
    &g_RSSMX_ATTR_ADF_SAVE_SETTINGS,
    &g_RSSMX_ATTR_ADF_COM_ID_ENABLED,
    &g_RSSMX_ATTR_ADF_CODE,
    &g_RSSMX_ATTR_ADF_PERIOD,
    &g_RSSMX_ATTR_ADF_FREQUENCY,
    &g_RSSMX_ATTR_ADF_DEPTH,
    &g_RSSMX_ATTR_ADF_TIME_SCHEMA,
    &g_RSSMX_ATTR_ADF_DOT_LENGTH,
    &g_RSSMX_ATTR_ADF_DASH_LENGTH,
    &g_RSSMX_ATTR_ADF_SYMBOL_SPACE,
    &g_RSSMX_ATTR_ADF_LETTER_SPACE,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_PRESET,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_SOURCE,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_EFC_ENABLED,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_VOLTAGE_TUNING_SENSITIVITY,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_RF_SWITCH_OFF_ACTIVE,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_EXTERNAL_FREQUENCY,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_NOMINAL_SYNCHRONIZATION_BANDWIDTH,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_OUTPUT_REFERENCE_FREQUENCY,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_DAC_ACTIVE,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_DAC_FREQUENCY,
    &g_RSSMX_ATTR_REFERENCE_OSCILLATOR_MINIMUM_LOCKING_RANGE,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_ENABLED,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_OUTPUT_TYPE,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_POWER,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_DC_OFFSET_STATE,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_DC_OFFSET,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_VOLTAGE,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_PHASE,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_RESET_DELTA_PHASE_VALUE,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY_VARIATION_ACTIVE,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY_VARIATION_STEP,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_LEVEL_VARIATION_ACTIVE,
    &g_RSSMX_ATTR_CLOCK_SYNTHESIS_LEVEL_VARIATION_STEP,
    &g_RSSMX_ATTR_POWER_CONTINUOUS,
    &g_RSSMX_ATTR_POWER_READ_POWER,
    &g_RSSMX_ATTR_POWER_UNIT,
    &g_RSSMX_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED,
    &g_RSSMX_ATTR_POWER_APERTURE_TIME,
    &g_RSSMX_ATTR_POWER_USE_SPARAMETERS,
    &g_RSSMX_ATTR_POWER_S_PARAMETER_DATA_SET,
    &g_RSSMX_ATTR_POWER_S_PARAMETER_DATA_SET_LIST,
    &g_RSSMX_ATTR_POWER_DISPLAY_PERMANENT_ENABLED,
    &g_RSSMX_ATTR_POWER_DISPLAY_PERMANENT,
    &g_RSSMX_ATTR_POWER_FREQUENCY,
    &g_RSSMX_ATTR_POWER_LOGGING_STATE,
    &g_RSSMX_ATTR_POWER_OFFSET,
    &g_RSSMX_ATTR_POWER_OFFSET_ENABLED,
    &g_RSSMX_ATTR_POWER_SOURCE,
    &g_RSSMX_ATTR_POWER_ZERO,
    &g_RSSMX_ATTR_POWER_FILTER_LENGTH_AUTO,
    &g_RSSMX_ATTR_POWER_FILTER_LENGTH,
    &g_RSSMX_ATTR_POWER_FILTER_MODE,
    &g_RSSMX_ATTR_POWER_FILTER_NS_RATIO,
    &g_RSSMX_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT,
    &g_RSSMX_ATTR_POWER_FILTER_SEARCH_ONCE,
    &g_RSSMX_ATTR_POWER_SENSOR_DEVICE,
    &g_RSSMX_ATTR_POWER_SENSOR_TYPE,
    &g_RSSMX_ATTR_POWER_SENSOR_VERSION,
    &g_RSSMX_ATTR_POWER_SENSOR_SERIAL_NUMBER,
    &g_RSSMX_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED,
    &g_RSSMX_ATTR_POWER_SENSOR_MAPPING_LIST,
    &g_RSSMX_ATTR_POWER_SENSOR_MAPPING_ADD_LAN_SENSOR,
    &g_RSSMX_ATTR_POWER_SENSOR_MAPPING_ADD_USB_SENSOR,
    &g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_LAN_SENSORS,
    &g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_USB_SENSORS,
    &g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_ALL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_INITIATE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_ABORT,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_STATE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_REFERENCE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_SOURCE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_COLOR,
    &g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_SOURCE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_SOURCE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TIME_SOURCE,
    &g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_FREQUENCY_REFERENCE,
    &g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_FREQUENCY_REFERENCE_POINTS,
    &g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_POWER_REFERENCE,
    &g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_POWER_REFERENCE_POINTS,
    &g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_TIME_REFERENCE,
    &g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_TIME_REFERENCE_POINTS,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_SUBTRACT,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_X,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_Y,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_SUBTRACT,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_X,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_Y,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_SUBTRACT,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_X,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_Y,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_DATA_POINTS,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MEASUREMENT_MODE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_MEASUREMENT_EXECUTION,
    &g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_MIN,
    &g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_MAX,
    &g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_STEPS,
    &g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_TIMING,
    &g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_SPACING,
    &g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_EXECUTION,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MIN,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MAX,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_STEPS,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_TIMING,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_EXECUTION,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TIME_MIN,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TIME_MAX,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TIME_STEPS,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TIME_AVERAGE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TIME_EXECUTION,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TIME_TRIGGER_EVENTS,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_GRID_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_BACKGROUND_COLOR,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_STANDARD_VIEW_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_MARKER_VIEW_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_PULSE_DATA_VIEW_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FULLSCREEN_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_MIN,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_MAX,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_AUTO_SCALE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_AUTO_SCALE_RESET,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_MIN,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_MAX,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_AUTO_SCALE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_AUTO_SCALE_RESET,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_MIN,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_MAX,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_AUTO_SCALE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_AUTO_SCALE_RESET,
    &g_RSSMX_ATTR_POWER_ANALYSIS_GATE_INDICATION_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_GATE_TRACE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_GATE_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_GATE_AVERAGE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_GATE_MAXIMUM,
    &g_RSSMX_ATTR_POWER_ANALYSIS_GATE_START,
    &g_RSSMX_ATTR_POWER_ANALYSIS_GATE_STOP,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_OFFSET_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_OFFSET,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_USE_SEPARATE_FREQ,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_SEPARATE_FREQ_START,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_SEPARATE_FREQ_STOP,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_OFFSET_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_OFFSET,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_USE_SEPARATE_FREQ,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_SEPARATE_FREQ,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_OFFSET_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_OFFSET,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_USE_SEPARATE_FREQ,
    &g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_SEPARATE_FREQ,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_ALL_INDICATIONS_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_BASE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_BASE_CALCULATED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_DISTAL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_DISTAL_CALCULATED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_MESIAL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_MESIAL_CALCULATED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_PROXIMAL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_PROXIMAL_CALCULATED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_DUTY_CYCLE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_DUTY_CYCLE_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_WIDTH,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_WIDTH_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_PERIOD,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_PERIOD_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_OFF_TIME,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_OFF_TIME_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_STATE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_RISE_TIME,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_RISE_TIME_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_FALL_TIME,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_FALL_TIME_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_START_TIME,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_START_TIME_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_STOP_TIME,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_STOP_TIME_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_RISING_EDGE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_RISING_EDGE_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_FALLING_EDGE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_FALLING_EDGE_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MINIMAL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MINIMAL_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_PEAK,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_PEAK_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_AVERAGE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_POWER_AVERAGE_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_TOP,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_TOP_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_BASE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_BASE_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_DISTAL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_DISTAL_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_MESIAL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_MESIAL_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_PROXIMAL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_PROXIMAL_ENABLED,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_MODE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_LEVEL,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_SLOPE,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_HYSTERESIS,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_DROP_OUT_TIME,
    &g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_AUTO_SET,
    &g_RSSMX_ATTR_SCREENSHOT_FILE_NAME,
    &g_RSSMX_ATTR_SCREENSHOT_EXECUTE,
    &g_RSSMX_ATTR_SCREENSHOT_DEVICE,
    &g_RSSMX_ATTR_SCREENSHOT_SIZE,
    &g_RSSMX_ATTR_SCREENSHOT_FORMAT,
    &g_RSSMX_ATTR_SCREENSHOT_CSV_HEADER_ENABLED,
    &g_RSSMX_ATTR_SCREENSHOT_CSV_ORIENTATION,
    &g_RSSMX_ATTR_SCREENSHOT_CSV_COLUMN_SEPARATOR,
    &g_RSSMX_ATTR_SCREENSHOT_CSV_DECIMAL_SEPARATOR,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_ENABLED,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DIRECTORY,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_CLEAR_DIRECTORY,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_PREFIX_ENABLED,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_PREFIX,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_YEAR_ENABLED,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_YEAR,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_MONTH_ENABLED,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_MONTH,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DAY_ENABLED,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DAY,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_NUMBER,
    &g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_FILE_NAME,
    &g_RSSMX_ATTR_CALIBRATION_ALL,
    &g_RSSMX_ATTR_SAVE_IMMEDIATE,
    &g_RSSMX_ATTR_RECALL_IMMEDIATE,
    &g_RSSMX_ATTR_CALIBRATION_DATE,
    &g_RSSMX_ATTR_CALIBRATION_INTERNAL_REFERENCE_FREQUENCY,
    &g_RSSMX_ATTR_CALIBRATION_CONTINUE_ON_ERROR,
    &g_RSSMX_ATTR_CALIBRATION_CLOCK_SYNTHESIS,
    &g_RSSMX_ATTR_CALIBRATION_LEVEL_BANDWIDTH,
    &g_RSSMX_ATTR_CALIBRATION_INTERNAL_MODULATION_GENERATOR,
    &g_RSSMX_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT,
    &g_RSSMX_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT,
    &g_RSSMX_ATTR_CALIBRATION_LOGGING,
    &g_RSSMX_ATTR_CALIBRATION_FM_OFFSET,
    &g_RSSMX_ATTR_CALIBRATION_FREQUENCY,
    &g_RSSMX_ATTR_CALIBRATION_LEVEL_CALIBRATION_DATA,
    &g_RSSMX_ATTR_CALIBRATION_LEVEL_ENABLED,
    &g_RSSMX_ATTR_CALIBRATION_LEVEL,
    &g_RSSMX_ATTR_CALIBRATION_INFORMATION,
    &g_RSSMX_ATTR_CALIBRATION_TIME_SINCE_LAST_FULL_ADJUSTMENT,
    &g_RSSMX_ATTR_HARD_COPY_EXECUTE,
    &g_RSSMX_ATTR_HARD_COPY_GRAPHIC_FORMAT,
    &g_RSSMX_ATTR_HARD_COPY_REGION,
    &g_RSSMX_ATTR_HARD_COPY_FILE_NAME,
    &g_RSSMX_ATTR_HARD_COPY_GENERATED_AUTO_FILE_NAME,
    &g_RSSMX_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY,
    &g_RSSMX_ATTR_CLEAR_HARD_COPY_FILE,
    &g_RSSMX_ATTR_HARD_COPY_AUTO_FILE_NAME,
    &g_RSSMX_ATTR_HARD_COPY_AUTO_NAMING_ENABLED,
    &g_RSSMX_ATTR_HARD_COPY_DAY_TO_FILE_NAME,
    &g_RSSMX_ATTR_HARD_COPY_MONTH_TO_FILE_NAME,
    &g_RSSMX_ATTR_HARD_COPY_YEAR_TO_FILE_NAME,
    &g_RSSMX_ATTR_HARD_COPY_CURRENT_NUMBER,
    &g_RSSMX_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED,
    &g_RSSMX_ATTR_HARD_COPY_FILE_NAME_PREFIX,
    &g_RSSMX_ATTR_START_SELFTEST,
    &g_RSSMX_ATTR_SELFTEST_RESULT,
    &g_RSSMX_ATTR_KEYBOARD_LAYOUT,
    &g_RSSMX_ATTR_DISPLAY_BRIGHTNESS,
    &g_RSSMX_ATTR_DISPLAY_BUTTON_BRIGHTNESS,
    &g_RSSMX_ATTR_DISPLAY_UPDATE,
    &g_RSSMX_ATTR_DISPLAY_ANNOTATION_AMPLITUDE,
    &g_RSSMX_ATTR_DISPLAY_ANNOTATION_FREQUENCY,
    &g_RSSMX_ATTR_DISPLAY_ANNOTATION_ALL,
    &g_RSSMX_ATTR_DISPLAY_DIALOG_ID,
    &g_RSSMX_ATTR_DISPLAY_DIALOG_OPEN,
    &g_RSSMX_ATTR_DISPLAY_DIALOG_CLOSE,
    &g_RSSMX_ATTR_DISPLAY_DIALOG_CLOSE_ALL,
    &g_RSSMX_ATTR_DISPLAY_POWER_SAVE_ENABLED,
    &g_RSSMX_ATTR_DISPLAY_POWER_SAVE_HOLDOFF,
    &g_RSSMX_ATTR_MMEMORY_CHANGE_DIRECTORY,
    &g_RSSMX_ATTR_MMEMORY_DELETE,
    &g_RSSMX_ATTR_MMEMORY_MAKE_DIRECTORY,
    &g_RSSMX_ATTR_MMEMORY_DRIVE,
    &g_RSSMX_ATTR_MMEMORY_REMOVE_DIRECTORY,
    &g_RSSMX_ATTR_SYSTEM_USER_INTERFACE_LOCK,
    &g_RSSMX_ATTR_SYSTEM_DISPLAY_LOCK_ENABLED,
    &g_RSSMX_ATTR_SYSTEM_KEYBOARD_LOCK,
    &g_RSSMX_ATTR_SYSTEM_GPIB_RESOURCE,
    &g_RSSMX_ATTR_SYSTEM_REBOOT,
    &g_RSSMX_ATTR_SYSTEM_RESTART,
    &g_RSSMX_ATTR_SYSTEM_SHUTDOWN,
    &g_RSSMX_ATTR_SYSTEM_BEEPER,
    &g_RSSMX_ATTR_SYSTEM_USB_RESOURCE,
    &g_RSSMX_ATTR_SYSTEM_HISLIP_RESOURCE,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_RESOURCE,
    &g_RSSMX_ATTR_SYSTEM_SOCKET_RESOURCE,
    &g_RSSMX_ATTR_SYSTEM_SERIAL_RESOURCE,
    &g_RSSMX_ATTR_SYSTEM_SERIAL_BAUD,
    &g_RSSMX_ATTR_SYSTEM_SERIAL_PARITY,
    &g_RSSMX_ATTR_SYSTEM_SERIAL_STOP_BITS,
    &g_RSSMX_ATTR_SYSTEM_EXPORT_HELP,
    &g_RSSMX_ATTR_SYSTEM_SCPI_INFORMATION,
    &g_RSSMX_ATTR_SYSTEM_OPTION_USER_DEFINED,
    &g_RSSMX_ATTR_SYSTEM_ALL_DATA_SHEETS,
    &g_RSSMX_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION,
    &g_RSSMX_ATTR_SYSTEM_DATA_SHEET_VERSION,
    &g_RSSMX_ATTR_SYSTEM_DATA_SHEET_IDS,
    &g_RSSMX_ATTR_SYSTEM_STARTUP_COMPLETE,
    &g_RSSMX_ATTR_SYSTEM_DATE,
    &g_RSSMX_ATTR_SYSTEM_TIME_ZONE_CATALOG,
    &g_RSSMX_ATTR_SYSTEM_TIME_ZONE,
    &g_RSSMX_ATTR_SYSTEM_UPTIME,
    &g_RSSMX_ATTR_SYSTEM_BIOS_VERSION,
    &g_RSSMX_ATTR_SYSTEM_VERSION,
    &g_RSSMX_ATTR_SYSTEM_OS_VERSION,
    &g_RSSMX_ATTR_SYSTEM_USER_DIRECTORY,
    &g_RSSMX_ATTR_SYSTEM_WAIT,
    &g_RSSMX_ATTR_SYSTEM_DELETE_TEMPORARY_FILES,
    &g_RSSMX_ATTR_SYSTEM_NTP_ENABLED,
    &g_RSSMX_ATTR_SYSTEM_NTP_ADDRESS,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_RESTART,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_ENABLED,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_DOMAIN,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_MAC_ADDRESS,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_HOSTNAME,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_WORKGROUP,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY,
    &g_RSSMX_ATTR_SYSTEM_NETWORK_DNS_SERVER,
    &g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_ALL,
    &g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL,
    &g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT,
    &g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_COUNT,
    &g_RSSMX_ATTR_SYSTEM_ERROR,
    &g_RSSMX_ATTR_SYSTEM_ERROR_HISTORY,
    &g_RSSMX_ATTR_SYSTEM_CLEAR_HISTORY,
    &g_RSSMX_ATTR_SYSTEM_STATIC_ERRORS,
    &g_RSSMX_ATTR_SYSTEM_ERROR_OLDEST,
    &g_RSSMX_ATTR_STATUS_PRESET,
    &g_RSSMX_ATTR_UNIT_ANGLE,
    &g_RSSMX_ATTR_UNIT_POWER,
    &g_RSSMX_ATTR_ID_QUERY_RESPONSE,
    &g_RSSMX_ATTR_PRESET_DEVICE,
    &g_RSSMX_ATTR_RESET_SIGNAL_PATH,
    &g_RSSMX_ATTR_FACTORY_PRESET,
    &g_RSSMX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    &g_RSSMX_ATTR_INIT_SW_TRIGGER
  };
